DFSConfigKeys (Apache Hadoop HDFS 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs, class: DFSConfigKeys

Package org.apache.hadoop.hdfs

# Class DFSConfigKeys

java.lang.Object
org.apache.hadoop.fs.CommonConfigurationKeysPublic
org.apache.hadoop.fs.CommonConfigurationKeys
org.apache.hadoop.hdfs.DFSConfigKeys

@Private public class DFSConfigKeys extends org.apache.hadoop.fs.CommonConfigurationKeys
This class contains constants for configuration keys and default values used in hdfs.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `DEFAULT_DFSCLIENT_HEDGED_READ_THREADPOOL_SIZE`
  Deprecated.
  `static final long`
  `DEFAULT_DFSCLIENT_HEDGED_READ_THRESHOLD_MILLIS`
  Deprecated.
  `static final boolean`
  `DEFAULT_ZK_CLIENT_SSL_ENABLED`
  `static final String`
  `DFS_ADMIN`
  `static final String`
  `DFS_BALANCER_ADDRESS_DEFAULT`
  `static final String`
  `DFS_BALANCER_ADDRESS_KEY`
  `static final String`
  `DFS_BALANCER_BLOCK_MOVE_TIMEOUT`
  `static final int`
  `DFS_BALANCER_BLOCK_MOVE_TIMEOUT_DEFAULT`
  `static final int`
  `DFS_BALANCER_DISPATCHERTHREADS_DEFAULT`
  `static final String`
  `DFS_BALANCER_DISPATCHERTHREADS_KEY`
  `static final long`
  `DFS_BALANCER_GETBLOCKS_HOT_TIME_INTERVAL_DEFAULT`
  `static final String`
  `DFS_BALANCER_GETBLOCKS_HOT_TIME_INTERVAL_KEY`
  `static final long`
  `DFS_BALANCER_GETBLOCKS_MIN_BLOCK_SIZE_DEFAULT`
  `static final String`
  `DFS_BALANCER_GETBLOCKS_MIN_BLOCK_SIZE_KEY`
  `static final long`
  `DFS_BALANCER_GETBLOCKS_SIZE_DEFAULT`
  `static final String`
  `DFS_BALANCER_GETBLOCKS_SIZE_KEY`
  `static final String`
  `DFS_BALANCER_HTTP_ADDRESS_DEFAULT`
  `static final String`
  `DFS_BALANCER_HTTP_ADDRESS_KEY`
  `static final String`
  `DFS_BALANCER_HTTP_BIND_HOST_KEY`
  `static final int`
  `DFS_BALANCER_HTTP_PORT_DEFAULT`
  `static final String`
  `DFS_BALANCER_HTTPS_ADDRESS_DEFAULT`
  `static final String`
  `DFS_BALANCER_HTTPS_ADDRESS_KEY`
  `static final String`
  `DFS_BALANCER_HTTPS_BIND_HOST_KEY`
  `static final int`
  `DFS_BALANCER_HTTPS_PORT_DEFAULT`
  `static final Boolean`
  `DFS_BALANCER_HTTPSERVER_ENABLED_DEFAULT`
  `static final String`
  `DFS_BALANCER_HTTPSERVER_ENABLED_KEY`
  `static final String`
  `DFS_BALANCER_KERBEROS_INTERNAL_SPNEGO_PRINCIPAL_KEY`
  `static final String`
  `DFS_BALANCER_KERBEROS_PRINCIPAL_KEY`
  `static final boolean`
  `DFS_BALANCER_KEYTAB_ENABLED_DEFAULT`
  `static final String`
  `DFS_BALANCER_KEYTAB_ENABLED_KEY`
  `static final String`
  `DFS_BALANCER_KEYTAB_FILE_KEY`
  `static final long`
  `DFS_BALANCER_MAX_ITERATION_TIME_DEFAULT`
  `static final String`
  `DFS_BALANCER_MAX_ITERATION_TIME_KEY`
  `static final int`
  `DFS_BALANCER_MAX_NO_MOVE_INTERVAL_DEFAULT`
  `static final String`
  `DFS_BALANCER_MAX_NO_MOVE_INTERVAL_KEY`
  `static final long`
  `DFS_BALANCER_MAX_SIZE_TO_MOVE_DEFAULT`
  `static final String`
  `DFS_BALANCER_MAX_SIZE_TO_MOVE_KEY`
  `static final long`
  `DFS_BALANCER_MOVEDWINWIDTH_DEFAULT`
  `static final String`
  `DFS_BALANCER_MOVEDWINWIDTH_KEY`
  `static final int`
  `DFS_BALANCER_MOVERTHREADS_DEFAULT`
  `static final String`
  `DFS_BALANCER_MOVERTHREADS_KEY`
  `static final long`
  `DFS_BALANCER_SERVICE_INTERVAL_DEFAULT`
  `static final String`
  `DFS_BALANCER_SERVICE_INTERVAL_KEY`
  `static final String`
  `DFS_BALANCER_SERVICE_RETRIES_ON_EXCEPTION`
  `static final int`
  `DFS_BALANCER_SERVICE_RETRIES_ON_EXCEPTION_DEFAULT`
  `static final long`
  `DFS_BLOCK_ACCESS_KEY_UPDATE_INTERVAL_DEFAULT`
  `static final String`
  `DFS_BLOCK_ACCESS_KEY_UPDATE_INTERVAL_KEY`
  `static final boolean`
  `DFS_BLOCK_ACCESS_TOKEN_ENABLE_DEFAULT`
  `static final String`
  `DFS_BLOCK_ACCESS_TOKEN_ENABLE_KEY`
  `static final long`
  `DFS_BLOCK_ACCESS_TOKEN_LIFETIME_DEFAULT`
  `static final String`
  `DFS_BLOCK_ACCESS_TOKEN_LIFETIME_KEY`
  `static final String`
  `DFS_BLOCK_ACCESS_TOKEN_PROTOBUF_ENABLE`
  `static final boolean`
  `DFS_BLOCK_ACCESS_TOKEN_PROTOBUF_ENABLE_DEFAULT`
  `static final int`
  `DFS_BLOCK_INVALIDATE_LIMIT_DEFAULT`
  `static final String`
  `DFS_BLOCK_INVALIDATE_LIMIT_KEY`
  `static final String`
  `DFS_BLOCK_LOCAL_PATH_ACCESS_USER_KEY`
  `static final String`
  `DFS_BLOCK_MISREPLICATION_PROCESSING_LIMIT`
  `static final int`
  `DFS_BLOCK_MISREPLICATION_PROCESSING_LIMIT_DEFAULT`
  `static final Class<BlockPlacementPolicyRackFaultTolerant>`
  `DFS_BLOCK_PLACEMENT_EC_CLASSNAME_DEFAULT`
  `static final String`
  `DFS_BLOCK_PLACEMENT_EC_CLASSNAME_KEY`
  `static final Class<BlockPlacementPolicyDefault>`
  `DFS_BLOCK_REPLICATOR_CLASSNAME_DEFAULT`
  `static final String`
  `DFS_BLOCK_REPLICATOR_CLASSNAME_KEY`
  `static final String`
  `DFS_BLOCK_SCANNER_SKIP_RECENT_ACCESSED`
  `static final boolean`
  `DFS_BLOCK_SCANNER_SKIP_RECENT_ACCESSED_DEFAULT`
  `static final String`
  `DFS_BLOCK_SCANNER_VOLUME_BYTES_PER_SECOND`
  `static final long`
  `DFS_BLOCK_SCANNER_VOLUME_BYTES_PER_SECOND_DEFAULT`
  `static final long`
  `DFS_BLOCK_SCANNER_VOLUME_JOIN_TIMEOUT_MSEC_DEFAULT`
  `static final String`
  `DFS_BLOCK_SCANNER_VOLUME_JOIN_TIMEOUT_MSEC_KEY`
  The amount of time in milliseconds that the BlockScanner times out waiting for the VolumeScanner thread to join during a shutdown call.
  `static final long`
  `DFS_BLOCK_SIZE_DEFAULT`
  `static final String`
  `DFS_BLOCK_SIZE_KEY`
  `static final long`
  `DFS_BLOCKREPORT_INCREMENTAL_INTERVAL_MSEC_DEFAULT`
  `static final String`
  `DFS_BLOCKREPORT_INCREMENTAL_INTERVAL_MSEC_KEY`
  `static final int`
  `DFS_BLOCKREPORT_INITIAL_DELAY_DEFAULT`
  `static final String`
  `DFS_BLOCKREPORT_INITIAL_DELAY_KEY`
  `static final long`
  `DFS_BLOCKREPORT_INTERVAL_MSEC_DEFAULT`
  `static final String`
  `DFS_BLOCKREPORT_INTERVAL_MSEC_KEY`
  `static final long`
  `DFS_BLOCKREPORT_SPLIT_THRESHOLD_DEFAULT`
  `static final String`
  `DFS_BLOCKREPORT_SPLIT_THRESHOLD_KEY`
  `static final int`
  `DFS_BYTES_PER_CHECKSUM_DEFAULT`
  `static final String`
  `DFS_BYTES_PER_CHECKSUM_KEY`
  `static final long`
  `DFS_CACHEREPORT_INTERVAL_MSEC_DEFAULT`
  `static final String`
  `DFS_CACHEREPORT_INTERVAL_MSEC_KEY`
  `static final String`
  `DFS_CHECKSUM_TYPE_DEFAULT`
  `static final String`
  `DFS_CHECKSUM_TYPE_KEY`
  `static final int`
  `DFS_CLIENT_BLOCK_WRITE_LOCATEFOLLOWINGBLOCK_INITIAL_DELAY_DEFAULT`
  Deprecated.
  `static final String`
  `DFS_CLIENT_BLOCK_WRITE_LOCATEFOLLOWINGBLOCK_INITIAL_DELAY_KEY`
  Deprecated.
  `static final int`
  `DFS_CLIENT_BLOCK_WRITE_LOCATEFOLLOWINGBLOCK_RETRIES_DEFAULT`
  Deprecated.
  `static final String`
  `DFS_CLIENT_BLOCK_WRITE_LOCATEFOLLOWINGBLOCK_RETRIES_KEY`
  Deprecated.
  `static final int`
  `DFS_CLIENT_BLOCK_WRITE_RETRIES_DEFAULT`
  Deprecated.
  `static final String`
  `DFS_CLIENT_BLOCK_WRITE_RETRIES_KEY`
  Deprecated.
  `static final String`
  `DFS_CLIENT_CACHE_DROP_BEHIND_READS`
  Deprecated.
  `static final String`
  `DFS_CLIENT_CACHE_DROP_BEHIND_WRITES`
  Deprecated.
  `static final String`
  `DFS_CLIENT_CACHE_READAHEAD`
  Deprecated.
  `static final int`
  `DFS_CLIENT_CACHED_CONN_RETRY_DEFAULT`
  Deprecated.
  `static final String`
  `DFS_CLIENT_CACHED_CONN_RETRY_KEY`
  Deprecated.
  `static final String`
  `DFS_CLIENT_CONTEXT`
  Deprecated.
  `static final String`
  `DFS_CLIENT_CONTEXT_DEFAULT`
  Deprecated.
  `static final long`
  `DFS_CLIENT_DATANODE_RESTART_TIMEOUT_DEFAULT`
  Deprecated.
  `static final String`
  `DFS_CLIENT_DATANODE_RESTART_TIMEOUT_KEY`
  Deprecated.
  `static final String`
  `DFS_CLIENT_DOMAIN_SOCKET_DATA_TRAFFIC`
  Deprecated.
  `static final boolean`
  `DFS_CLIENT_DOMAIN_SOCKET_DATA_TRAFFIC_DEFAULT`
  Deprecated.
  `static final int`
  `DFS_CLIENT_FAILOVER_CONNECTION_RETRIES_DEFAULT`
  Deprecated.
  `static final String`
  `DFS_CLIENT_FAILOVER_CONNECTION_RETRIES_KEY`
  Deprecated.
  `static final int`
  `DFS_CLIENT_FAILOVER_CONNECTION_RETRIES_ON_SOCKET_TIMEOUTS_DEFAULT`
  Deprecated.
  `static final String`
  `DFS_CLIENT_FAILOVER_CONNECTION_RETRIES_ON_SOCKET_TIMEOUTS_KEY`
  Deprecated.
  `static final int`
  `DFS_CLIENT_FAILOVER_MAX_ATTEMPTS_DEFAULT`
  Deprecated.
  `static final String`
  `DFS_CLIENT_FAILOVER_MAX_ATTEMPTS_KEY`
  Deprecated.
  `static final String`
  `DFS_CLIENT_FAILOVER_PROXY_PROVIDER_KEY_PREFIX`
  Deprecated.
  `static final int`
  `DFS_CLIENT_FAILOVER_SLEEPTIME_BASE_DEFAULT`
  Deprecated.
  `static final String`
  `DFS_CLIENT_FAILOVER_SLEEPTIME_BASE_KEY`
  Deprecated.
  `static final int`
  `DFS_CLIENT_FAILOVER_SLEEPTIME_MAX_DEFAULT`
  Deprecated.
  `static final String`
  `DFS_CLIENT_FAILOVER_SLEEPTIME_MAX_KEY`
  Deprecated.
  `static final String`
  `DFS_CLIENT_HTTPS_KEYSTORE_RESOURCE_DEFAULT`
  `static final String`
  `DFS_CLIENT_HTTPS_KEYSTORE_RESOURCE_KEY`
  `static final boolean`
  `DFS_CLIENT_HTTPS_NEED_AUTH_DEFAULT`
  `static final String`
  `DFS_CLIENT_HTTPS_NEED_AUTH_KEY`
  `static final long`
  `DFS_CLIENT_KEY_PROVIDER_CACHE_EXPIRY_DEFAULT`
  Deprecated.
  `static final String`
  `DFS_CLIENT_KEY_PROVIDER_CACHE_EXPIRY_MS`
  Deprecated.
  `static final String`
  `DFS_CLIENT_LOCAL_INTERFACES`
  Deprecated.
  `static final int`
  `DFS_CLIENT_MAX_BLOCK_ACQUIRE_FAILURES_DEFAULT`
  Deprecated.
  `static final String`
  `DFS_CLIENT_MAX_BLOCK_ACQUIRE_FAILURES_KEY`
  Deprecated.
  `static final String`
  `DFS_CLIENT_MMAP_CACHE_SIZE`
  Deprecated.
  `static final int`
  `DFS_CLIENT_MMAP_CACHE_SIZE_DEFAULT`
  Deprecated.
  `static final String`
  `DFS_CLIENT_MMAP_CACHE_TIMEOUT_MS`
  Deprecated.
  `static final long`
  `DFS_CLIENT_MMAP_CACHE_TIMEOUT_MS_DEFAULT`
  Deprecated.
  `static final String`
  `DFS_CLIENT_MMAP_ENABLED`
  Deprecated.
  `static final boolean`
  `DFS_CLIENT_MMAP_ENABLED_DEFAULT`
  Deprecated.
  `static final String`
  `DFS_CLIENT_MMAP_RETRY_TIMEOUT_MS`
  Deprecated.
  `static final long`
  `DFS_CLIENT_MMAP_RETRY_TIMEOUT_MS_DEFAULT`
  Deprecated.
  `static final String`
  `DFS_CLIENT_READ_PREFETCH_SIZE_KEY`
  Deprecated.
  `static final int`
  `DFS_CLIENT_READ_SHORTCIRCUIT_BUFFER_SIZE_DEFAULT`
  Deprecated.
  `static final String`
  `DFS_CLIENT_READ_SHORTCIRCUIT_BUFFER_SIZE_KEY`
  Deprecated.
  `static final boolean`
  `DFS_CLIENT_READ_SHORTCIRCUIT_DEFAULT`
  Deprecated.
  `static final String`
  `DFS_CLIENT_READ_SHORTCIRCUIT_KEY`
  Deprecated.
  `static final boolean`
  `DFS_CLIENT_READ_SHORTCIRCUIT_SKIP_CHECKSUM_DEFAULT`
  Deprecated.
  `static final String`
  `DFS_CLIENT_READ_SHORTCIRCUIT_SKIP_CHECKSUM_KEY`
  Deprecated.
  `static final long`
  `DFS_CLIENT_READ_SHORTCIRCUIT_STREAMS_CACHE_EXPIRY_MS_DEFAULT`
  Deprecated.
  `static final String`
  `DFS_CLIENT_READ_SHORTCIRCUIT_STREAMS_CACHE_EXPIRY_MS_KEY`
  Deprecated.
  `static final int`
  `DFS_CLIENT_READ_SHORTCIRCUIT_STREAMS_CACHE_SIZE_DEFAULT`
  Deprecated.
  `static final String`
  `DFS_CLIENT_READ_SHORTCIRCUIT_STREAMS_CACHE_SIZE_KEY`
  Deprecated.
  `static final String`
  `DFS_CLIENT_RETRY_INTERVAL_GET_LAST_BLOCK_LENGTH`
  Deprecated.
  `static final int`
  `DFS_CLIENT_RETRY_INTERVAL_GET_LAST_BLOCK_LENGTH_DEFAULT`
  Deprecated.
  `static final int`
  `DFS_CLIENT_RETRY_MAX_ATTEMPTS_DEFAULT`
  Deprecated.
  `static final String`
  `DFS_CLIENT_RETRY_MAX_ATTEMPTS_KEY`
  Deprecated.
  `static final boolean`
  `DFS_CLIENT_RETRY_POLICY_ENABLED_DEFAULT`
  Deprecated.
  `static final String`
  `DFS_CLIENT_RETRY_POLICY_ENABLED_KEY`
  Deprecated.
  `static final String`
  `DFS_CLIENT_RETRY_POLICY_SPEC_DEFAULT`
  Deprecated.
  `static final String`
  `DFS_CLIENT_RETRY_POLICY_SPEC_KEY`
  Deprecated.
  `static final String`
  `DFS_CLIENT_RETRY_TIMES_GET_LAST_BLOCK_LENGTH`
  Deprecated.
  `static final int`
  `DFS_CLIENT_RETRY_TIMES_GET_LAST_BLOCK_LENGTH_DEFAULT`
  Deprecated.
  `static final String`
  `DFS_CLIENT_RETRY_WINDOW_BASE`
  Deprecated.
  `static final int`
  `DFS_CLIENT_RETRY_WINDOW_BASE_DEFAULT`
  Deprecated.
  `static final String`
  `DFS_CLIENT_SHORT_CIRCUIT_REPLICA_STALE_THRESHOLD_MS`
  Deprecated.
  `static final long`
  `DFS_CLIENT_SHORT_CIRCUIT_REPLICA_STALE_THRESHOLD_MS_DEFAULT`
  Deprecated.
  `static final int`
  `DFS_CLIENT_SOCKET_CACHE_CAPACITY_DEFAULT`
  Deprecated.
  `static final String`
  `DFS_CLIENT_SOCKET_CACHE_CAPACITY_KEY`
  Deprecated.
  `static final long`
  `DFS_CLIENT_SOCKET_CACHE_EXPIRY_MSEC_DEFAULT`
  Deprecated.
  `static final String`
  `DFS_CLIENT_SOCKET_CACHE_EXPIRY_MSEC_KEY`
  Deprecated.
  `static final String`
  `DFS_CLIENT_SOCKET_TIMEOUT_KEY`
  Deprecated.
  `static final int`
  `DFS_CLIENT_TEST_DROP_NAMENODE_RESPONSE_NUM_DEFAULT`
  Deprecated.
  `static final String`
  `DFS_CLIENT_TEST_DROP_NAMENODE_RESPONSE_NUM_KEY`
  Deprecated.
  `static final String`
  `DFS_CLIENT_USE_DN_HOSTNAME`
  Deprecated.
  `static final boolean`
  `DFS_CLIENT_USE_DN_HOSTNAME_DEFAULT`
  Deprecated.
  `static final String`
  `DFS_CLIENT_USE_LEGACY_BLOCKREADERLOCAL`
  Deprecated.
  `static final boolean`
  `DFS_CLIENT_USE_LEGACY_BLOCKREADERLOCAL_DEFAULT`
  Deprecated.
  `static final int`
  `DFS_CLIENT_WRITE_BYTE_ARRAY_MANAGER_COUNT_LIMIT_DEFAULT`
  Deprecated.
  `static final String`
  `DFS_CLIENT_WRITE_BYTE_ARRAY_MANAGER_COUNT_LIMIT_KEY`
  Deprecated.
  `static final long`
  `DFS_CLIENT_WRITE_BYTE_ARRAY_MANAGER_COUNT_RESET_TIME_PERIOD_MS_DEFAULT`
  Deprecated.
  `static final String`
  `DFS_CLIENT_WRITE_BYTE_ARRAY_MANAGER_COUNT_RESET_TIME_PERIOD_MS_KEY`
  Deprecated.
  `static final int`
  `DFS_CLIENT_WRITE_BYTE_ARRAY_MANAGER_COUNT_THRESHOLD_DEFAULT`
  Deprecated.
  `static final String`
  `DFS_CLIENT_WRITE_BYTE_ARRAY_MANAGER_COUNT_THRESHOLD_KEY`
  Deprecated.
  `static final boolean`
  `DFS_CLIENT_WRITE_BYTE_ARRAY_MANAGER_ENABLED_DEFAULT`
  Deprecated.
  `static final String`
  `DFS_CLIENT_WRITE_BYTE_ARRAY_MANAGER_ENABLED_KEY`
  Deprecated.
  `static final String`
  `DFS_CLIENT_WRITE_EXCLUDE_NODES_CACHE_EXPIRY_INTERVAL`
  Deprecated.
  `static final long`
  `DFS_CLIENT_WRITE_EXCLUDE_NODES_CACHE_EXPIRY_INTERVAL_DEFAULT`
  Deprecated.
  `static final int`
  `DFS_CLIENT_WRITE_MAX_PACKETS_IN_FLIGHT_DEFAULT`
  Deprecated.
  `static final String`
  `DFS_CLIENT_WRITE_MAX_PACKETS_IN_FLIGHT_KEY`
  Deprecated.
  `static final boolean`
  `DFS_CLIENT_WRITE_REPLACE_DATANODE_ON_FAILURE_BEST_EFFORT_DEFAULT`
  Deprecated.
  `static final String`
  `DFS_CLIENT_WRITE_REPLACE_DATANODE_ON_FAILURE_BEST_EFFORT_KEY`
  Deprecated.
  `static final boolean`
  `DFS_CLIENT_WRITE_REPLACE_DATANODE_ON_FAILURE_ENABLE_DEFAULT`
  Deprecated.
  `static final String`
  `DFS_CLIENT_WRITE_REPLACE_DATANODE_ON_FAILURE_ENABLE_KEY`
  Deprecated.
  `static final String`
  `DFS_CLIENT_WRITE_REPLACE_DATANODE_ON_FAILURE_POLICY_DEFAULT`
  Deprecated.
  `static final String`
  `DFS_CLIENT_WRITE_REPLACE_DATANODE_ON_FAILURE_POLICY_KEY`
  Deprecated.
  `static final int`
  `DFS_CONTENT_SUMMARY_LIMIT_DEFAULT`
  `static final String`
  `DFS_CONTENT_SUMMARY_LIMIT_KEY`
  `static final long`
  `DFS_CONTENT_SUMMARY_SLEEP_MICROSEC_DEFAULT`
  `static final String`
  `DFS_CONTENT_SUMMARY_SLEEP_MICROSEC_KEY`
  `static final String`
  `DFS_DATA_ENCRYPTION_ALGORITHM_KEY`
  `static final String`
  `DFS_DATA_TRANSFER_PROTECTION_DEFAULT`
  Deprecated.
  `static final String`
  `DFS_DATA_TRANSFER_PROTECTION_KEY`
  Deprecated.
  `static final String`
  `DFS_DATA_TRANSFER_SASL_PROPS_RESOLVER_CLASS_KEY`
  Deprecated.
  `static final String`
  `DFS_DATA_TRANSFER_SERVER_TCPNODELAY`
  `static final boolean`
  `DFS_DATA_TRANSFER_SERVER_TCPNODELAY_DEFAULT`
  `static final String`
  `DFS_DATANODE_ADDRESS_DEFAULT`
  `static final String`
  `DFS_DATANODE_ADDRESS_KEY`
  `static final String`
  `DFS_DATANODE_ALLOW_SAME_DISK_TIERING`
  HDFS-15548 to allow DISK/ARCHIVE configured on the same disk mount.
  `static final boolean`
  `DFS_DATANODE_ALLOW_SAME_DISK_TIERING_DEFAULT`
  `static final float`
  `DFS_DATANODE_AVAILABLE_SPACE_VOLUME_CHOOSING_POLICY_BALANCED_SPACE_PREFERENCE_FRACTION_DEFAULT`
  `static final String`
  `DFS_DATANODE_AVAILABLE_SPACE_VOLUME_CHOOSING_POLICY_BALANCED_SPACE_PREFERENCE_FRACTION_KEY`
  `static final long`
  `DFS_DATANODE_AVAILABLE_SPACE_VOLUME_CHOOSING_POLICY_BALANCED_SPACE_THRESHOLD_DEFAULT`
  `static final String`
  `DFS_DATANODE_AVAILABLE_SPACE_VOLUME_CHOOSING_POLICY_BALANCED_SPACE_THRESHOLD_KEY`
  `static final long`
  `DFS_DATANODE_BALANCE_BANDWIDTHPERSEC_DEFAULT`
  `static final String`
  `DFS_DATANODE_BALANCE_BANDWIDTHPERSEC_KEY`
  `static final int`
  `DFS_DATANODE_BALANCE_MAX_NUM_CONCURRENT_MOVES_DEFAULT`
  `static final String`
  `DFS_DATANODE_BALANCE_MAX_NUM_CONCURRENT_MOVES_KEY`
  `static final int`
  `DFS_DATANODE_BLOCK_ID_LAYOUT_UPGRADE_THREADS`
  `static final String`
  `DFS_DATANODE_BLOCK_ID_LAYOUT_UPGRADE_THREADS_KEY`
  `static final String`
  `DFS_DATANODE_BLOCK_PINNING_ENABLED`
  `static final boolean`
  `DFS_DATANODE_BLOCK_PINNING_ENABLED_DEFAULT`
  `static final long`
  `DFS_DATANODE_BP_READY_TIMEOUT_DEFAULT`
  `static final String`
  `DFS_DATANODE_BP_READY_TIMEOUT_KEY`
  `static final String`
  `DFS_DATANODE_CACHE_REVOCATION_POLLING_MS`
  `static final long`
  `DFS_DATANODE_CACHE_REVOCATION_POLLING_MS_DEFAULT`
  `static final String`
  `DFS_DATANODE_CACHE_REVOCATION_TIMEOUT_MS`
  `static final long`
  `DFS_DATANODE_CACHE_REVOCATION_TIMEOUT_MS_DEFAULT`
  `static final String`
  `DFS_DATANODE_DATA_DIR_KEY`
  `static final String`
  `DFS_DATANODE_DATA_DIR_PERMISSION_DEFAULT`
  `static final String`
  `DFS_DATANODE_DATA_DIR_PERMISSION_KEY`
  `static final long`
  `DFS_DATANODE_DATA_READ_BANDWIDTHPERSEC_DEFAULT`
  `static final String`
  `DFS_DATANODE_DATA_READ_BANDWIDTHPERSEC_KEY`
  `static final long`
  `DFS_DATANODE_DATA_TRANSFER_BANDWIDTHPERSEC_DEFAULT`
  `static final String`
  `DFS_DATANODE_DATA_TRANSFER_BANDWIDTHPERSEC_KEY`
  `static final long`
  `DFS_DATANODE_DATA_WRITE_BANDWIDTHPERSEC_DEFAULT`
  `static final String`
  `DFS_DATANODE_DATA_WRITE_BANDWIDTHPERSEC_KEY`
  `static final int`
  `DFS_DATANODE_DEFAULT_PORT`
  `static final int`
  `DFS_DATANODE_DIRECTORYSCAN_INTERVAL_DEFAULT`
  `static final String`
  `DFS_DATANODE_DIRECTORYSCAN_INTERVAL_KEY`
  `static final long`
  `DFS_DATANODE_DIRECTORYSCAN_MAX_NOTIFY_COUNT_DEFAULT`
  `static final String`
  `DFS_DATANODE_DIRECTORYSCAN_MAX_NOTIFY_COUNT_KEY`
  `static final int`
  `DFS_DATANODE_DIRECTORYSCAN_THREADS_DEFAULT`
  `static final String`
  `DFS_DATANODE_DIRECTORYSCAN_THREADS_KEY`
  `static final int`
  `DFS_DATANODE_DIRECTORYSCAN_THROTTLE_LIMIT_MS_PER_SEC_DEFAULT`
  `static final String`
  `DFS_DATANODE_DIRECTORYSCAN_THROTTLE_LIMIT_MS_PER_SEC_KEY`
  `static final String`
  `DFS_DATANODE_DISK_CHECK_MIN_GAP_DEFAULT`
  `static final String`
  `DFS_DATANODE_DISK_CHECK_MIN_GAP_KEY`
  `static final String`
  `DFS_DATANODE_DISK_CHECK_TIMEOUT_DEFAULT`
  `static final String`
  `DFS_DATANODE_DISK_CHECK_TIMEOUT_KEY`
  `static final String`
  `DFS_DATANODE_DNS_INTERFACE_DEFAULT`
  `static final String`
  `DFS_DATANODE_DNS_INTERFACE_KEY`
  `static final String`
  `DFS_DATANODE_DNS_NAMESERVER_DEFAULT`
  `static final String`
  `DFS_DATANODE_DNS_NAMESERVER_KEY`
  `static final boolean`
  `DFS_DATANODE_DROP_CACHE_BEHIND_READS_DEFAULT`
  `static final String`
  `DFS_DATANODE_DROP_CACHE_BEHIND_READS_KEY`
  `static final boolean`
  `DFS_DATANODE_DROP_CACHE_BEHIND_WRITES_DEFAULT`
  `static final String`
  `DFS_DATANODE_DROP_CACHE_BEHIND_WRITES_KEY`
  `static final Class<? extends ReservedSpaceCalculator>`
  `DFS_DATANODE_DU_RESERVED_CALCULATOR_DEFAULT`
  `static final String`
  `DFS_DATANODE_DU_RESERVED_CALCULATOR_KEY`
  `static final long`
  `DFS_DATANODE_DU_RESERVED_DEFAULT`
  `static final String`
  `DFS_DATANODE_DU_RESERVED_KEY`
  `static final int`
  `DFS_DATANODE_DU_RESERVED_PERCENTAGE_DEFAULT`
  `static final String`
  `DFS_DATANODE_DU_RESERVED_PERCENTAGE_KEY`
  `static final String`
  `DFS_DATANODE_DUPLICATE_REPLICA_DELETION`
  `static final boolean`
  `DFS_DATANODE_DUPLICATE_REPLICA_DELETION_DEFAULT`
  `static final long`
  `DFS_DATANODE_EC_RECONSTRUCT_READ_BANDWIDTHPERSEC_DEFAULT`
  `static final String`
  `DFS_DATANODE_EC_RECONSTRUCT_READ_BANDWIDTHPERSEC_KEY`
  `static final long`
  `DFS_DATANODE_EC_RECONSTRUCT_WRITE_BANDWIDTHPERSEC_DEFAULT`
  `static final String`
  `DFS_DATANODE_EC_RECONSTRUCT_WRITE_BANDWIDTHPERSEC_KEY`
  `static final boolean`
  `DFS_DATANODE_ENABLE_FILEIO_FAULT_INJECTION_DEFAULT`
  `static final String`
  `DFS_DATANODE_ENABLE_FILEIO_FAULT_INJECTION_KEY`
  `static final int`
  `DFS_DATANODE_FAILED_VOLUMES_TOLERATED_DEFAULT`
  `static final String`
  `DFS_DATANODE_FAILED_VOLUMES_TOLERATED_KEY`
  `static final int`
  `DFS_DATANODE_FILEIO_PROFILING_SAMPLING_PERCENTAGE_DEFAULT`
  `static final String`
  `DFS_DATANODE_FILEIO_PROFILING_SAMPLING_PERCENTAGE_KEY`
  `static final boolean`
  `DFS_DATANODE_FIXED_VOLUME_SIZE_DEFAULT`
  `static final String`
  `DFS_DATANODE_FIXED_VOLUME_SIZE_KEY`
  `static final String`
  `DFS_DATANODE_FSDATASET_FACTORY_KEY`
  `static final String`
  `DFS_DATANODE_FSDATASET_VOLUME_CHOOSING_POLICY_KEY`
  `static final int`
  `DFS_DATANODE_FSDATASETASYNCDISK_MAX_THREADS_PER_VOLUME_DEFAULT`
  `static final String`
  `DFS_DATANODE_FSDATASETASYNCDISK_MAX_THREADS_PER_VOLUME_KEY`
  `static final int`
  `DFS_DATANODE_FSDATASETCACHE_MAX_THREADS_PER_VOLUME_DEFAULT`
  `static final String`
  `DFS_DATANODE_FSDATASETCACHE_MAX_THREADS_PER_VOLUME_KEY`
  `static final int`
  `DFS_DATANODE_HANDLER_COUNT_DEFAULT`
  `static final String`
  `DFS_DATANODE_HANDLER_COUNT_KEY`
  `static final String`
  `DFS_DATANODE_HOST_NAME_KEY`
  `static final String`
  `DFS_DATANODE_HTTP_ADDRESS_DEFAULT`
  `static final String`
  `DFS_DATANODE_HTTP_ADDRESS_KEY`
  `static final int`
  `DFS_DATANODE_HTTP_DEFAULT_PORT`
  `static final String`
  `DFS_DATANODE_HTTP_INTERNAL_PROXY_PORT`
  `static final String`
  `DFS_DATANODE_HTTPS_ADDRESS_DEFAULT`
  `static final String`
  `DFS_DATANODE_HTTPS_ADDRESS_KEY`
  `static final int`
  `DFS_DATANODE_HTTPS_DEFAULT_PORT`
  `static final String`
  `DFS_DATANODE_HTTPS_PORT_KEY`
  `static final String`
  `DFS_DATANODE_HTTPSERVER_FILTER_HANDLERS`
  `static final String`
  `DFS_DATANODE_HTTPSERVER_FILTER_HANDLERS_DEFAULT`
  `static final String`
  `DFS_DATANODE_IPC_ADDRESS_DEFAULT`
  `static final String`
  `DFS_DATANODE_IPC_ADDRESS_KEY`
  `static final int`
  `DFS_DATANODE_IPC_DEFAULT_PORT`
  `static final String`
  `DFS_DATANODE_KERBEROS_PRINCIPAL_KEY`
  `static final String`
  `DFS_DATANODE_KEYTAB_FILE_KEY`
  `static final int`
  `DFS_DATANODE_LAZY_WRITER_INTERVAL_DEFAULT_SEC`
  `static final String`
  `DFS_DATANODE_LAZY_WRITER_INTERVAL_SEC`
  `static final String`
  `DFS_DATANODE_LIFELINE_INTERVAL_SECONDS_KEY`
  `static final boolean`
  `DFS_DATANODE_LOCK_FAIR_DEFAULT`
  `static final String`
  `DFS_DATANODE_LOCK_FAIR_KEY`
  `static final String`
  `DFS_DATANODE_LOCKMANAGER_TRACE`
  `static final boolean`
  `DFS_DATANODE_LOCKMANAGER_TRACE_DEFAULT`
  `static final int`
  `DFS_DATANODE_MAX_DISKS_TO_REPORT_DEFAULT`
  `static final String`
  `DFS_DATANODE_MAX_DISKS_TO_REPORT_KEY`
  `static final long`
  `DFS_DATANODE_MAX_LOCKED_MEMORY_DEFAULT`
  `static final String`
  `DFS_DATANODE_MAX_LOCKED_MEMORY_KEY`
  `static final int`
  `DFS_DATANODE_MAX_NODES_TO_REPORT_DEFAULT`
  `static final String`
  `DFS_DATANODE_MAX_NODES_TO_REPORT_KEY`
  `static final int`
  `DFS_DATANODE_MAX_RECEIVER_THREADS_DEFAULT`
  `static final String`
  `DFS_DATANODE_MAX_RECEIVER_THREADS_KEY`
  `static final int`
  `DFS_DATANODE_MAX_SLOWDISKS_TO_EXCLUDE_DEFAULT`
  `static final String`
  `DFS_DATANODE_MAX_SLOWDISKS_TO_EXCLUDE_KEY`
  `static final int`
  `DFS_DATANODE_METRICS_LOGGER_PERIOD_SECONDS_DEFAULT`
  `static final String`
  `DFS_DATANODE_METRICS_LOGGER_PERIOD_SECONDS_KEY`
  `static final long`
  `DFS_DATANODE_MIN_OUTLIER_DETECTION_DISKS_DEFAULT`
  `static final String`
  `DFS_DATANODE_MIN_OUTLIER_DETECTION_DISKS_KEY`
  `static final long`
  `DFS_DATANODE_MIN_OUTLIER_DETECTION_NODES_DEFAULT`
  `static final String`
  `DFS_DATANODE_MIN_OUTLIER_DETECTION_NODES_KEY`
  `static final String`
  `DFS_DATANODE_MIN_SUPPORTED_NAMENODE_VERSION_DEFAULT`
  `static final String`
  `DFS_DATANODE_MIN_SUPPORTED_NAMENODE_VERSION_KEY`
  `static final int`
  `DFS_DATANODE_NETWORK_COUNTS_CACHE_MAX_SIZE_DEFAULT`
  `static final String`
  `DFS_DATANODE_NETWORK_COUNTS_CACHE_MAX_SIZE_KEY`
  `static final String`
  `DFS_DATANODE_NON_LOCAL_LAZY_PERSIST`
  `static final boolean`
  `DFS_DATANODE_NON_LOCAL_LAZY_PERSIST_DEFAULT`
  `static final String`
  `DFS_DATANODE_OOB_TIMEOUT_DEFAULT`
  `static final String`
  `DFS_DATANODE_OOB_TIMEOUT_KEY`
  `static final String`
  `DFS_DATANODE_OUTLIERS_REPORT_INTERVAL_DEFAULT`
  `static final String`
  `DFS_DATANODE_OUTLIERS_REPORT_INTERVAL_KEY`
  `static final String`
  `DFS_DATANODE_PARALLEL_VOLUME_LOAD_THREADS_NUM_KEY`
  `static final long`
  `DFS_DATANODE_PEER_METRICS_MIN_OUTLIER_DETECTION_SAMPLES_DEFAULT`
  `static final String`
  `DFS_DATANODE_PEER_METRICS_MIN_OUTLIER_DETECTION_SAMPLES_KEY`
  `static final boolean`
  `DFS_DATANODE_PEER_STATS_ENABLED_DEFAULT`
  `static final String`
  `DFS_DATANODE_PEER_STATS_ENABLED_KEY`
  `static final String`
  `DFS_DATANODE_PLUGINS_KEY`
  `static final String`
  `DFS_DATANODE_PMEM_CACHE_DIRS_KEY`
  `static final boolean`
  `DFS_DATANODE_PMEM_CACHE_RECOVERY_DEFAULT`
  `static final String`
  `DFS_DATANODE_PMEM_CACHE_RECOVERY_KEY`
  `static final long`
  `DFS_DATANODE_PROCESS_COMMANDS_THRESHOLD_DEFAULT`
  `static final String`
  `DFS_DATANODE_PROCESS_COMMANDS_THRESHOLD_KEY`
  `static final Class<RamDiskReplicaLruTracker>`
  `DFS_DATANODE_RAM_DISK_REPLICA_TRACKER_DEFAULT`
  `static final String`
  `DFS_DATANODE_RAM_DISK_REPLICA_TRACKER_KEY`
  `static final long`
  `DFS_DATANODE_READAHEAD_BYTES_DEFAULT`
  Deprecated.
  `static final String`
  `DFS_DATANODE_READAHEAD_BYTES_KEY`
  Deprecated.
  `static final String`
  `DFS_DATANODE_RECONCILE_BLOCKS_BATCH_INTERVAL`
  `static final long`
  `DFS_DATANODE_RECONCILE_BLOCKS_BATCH_INTERVAL_DEFAULT`
  `static final String`
  `DFS_DATANODE_RECONCILE_BLOCKS_BATCH_SIZE`
  `static final int`
  `DFS_DATANODE_RECONCILE_BLOCKS_BATCH_SIZE_DEFAULT`
  `static final long`
  `DFS_DATANODE_REPLICA_CACHE_EXPIRY_TIME_DEFAULT`
  `static final String`
  `DFS_DATANODE_REPLICA_CACHE_EXPIRY_TIME_KEY`
  `static final String`
  `DFS_DATANODE_REPLICA_CACHE_ROOT_DIR_KEY`
  `static final String`
  `DFS_DATANODE_RESERVE_FOR_ARCHIVE_DEFAULT_PERCENTAGE`
  `static final double`
  `DFS_DATANODE_RESERVE_FOR_ARCHIVE_DEFAULT_PERCENTAGE_DEFAULT`
  `static final long`
  `DFS_DATANODE_RESTART_REPLICA_EXPIRY_DEFAULT`
  `static final String`
  `DFS_DATANODE_RESTART_REPLICA_EXPIRY_KEY`
  `static final long`
  `DFS_DATANODE_ROUND_ROBIN_VOLUME_CHOOSING_POLICY_ADDITIONAL_AVAILABLE_SPACE_DEFAULT`
  `static final String`
  `DFS_DATANODE_ROUND_ROBIN_VOLUME_CHOOSING_POLICY_ADDITIONAL_AVAILABLE_SPACE_KEY`
  `static final String`
  `DFS_DATANODE_SAME_DISK_TIERING_CAPACITY_RATIO_PERCENTAGE`
  `static final String`
  `DFS_DATANODE_SAME_DISK_TIERING_CAPACITY_RATIO_PERCENTAGE_DEFAULT`
  `static final int`
  `DFS_DATANODE_SCAN_PERIOD_HOURS_DEFAULT`
  `static final String`
  `DFS_DATANODE_SCAN_PERIOD_HOURS_KEY`
  `static final String`
  `DFS_DATANODE_SHARED_FILE_DESCRIPTOR_PATHS`
  `static final String`
  `DFS_DATANODE_SHARED_FILE_DESCRIPTOR_PATHS_DEFAULT`
  `static final long`
  `DFS_DATANODE_SLOW_IO_WARNING_THRESHOLD_DEFAULT`
  `static final String`
  `DFS_DATANODE_SLOW_IO_WARNING_THRESHOLD_KEY`
  `static final long`
  `DFS_DATANODE_SLOWDISK_LOW_THRESHOLD_MS_DEFAULT`
  `static final String`
  `DFS_DATANODE_SLOWDISK_LOW_THRESHOLD_MS_KEY`
  `static final long`
  `DFS_DATANODE_SLOWPEER_LOW_THRESHOLD_MS_DEFAULT`
  `static final String`
  `DFS_DATANODE_SLOWPEER_LOW_THRESHOLD_MS_KEY`
  `static final int`
  `DFS_DATANODE_SOCKET_REUSE_KEEPALIVE_DEFAULT`
  `static final String`
  `DFS_DATANODE_SOCKET_REUSE_KEEPALIVE_KEY`
  `static final String`
  `DFS_DATANODE_SOCKET_WRITE_TIMEOUT_KEY`
  `static final String`
  `DFS_DATANODE_STARTUP_KEY`
  `static final boolean`
  `DFS_DATANODE_SYNC_BEHIND_WRITES_DEFAULT`
  `static final boolean`
  `DFS_DATANODE_SYNC_BEHIND_WRITES_IN_BACKGROUND_DEFAULT`
  `static final String`
  `DFS_DATANODE_SYNC_BEHIND_WRITES_IN_BACKGROUND_KEY`
  `static final String`
  `DFS_DATANODE_SYNC_BEHIND_WRITES_KEY`
  `static final boolean`
  `DFS_DATANODE_SYNCONCLOSE_DEFAULT`
  `static final String`
  `DFS_DATANODE_SYNCONCLOSE_KEY`
  `static final int`
  `DFS_DATANODE_TRANSFER_SOCKET_RECV_BUFFER_SIZE_DEFAULT`
  `static final String`
  `DFS_DATANODE_TRANSFER_SOCKET_RECV_BUFFER_SIZE_KEY`
  `static final int`
  `DFS_DATANODE_TRANSFER_SOCKET_SEND_BUFFER_SIZE_DEFAULT`
  `static final String`
  `DFS_DATANODE_TRANSFER_SOCKET_SEND_BUFFER_SIZE_KEY`
  `static final boolean`
  `DFS_DATANODE_TRANSFERTO_ALLOWED_DEFAULT`
  `static final String`
  `DFS_DATANODE_TRANSFERTO_ALLOWED_KEY`
  `static final String`
  `DFS_DATANODE_USE_DN_HOSTNAME`
  `static final boolean`
  `DFS_DATANODE_USE_DN_HOSTNAME_DEFAULT`
  `static final String`
  `DFS_DATANODE_USER_NAME_KEY`
  Deprecated.
  `static final String`
  `DFS_DATANODE_VOLUMES_REPLICA_ADD_THREADPOOL_SIZE_KEY`
  `static final long`
  `DFS_DATANODE_XCEIVER_STOP_TIMEOUT_MILLIS_DEFAULT`
  `static final String`
  `DFS_DATANODE_XCEIVER_STOP_TIMEOUT_MILLIS_KEY`
  `static final int`
  `DFS_DEFAULT_CHUNK_VIEW_SIZE_DEFAULT`
  `static final String`
  `DFS_DEFAULT_CHUNK_VIEW_SIZE_KEY`
  `static final int`
  `DFS_DEFAULT_MAX_CORRUPT_FILES_RETURNED`
  `static final String`
  `DFS_DEFAULT_MAX_CORRUPT_FILES_RETURNED_KEY`
  `static final int`
  `DFS_DF_INTERVAL_DEFAULT`
  `static final String`
  `DFS_DF_INTERVAL_KEY`
  `static final String`
  `DFS_DFSCLIENT_HEDGED_READ_THREADPOOL_SIZE`
  Deprecated.
  `static final String`
  `DFS_DFSCLIENT_HEDGED_READ_THRESHOLD_MILLIS`
  Deprecated.
  `static final String`
  `DFS_DISK_BALANCER_BLOCK_TOLERANCE`
  `static final int`
  `DFS_DISK_BALANCER_BLOCK_TOLERANCE_DEFAULT`
  `static final String`
  `DFS_DISK_BALANCER_ENABLED`
  `static final boolean`
  `DFS_DISK_BALANCER_ENABLED_DEFAULT`
  `static final String`
  `DFS_DISK_BALANCER_MAX_DISK_ERRORS`
  `static final int`
  `DFS_DISK_BALANCER_MAX_DISK_ERRORS_DEFAULT`
  `static final String`
  `DFS_DISK_BALANCER_MAX_DISK_THROUGHPUT`
  `static final int`
  `DFS_DISK_BALANCER_MAX_DISK_THROUGHPUT_DEFAULT`
  `static final String`
  `DFS_DISK_BALANCER_PLAN_THRESHOLD`
  `static final int`
  `DFS_DISK_BALANCER_PLAN_THRESHOLD_DEFAULT`
  `static final String`
  `DFS_DISK_BALANCER_PLAN_VALID_INTERVAL`
  `static final String`
  `DFS_DISK_BALANCER_PLAN_VALID_INTERVAL_DEFAULT`
  `static final long`
  `DFS_DN_CACHED_DFSUSED_CHECK_INTERVAL_DEFAULT_MS`
  `static final String`
  `DFS_DN_CACHED_DFSUSED_CHECK_INTERVAL_MS`
  `static final int`
  `DFS_DN_EC_RECONSTRUCTION_STRIPED_READ_BUFFER_SIZE_DEFAULT`
  `static final String`
  `DFS_DN_EC_RECONSTRUCTION_STRIPED_READ_BUFFER_SIZE_KEY`
  `static final int`
  `DFS_DN_EC_RECONSTRUCTION_STRIPED_READ_TIMEOUT_MILLIS_DEFAULT`
  `static final String`
  `DFS_DN_EC_RECONSTRUCTION_STRIPED_READ_TIMEOUT_MILLIS_KEY`
  `static final int`
  `DFS_DN_EC_RECONSTRUCTION_THREADS_DEFAULT`
  `static final String`
  `DFS_DN_EC_RECONSTRUCTION_THREADS_KEY`
  `static final String`
  `DFS_DN_EC_RECONSTRUCTION_VALIDATION_KEY`
  `static final boolean`
  `DFS_DN_EC_RECONSTRUCTION_VALIDATION_VALUE`
  `static final float`
  `DFS_DN_EC_RECONSTRUCTION_XMITS_WEIGHT_DEFAULT`
  `static final String`
  `DFS_DN_EC_RECONSTRUCTION_XMITS_WEIGHT_KEY`
  `static final String`
  `DFS_DOMAIN_SOCKET_PATH_DEFAULT`
  `static final String`
  `DFS_DOMAIN_SOCKET_PATH_KEY`
  `static final long`
  `DFS_EDIT_LOG_TRANSFER_RATE_DEFAULT`
  `static final String`
  `DFS_EDIT_LOG_TRANSFER_RATE_KEY`
  `static final int`
  `DFS_EDIT_LOG_TRANSFER_TIMEOUT_DEFAULT`
  `static final String`
  `DFS_EDIT_LOG_TRANSFER_TIMEOUT_KEY`
  `static final boolean`
  `DFS_ENCRYPT_DATA_OVERWRITE_DOWNSTREAM_DERIVED_QOP_DEFAULT`
  `static final String`
  `DFS_ENCRYPT_DATA_OVERWRITE_DOWNSTREAM_DERIVED_QOP_KEY`
  `static final int`
  `DFS_ENCRYPT_DATA_TRANSFER_CIPHER_KEY_BITLENGTH_DEFAULT`
  Deprecated.
  `static final String`
  `DFS_ENCRYPT_DATA_TRANSFER_CIPHER_KEY_BITLENGTH_KEY`
  Deprecated.
  `static final String`
  `DFS_ENCRYPT_DATA_TRANSFER_CIPHER_SUITES_KEY`
  Deprecated.
  `static final boolean`
  `DFS_ENCRYPT_DATA_TRANSFER_DEFAULT`
  `static final String`
  `DFS_ENCRYPT_DATA_TRANSFER_KEY`
  `static final boolean`
  `DFS_HA_ALLOW_STALE_READ_DEFAULT`
  `static final String`
  `DFS_HA_ALLOW_STALE_READ_KEY`
  `static final boolean`
  `DFS_HA_AUTO_FAILOVER_ENABLED_DEFAULT`
  `static final String`
  `DFS_HA_AUTO_FAILOVER_ENABLED_KEY`
  `static final String`
  `DFS_HA_FENCE_METHODS_KEY`
  `static final int`
  `DFS_HA_LOGROLL_PERIOD_DEFAULT`
  `static final String`
  `DFS_HA_LOGROLL_PERIOD_KEY`
  `static final int`
  `DFS_HA_LOGROLL_RPC_TIMEOUT_DEFAULT`
  `static final String`
  `DFS_HA_LOGROLL_RPC_TIMEOUT_KEY`
  `static final String`
  `DFS_HA_NAMENODE_ID_KEY`
  `static final String`
  `DFS_HA_NAMENODES_KEY_PREFIX`
  `static final String`
  `DFS_HA_NN_NOT_BECOME_ACTIVE_IN_SAFEMODE`
  `static final boolean`
  `DFS_HA_NN_NOT_BECOME_ACTIVE_IN_SAFEMODE_DEFAULT`
  `static final boolean`
  `DFS_HA_STANDBY_CHECKPOINTS_DEFAULT`
  `static final String`
  `DFS_HA_STANDBY_CHECKPOINTS_KEY`
  `static final int`
  `DFS_HA_TAILEDITS_ALL_NAMESNODES_RETRY_DEFAULT`
  `static final String`
  `DFS_HA_TAILEDITS_ALL_NAMESNODES_RETRY_KEY`
  `static final boolean`
  `DFS_HA_TAILEDITS_INPROGRESS_DEFAULT`
  `static final String`
  `DFS_HA_TAILEDITS_INPROGRESS_KEY`
  `static final int`
  `DFS_HA_TAILEDITS_PERIOD_BACKOFF_MAX_DEFAULT`
  `static final String`
  `DFS_HA_TAILEDITS_PERIOD_BACKOFF_MAX_KEY`
  `static final int`
  `DFS_HA_TAILEDITS_PERIOD_DEFAULT`
  `static final String`
  `DFS_HA_TAILEDITS_PERIOD_KEY`
  `static final int`
  `DFS_HA_TAILEDITS_ROLLEDITS_TIMEOUT_DEFAULT`
  `static final String`
  `DFS_HA_TAILEDITS_ROLLEDITS_TIMEOUT_KEY`
  `static final String`
  `DFS_HA_ZKFC_NN_HTTP_TIMEOUT_KEY`
  `static final int`
  `DFS_HA_ZKFC_NN_HTTP_TIMEOUT_KEY_DEFAULT`
  `static final int`
  `DFS_HA_ZKFC_PORT_DEFAULT`
  `static final String`
  `DFS_HA_ZKFC_PORT_KEY`
  `static final long`
  `DFS_HEARTBEAT_INTERVAL_DEFAULT`
  `static final String`
  `DFS_HEARTBEAT_INTERVAL_KEY`
  `static final String`
  `DFS_HOSTS`
  `static final String`
  `DFS_HOSTS_EXCLUDE`
  `static final String`
  `DFS_HOSTS_TIMEOUT`
  `static final int`
  `DFS_HOSTS_TIMEOUT_DEFAULT`
  `static final int`
  `DFS_HTTP_CLIENT_FAILOVER_MAX_ATTEMPTS_DEFAULT`
  Deprecated.
  `static final String`
  `DFS_HTTP_CLIENT_FAILOVER_MAX_ATTEMPTS_KEY`
  Deprecated.
  `static final int`
  `DFS_HTTP_CLIENT_FAILOVER_SLEEPTIME_BASE_DEFAULT`
  Deprecated.
  `static final String`
  `DFS_HTTP_CLIENT_FAILOVER_SLEEPTIME_BASE_KEY`
  Deprecated.
  `static final int`
  `DFS_HTTP_CLIENT_FAILOVER_SLEEPTIME_MAX_DEFAULT`
  Deprecated.
  `static final String`
  `DFS_HTTP_CLIENT_FAILOVER_SLEEPTIME_MAX_KEY`
  Deprecated.
  `static final int`
  `DFS_HTTP_CLIENT_RETRY_MAX_ATTEMPTS_DEFAULT`
  Deprecated.
  `static final String`
  `DFS_HTTP_CLIENT_RETRY_MAX_ATTEMPTS_KEY`
  Deprecated.
  `static final boolean`
  `DFS_HTTP_CLIENT_RETRY_POLICY_ENABLED_DEFAULT`
  Deprecated.
  `static final String`
  `DFS_HTTP_CLIENT_RETRY_POLICY_ENABLED_KEY`
  Deprecated.
  `static final String`
  `DFS_HTTP_CLIENT_RETRY_POLICY_SPEC_DEFAULT`
  Deprecated.
  `static final String`
  `DFS_HTTP_CLIENT_RETRY_POLICY_SPEC_KEY`
  Deprecated.
  `static final String`
  `DFS_HTTP_POLICY_DEFAULT`
  `static final String`
  `DFS_HTTP_POLICY_KEY`
  `static final boolean`
  `DFS_IMAGE_COMPRESS_DEFAULT`
  `static final String`
  `DFS_IMAGE_COMPRESS_KEY`
  `static final String`
  `DFS_IMAGE_COMPRESSION_CODEC_DEFAULT`
  `static final String`
  `DFS_IMAGE_COMPRESSION_CODEC_KEY`
  `static final int`
  `DFS_IMAGE_PARALLEL_INODE_THRESHOLD_DEFAULT`
  `static final String`
  `DFS_IMAGE_PARALLEL_INODE_THRESHOLD_KEY`
  `static final boolean`
  `DFS_IMAGE_PARALLEL_LOAD_DEFAULT`
  `static final String`
  `DFS_IMAGE_PARALLEL_LOAD_KEY`
  `static final int`
  `DFS_IMAGE_PARALLEL_TARGET_SECTIONS_DEFAULT`
  `static final String`
  `DFS_IMAGE_PARALLEL_TARGET_SECTIONS_KEY`
  `static final int`
  `DFS_IMAGE_PARALLEL_THREADS_DEFAULT`
  `static final String`
  `DFS_IMAGE_PARALLEL_THREADS_KEY`
  `static final long`
  `DFS_IMAGE_TRANSFER_BOOTSTRAP_STANDBY_RATE_DEFAULT`
  `static final String`
  `DFS_IMAGE_TRANSFER_BOOTSTRAP_STANDBY_RATE_KEY`
  `static final int`
  `DFS_IMAGE_TRANSFER_CHUNKSIZE_DEFAULT`
  `static final String`
  `DFS_IMAGE_TRANSFER_CHUNKSIZE_KEY`
  `static final long`
  `DFS_IMAGE_TRANSFER_RATE_DEFAULT`
  `static final String`
  `DFS_IMAGE_TRANSFER_RATE_KEY`
  `static final int`
  `DFS_IMAGE_TRANSFER_TIMEOUT_DEFAULT`
  `static final String`
  `DFS_IMAGE_TRANSFER_TIMEOUT_KEY`
  `static final String`
  `DFS_INTERNAL_NAMESERVICES_KEY`
  `static final String`
  `DFS_JOURNAL_EDITS_DIR_PERMISSION_DEFAULT`
  `static final String`
  `DFS_JOURNAL_EDITS_DIR_PERMISSION_KEY`
  `static final float`
  `DFS_JOURNALNODE_EDIT_CACHE_SIZE_FRACTION_DEFAULT`
  `static final String`
  `DFS_JOURNALNODE_EDIT_CACHE_SIZE_FRACTION_KEY`
  `static final String`
  `DFS_JOURNALNODE_EDIT_CACHE_SIZE_KEY`
  `static final String`
  `DFS_JOURNALNODE_EDITS_DIR_DEFAULT`
  `static final String`
  `DFS_JOURNALNODE_EDITS_DIR_KEY`
  `static final boolean`
  `DFS_JOURNALNODE_ENABLE_SYNC_DEFAULT`
  `static final boolean`
  `DFS_JOURNALNODE_ENABLE_SYNC_FORMAT_DEFAULT`
  `static final String`
  `DFS_JOURNALNODE_ENABLE_SYNC_FORMAT_KEY`
  `static final String`
  `DFS_JOURNALNODE_ENABLE_SYNC_KEY`
  `static final int`
  `DFS_JOURNALNODE_HANDLER_COUNT_DEFAULT`
  `static final String`
  `DFS_JOURNALNODE_HANDLER_COUNT_KEY`
  `static final String`
  `DFS_JOURNALNODE_HTTP_ADDRESS_DEFAULT`
  `static final String`
  `DFS_JOURNALNODE_HTTP_ADDRESS_KEY`
  `static final String`
  `DFS_JOURNALNODE_HTTP_BIND_HOST_KEY`
  `static final int`
  `DFS_JOURNALNODE_HTTP_PORT_DEFAULT`
  `static final String`
  `DFS_JOURNALNODE_HTTPS_ADDRESS_DEFAULT`
  `static final String`
  `DFS_JOURNALNODE_HTTPS_ADDRESS_KEY`
  `static final String`
  `DFS_JOURNALNODE_HTTPS_BIND_HOST_KEY`
  `static final int`
  `DFS_JOURNALNODE_HTTPS_PORT_DEFAULT`
  `static final String`
  `DFS_JOURNALNODE_KERBEROS_INTERNAL_SPNEGO_PRINCIPAL_KEY`
  `static final String`
  `DFS_JOURNALNODE_KERBEROS_PRINCIPAL_KEY`
  `static final String`
  `DFS_JOURNALNODE_KEYTAB_FILE_KEY`
  `static final String`
  `DFS_JOURNALNODE_RPC_ADDRESS_DEFAULT`
  `static final String`
  `DFS_JOURNALNODE_RPC_ADDRESS_KEY`
  `static final String`
  `DFS_JOURNALNODE_RPC_BIND_HOST_KEY`
  `static final int`
  `DFS_JOURNALNODE_RPC_PORT_DEFAULT`
  `static final long`
  `DFS_JOURNALNODE_SYNC_INTERVAL_DEFAULT`
  `static final String`
  `DFS_JOURNALNODE_SYNC_INTERVAL_KEY`
  `static final long`
  `DFS_LEASE_HARDLIMIT_DEFAULT`
  `static final String`
  `DFS_LEASE_HARDLIMIT_KEY`
  `static final String`
  `DFS_LIST_LIMIT`
  `static final int`
  `DFS_LIST_LIMIT_DEFAULT`
  `static final long`
  `DFS_LOCK_SUPPRESS_WARNING_INTERVAL_DEFAULT`
  `static final String`
  `DFS_LOCK_SUPPRESS_WARNING_INTERVAL_KEY`
  `static final long`
  `DFS_MAX_NUM_BLOCKS_TO_LOG_DEFAULT`
  `static final String`
  `DFS_MAX_NUM_BLOCKS_TO_LOG_KEY`
  `static final String`
  `DFS_METRICS_PERCENTILES_INTERVALS_KEY`
  `static final String`
  `DFS_METRICS_SESSION_ID_KEY`
  `static final String`
  `DFS_MOVER_ADDRESS_DEFAULT`
  `static final String`
  `DFS_MOVER_ADDRESS_KEY`
  `static final String`
  `DFS_MOVER_KERBEROS_PRINCIPAL_KEY`
  `static final boolean`
  `DFS_MOVER_KEYTAB_ENABLED_DEFAULT`
  `static final String`
  `DFS_MOVER_KEYTAB_ENABLED_KEY`
  `static final String`
  `DFS_MOVER_KEYTAB_FILE_KEY`
  `static final int`
  `DFS_MOVER_MAX_NO_MOVE_INTERVAL_DEFAULT`
  `static final String`
  `DFS_MOVER_MAX_NO_MOVE_INTERVAL_KEY`
  `static final long`
  `DFS_MOVER_MOVEDWINWIDTH_DEFAULT`
  `static final String`
  `DFS_MOVER_MOVEDWINWIDTH_KEY`
  `static final int`
  `DFS_MOVER_MOVERTHREADS_DEFAULT`
  `static final String`
  `DFS_MOVER_MOVERTHREADS_KEY`
  `static final int`
  `DFS_MOVER_RETRY_MAX_ATTEMPTS_DEFAULT`
  `static final String`
  `DFS_MOVER_RETRY_MAX_ATTEMPTS_KEY`
  `static final long`
  `DFS_NAMENODE_ACCESS_CONTROL_ENFORCER_REPORTING_THRESHOLD_MS_DEFAULT`
  `static final String`
  `DFS_NAMENODE_ACCESS_CONTROL_ENFORCER_REPORTING_THRESHOLD_MS_KEY`
  `static final long`
  `DFS_NAMENODE_ACCESSTIME_PRECISION_DEFAULT`
  `static final String`
  `DFS_NAMENODE_ACCESSTIME_PRECISION_KEY`
  `static final boolean`
  `DFS_NAMENODE_ACLS_ENABLED_DEFAULT`
  `static final String`
  `DFS_NAMENODE_ACLS_ENABLED_KEY`
  `static final String`
  `DFS_NAMENODE_AUDIT_LOG_DEBUG_CMDLIST`
  `static final boolean`
  `DFS_NAMENODE_AUDIT_LOG_TOKEN_TRACKING_ID_DEFAULT`
  `static final String`
  `DFS_NAMENODE_AUDIT_LOG_TOKEN_TRACKING_ID_KEY`
  `static final boolean`
  `DFS_NAMENODE_AUDIT_LOG_WITH_REMOTE_PORT_DEFAULT`
  `static final String`
  `DFS_NAMENODE_AUDIT_LOG_WITH_REMOTE_PORT_KEY`
  `static final String`
  `DFS_NAMENODE_AUDIT_LOGGERS_KEY`
  `static final boolean`
  `DFS_NAMENODE_AVAILABLE_SPACE_BLOCK_PLACEMENT_POLICY_BALANCE_LOCAL_NODE_DEFAULT`
  `static final String`
  `DFS_NAMENODE_AVAILABLE_SPACE_BLOCK_PLACEMENT_POLICY_BALANCE_LOCAL_NODE_KEY`
  `static final float`
  `DFS_NAMENODE_AVAILABLE_SPACE_BLOCK_PLACEMENT_POLICY_BALANCED_SPACE_PREFERENCE_FRACTION_DEFAULT`
  `static final String`
  `DFS_NAMENODE_AVAILABLE_SPACE_BLOCK_PLACEMENT_POLICY_BALANCED_SPACE_PREFERENCE_FRACTION_KEY`
  `static final int`
  `DFS_NAMENODE_AVAILABLE_SPACE_BLOCK_PLACEMENT_POLICY_BALANCED_SPACE_TOLERANCE_DEFAULT`
  `static final String`
  `DFS_NAMENODE_AVAILABLE_SPACE_BLOCK_PLACEMENT_POLICY_BALANCED_SPACE_TOLERANCE_KEY`
  `static final int`
  `DFS_NAMENODE_AVAILABLE_SPACE_BLOCK_PLACEMENT_POLICY_BALANCED_SPACE_TOLERANCE_LIMIT_DEFAULT`
  `static final String`
  `DFS_NAMENODE_AVAILABLE_SPACE_BLOCK_PLACEMENT_POLICY_BALANCED_SPACE_TOLERANCE_LIMIT_KEY`
  `static final float`
  `DFS_NAMENODE_AVAILABLE_SPACE_BLOCK_RACK_FAULT_TOLERANT_PLACEMENT_POLICY_BALANCED_SPACE_PREFERENCE_FRACTION_DEFAULT`
  `static final int`
  `DFS_NAMENODE_AVAILABLE_SPACE_BLOCK_RACK_FAULT_TOLERANT_PLACEMENT_POLICY_BALANCED_SPACE_TOLERANCE_DEFAULT`
  `static final String`
  `DFS_NAMENODE_AVAILABLE_SPACE_RACK_FAULT_TOLERANT_BLOCK_PLACEMENT_POLICY_BALANCED_SPACE_PREFERENCE_FRACTION_KEY`
  `static final String`
  `DFS_NAMENODE_AVAILABLE_SPACE_RACK_FAULT_TOLERANT_BLOCK_PLACEMENT_POLICY_BALANCED_SPACE_TOLERANCE_KEY`
  `static final boolean`
  `DFS_NAMENODE_AVOID_SLOW_DATANODE_FOR_READ_DEFAULT`
  `static final String`
  `DFS_NAMENODE_AVOID_SLOW_DATANODE_FOR_READ_KEY`
  `static final boolean`
  `DFS_NAMENODE_AVOID_STALE_DATANODE_FOR_READ_DEFAULT`
  `static final String`
  `DFS_NAMENODE_AVOID_STALE_DATANODE_FOR_READ_KEY`
  `static final boolean`
  `DFS_NAMENODE_AVOID_STALE_DATANODE_FOR_WRITE_DEFAULT`
  `static final String`
  `DFS_NAMENODE_AVOID_STALE_DATANODE_FOR_WRITE_KEY`
  `static final String`
  `DFS_NAMENODE_BACKUP_ADDRESS_DEFAULT`
  `static final String`
  `DFS_NAMENODE_BACKUP_ADDRESS_KEY`
  `static final String`
  `DFS_NAMENODE_BACKUP_HTTP_ADDRESS_DEFAULT`
  `static final String`
  `DFS_NAMENODE_BACKUP_HTTP_ADDRESS_KEY`
  `static final String`
  `DFS_NAMENODE_BACKUP_SERVICE_RPC_ADDRESS_KEY`
  `static final String`
  `DFS_NAMENODE_BATCHED_LISTING_LIMIT`
  `static final int`
  `DFS_NAMENODE_BATCHED_LISTING_LIMIT_DEFAULT`
  `static final String`
  `DFS_NAMENODE_BLOCK_DELETION_LOCK_THRESHOLD_MS`
  The limit of single lock holding duration.
  `static final int`
  `DFS_NAMENODE_BLOCK_DELETION_LOCK_THRESHOLD_MS_DEFAULT`
  `static final String`
  `DFS_NAMENODE_BLOCK_DELETION_UNLOCK_INTERVAL_MS`
  The sleep interval for releasing lock.
  `static final int`
  `DFS_NAMENODE_BLOCK_DELETION_UNLOCK_INTERVAL_MS_DEFAULT`
  `static final boolean`
  `DFS_NAMENODE_BLOCKPLACEMENTPOLICY_DEFAULT_PREFER_LOCAL_NODE_DEFAULT`
  `static final String`
  `DFS_NAMENODE_BLOCKPLACEMENTPOLICY_DEFAULT_PREFER_LOCAL_NODE_KEY`
  `static final boolean`
  `DFS_NAMENODE_BLOCKPLACEMENTPOLICY_EXCLUDE_SLOW_NODES_ENABLED_DEFAULT`
  `static final String`
  `DFS_NAMENODE_BLOCKPLACEMENTPOLICY_EXCLUDE_SLOW_NODES_ENABLED_KEY`
  `static final int`
  `DFS_NAMENODE_BLOCKPLACEMENTPOLICY_MIN_BLOCKS_FOR_WRITE_DEFAULT`
  `static final String`
  `DFS_NAMENODE_BLOCKPLACEMENTPOLICY_MIN_BLOCKS_FOR_WRITE_KEY`
  `static final String`
  `DFS_NAMENODE_BLOCKREPORT_MAX_LOCK_HOLD_TIME`
  `static final long`
  `DFS_NAMENODE_BLOCKREPORT_MAX_LOCK_HOLD_TIME_DEFAULT`
  `static final int`
  `DFS_NAMENODE_BLOCKREPORT_QUEUE_SIZE_DEFAULT`
  `static final String`
  `DFS_NAMENODE_BLOCKREPORT_QUEUE_SIZE_KEY`
  `static final String`
  `DFS_NAMENODE_BLOCKS_PER_POSTPONEDBLOCKS_RESCAN_KEY`
  `static final long`
  `DFS_NAMENODE_BLOCKS_PER_POSTPONEDBLOCKS_RESCAN_KEY_DEFAULT`
  `static final boolean`
  `DFS_NAMENODE_CACHING_ENABLED_DEFAULT`
  `static final String`
  `DFS_NAMENODE_CACHING_ENABLED_KEY`
  `static final String`
  `DFS_NAMENODE_CHECKED_VOLUMES_KEY`
  `static final int`
  `DFS_NAMENODE_CHECKED_VOLUMES_MINIMUM_DEFAULT`
  `static final String`
  `DFS_NAMENODE_CHECKED_VOLUMES_MINIMUM_KEY`
  `static final long`
  `DFS_NAMENODE_CHECKPOINT_CHECK_PERIOD_DEFAULT`
  `static final String`
  `DFS_NAMENODE_CHECKPOINT_CHECK_PERIOD_KEY`
  `static final String`
  `DFS_NAMENODE_CHECKPOINT_DIR_KEY`
  `static final String`
  `DFS_NAMENODE_CHECKPOINT_EDITS_DIR_KEY`
  `static final int`
  `DFS_NAMENODE_CHECKPOINT_MAX_RETRIES_DEFAULT`
  `static final String`
  `DFS_NAMENODE_CHECKPOINT_MAX_RETRIES_KEY`
  `static final boolean`
  `DFS_NAMENODE_CHECKPOINT_PARALLEL_UPLOAD_ENABLED_DEFAULT`
  `static final String`
  `DFS_NAMENODE_CHECKPOINT_PARALLEL_UPLOAD_ENABLED_KEY`
  `static final long`
  `DFS_NAMENODE_CHECKPOINT_PERIOD_DEFAULT`
  `static final String`
  `DFS_NAMENODE_CHECKPOINT_PERIOD_KEY`
  `static final double`
  `DFS_NAMENODE_CHECKPOINT_QUIET_MULTIPLIER_DEFAULT`
  `static final String`
  `DFS_NAMENODE_CHECKPOINT_QUIET_MULTIPLIER_KEY`
  `static final long`
  `DFS_NAMENODE_CHECKPOINT_TXNS_DEFAULT`
  `static final String`
  `DFS_NAMENODE_CHECKPOINT_TXNS_KEY`
  `static final String`
  `DFS_NAMENODE_CORRUPT_BLOCK_DELETE_IMMEDIATELY_ENABLED`
  `static final boolean`
  `DFS_NAMENODE_CORRUPT_BLOCK_DELETE_IMMEDIATELY_ENABLED_DEFAULT`
  `static final boolean`
  `DFS_NAMENODE_CRM_CHECKLOCKTIME_DEFAULT`
  `static final String`
  `DFS_NAMENODE_CRM_CHECKLOCKTIME_ENABLE`
  `static final String`
  `DFS_NAMENODE_CRM_MAXLOCKTIME_MS`
  `static final long`
  `DFS_NAMENODE_CRM_MAXLOCKTIME_MS_DEFAULT`
  `static final String`
  `DFS_NAMENODE_CRM_SLEEP_TIME_MS`
  `static final long`
  `DFS_NAMENODE_CRM_SLEEP_TIME_MS_DEFAULT`
  `static final boolean`
  `DFS_NAMENODE_DATANODE_REGISTRATION_IP_HOSTNAME_CHECK_DEFAULT`
  `static final String`
  `DFS_NAMENODE_DATANODE_REGISTRATION_IP_HOSTNAME_CHECK_KEY`
  `static final String`
  `DFS_NAMENODE_DECOMMISSION_BACKOFF_MONITOR_PENDING_BLOCKS_PER_LOCK`
  `static final int`
  `DFS_NAMENODE_DECOMMISSION_BACKOFF_MONITOR_PENDING_BLOCKS_PER_LOCK_DEFAULT`
  `static final String`
  `DFS_NAMENODE_DECOMMISSION_BACKOFF_MONITOR_PENDING_LIMIT`
  `static final int`
  `DFS_NAMENODE_DECOMMISSION_BACKOFF_MONITOR_PENDING_LIMIT_DEFAULT`
  `static final int`
  `DFS_NAMENODE_DECOMMISSION_BLOCKS_PER_INTERVAL_DEFAULT`
  `static final String`
  `DFS_NAMENODE_DECOMMISSION_BLOCKS_PER_INTERVAL_KEY`
  `static final int`
  `DFS_NAMENODE_DECOMMISSION_INTERVAL_DEFAULT`
  `static final String`
  `DFS_NAMENODE_DECOMMISSION_INTERVAL_KEY`
  `static final String`
  `DFS_NAMENODE_DECOMMISSION_MAX_CONCURRENT_TRACKED_NODES`
  `static final int`
  `DFS_NAMENODE_DECOMMISSION_MAX_CONCURRENT_TRACKED_NODES_DEFAULT`
  `static final String`
  `DFS_NAMENODE_DECOMMISSION_MONITOR_CLASS`
  `static final String`
  `DFS_NAMENODE_DECOMMISSION_MONITOR_CLASS_DEFAULT`
  `static final String`
  `DFS_NAMENODE_DEFAULT_AUDIT_LOGGER_NAME`
  `static final long`
  `DFS_NAMENODE_DELEGATION_KEY_UPDATE_INTERVAL_DEFAULT`
  `static final String`
  `DFS_NAMENODE_DELEGATION_KEY_UPDATE_INTERVAL_KEY`
  `static final boolean`
  `DFS_NAMENODE_DELEGATION_TOKEN_ALWAYS_USE_DEFAULT`
  `static final String`
  `DFS_NAMENODE_DELEGATION_TOKEN_ALWAYS_USE_KEY`
  `static final long`
  `DFS_NAMENODE_DELEGATION_TOKEN_MAX_LIFETIME_DEFAULT`
  `static final String`
  `DFS_NAMENODE_DELEGATION_TOKEN_MAX_LIFETIME_KEY`
  `static final long`
  `DFS_NAMENODE_DELEGATION_TOKEN_RENEW_INTERVAL_DEFAULT`
  `static final String`
  `DFS_NAMENODE_DELEGATION_TOKEN_RENEW_INTERVAL_KEY`
  `static final long`
  `DFS_NAMENODE_DU_RESERVED_DEFAULT`
  `static final String`
  `DFS_NAMENODE_DU_RESERVED_KEY`
  `static final int`
  `DFS_NAMENODE_EC_POLICIES_MAX_CELLSIZE_DEFAULT`
  `static final String`
  `DFS_NAMENODE_EC_POLICIES_MAX_CELLSIZE_KEY`
  `static final String`
  `DFS_NAMENODE_EC_POLICIES_USERPOLICIES_ALLOWED_KEY`
  `static final boolean`
  `DFS_NAMENODE_EC_POLICIES_USERPOLICIES_ALLOWED_KEY_DEFAULT`
  `static final String`
  `DFS_NAMENODE_EC_SYSTEM_DEFAULT_POLICY`
  `static final String`
  `DFS_NAMENODE_EC_SYSTEM_DEFAULT_POLICY_DEFAULT`
  `static final int`
  `DFS_NAMENODE_EDEKCACHELOADER_INITIAL_DELAY_MS_DEFAULT`
  `static final String`
  `DFS_NAMENODE_EDEKCACHELOADER_INITIAL_DELAY_MS_KEY`
  `static final int`
  `DFS_NAMENODE_EDEKCACHELOADER_INTERVAL_MS_DEFAULT`
  `static final String`
  `DFS_NAMENODE_EDEKCACHELOADER_INTERVAL_MS_KEY`
  `static final int`
  `DFS_NAMENODE_EDEKCACHELOADER_MAX_RETRIES_DEFAULT`
  `static final String`
  `DFS_NAMENODE_EDEKCACHELOADER_MAX_RETRIES_KEY`
  `static final String`
  `DFS_NAMENODE_EDIT_LOG_AUTOROLL_CHECK_INTERVAL_MS`
  `static final int`
  `DFS_NAMENODE_EDIT_LOG_AUTOROLL_CHECK_INTERVAL_MS_DEFAULT`
  `static final String`
  `DFS_NAMENODE_EDIT_LOG_AUTOROLL_MULTIPLIER_THRESHOLD`
  `static final float`
  `DFS_NAMENODE_EDIT_LOG_AUTOROLL_MULTIPLIER_THRESHOLD_DEFAULT`
  `static final String`
  `DFS_NAMENODE_EDITS_ASYNC_LOGGING`
  `static final boolean`
  `DFS_NAMENODE_EDITS_ASYNC_LOGGING_DEFAULT`
  `static final String`
  `DFS_NAMENODE_EDITS_ASYNC_LOGGING_PENDING_QUEUE_SIZE`
  `static final int`
  `DFS_NAMENODE_EDITS_ASYNC_LOGGING_PENDING_QUEUE_SIZE_DEFAULT`
  `static final String`
  `DFS_NAMENODE_EDITS_DIR_DEFAULT`
  `static final String`
  `DFS_NAMENODE_EDITS_DIR_KEY`
  `static final int`
  `DFS_NAMENODE_EDITS_DIR_MINIMUM_DEFAULT`
  `static final String`
  `DFS_NAMENODE_EDITS_DIR_MINIMUM_KEY`
  `static final String`
  `DFS_NAMENODE_EDITS_DIR_REQUIRED_KEY`
  `static final String`
  `DFS_NAMENODE_EDITS_NOEDITLOGCHANNELFLUSH`
  `static final boolean`
  `DFS_NAMENODE_EDITS_NOEDITLOGCHANNELFLUSH_DEFAULT`
  `static final String`
  `DFS_NAMENODE_EDITS_PLUGIN_PREFIX`
  `static final String`
  `DFS_NAMENODE_EDITS_QJOURNALS_RESOLUTION_ENABLED`
  `static final boolean`
  `DFS_NAMENODE_EDITS_QJOURNALS_RESOLUTION_ENABLED_DEFAULT`
  `static final String`
  `DFS_NAMENODE_EDITS_QJOURNALS_RESOLUTION_RESOLVER_IMPL`
  `static final boolean`
  `DFS_NAMENODE_ENABLE_LOG_STALE_DATANODE_DEFAULT`
  `static final String`
  `DFS_NAMENODE_ENABLE_LOG_STALE_DATANODE_KEY`
  `static final boolean`
  `DFS_NAMENODE_ENABLE_RETRY_CACHE_DEFAULT`
  `static final String`
  `DFS_NAMENODE_ENABLE_RETRY_CACHE_KEY`
  `static final String`
  `DFS_NAMENODE_EXCESS_REDUNDANCY_TIMEOUT_CHECK_LIMIT`
  `static final long`
  `DFS_NAMENODE_EXCESS_REDUNDANCY_TIMEOUT_CHECK_LIMIT_DEFAULT`
  `static final long`
  `DFS_NAMENODE_EXCESS_REDUNDANCY_TIMEOUT_SEC_DEAFULT`
  `static final String`
  `DFS_NAMENODE_EXCESS_REDUNDANCY_TIMEOUT_SEC_KEY`
  `static final int`
  `DFS_NAMENODE_FILE_CLOSE_NUM_COMMITTED_ALLOWED_DEFAULT`
  `static final String`
  `DFS_NAMENODE_FILE_CLOSE_NUM_COMMITTED_ALLOWED_KEY`
  `static final boolean`
  `DFS_NAMENODE_FSLOCK_FAIR_DEFAULT`
  `static final String`
  `DFS_NAMENODE_FSLOCK_FAIR_KEY`
  `static final String`
  `DFS_NAMENODE_FULL_BLOCK_REPORT_LEASE_LENGTH_MS`
  `static final long`
  `DFS_NAMENODE_FULL_BLOCK_REPORT_LEASE_LENGTH_MS_DEFAULT`
  `static final String`
  `DFS_NAMENODE_GC_TIME_MONITOR_ENABLE`
  `static final boolean`
  `DFS_NAMENODE_GC_TIME_MONITOR_ENABLE_DEFAULT`
  `static final String`
  `DFS_NAMENODE_GC_TIME_MONITOR_OBSERVATION_WINDOW_MS`
  `static final long`
  `DFS_NAMENODE_GC_TIME_MONITOR_OBSERVATION_WINDOW_MS_DEFAULT`
  `static final String`
  `DFS_NAMENODE_GC_TIME_MONITOR_SLEEP_INTERVAL_MS`
  `static final long`
  `DFS_NAMENODE_GC_TIME_MONITOR_SLEEP_INTERVAL_MS_DEFAULT`
  `static final boolean`
  `DFS_NAMENODE_GETBLOCKS_CHECK_OPERATION_DEFAULT`
  `static final String`
  `DFS_NAMENODE_GETBLOCKS_CHECK_OPERATION_KEY`
  `static final int`
  `DFS_NAMENODE_GETBLOCKS_MAX_QPS_DEFAULT`
  `static final String`
  `DFS_NAMENODE_GETBLOCKS_MAX_QPS_KEY`
  The maximum number of getBlocks RPCs data movement utilities can make to a NameNode per second.
  `static final int`
  `DFS_NAMENODE_HANDLER_COUNT_DEFAULT`
  `static final String`
  `DFS_NAMENODE_HANDLER_COUNT_KEY`
  `static final int`
  `DFS_NAMENODE_HEARTBEAT_RECHECK_INTERVAL_DEFAULT`
  `static final String`
  `DFS_NAMENODE_HEARTBEAT_RECHECK_INTERVAL_KEY`
  `static final String`
  `DFS_NAMENODE_HOSTS_PROVIDER_CLASSNAME_KEY`
  `static final String`
  `DFS_NAMENODE_HTTP_ADDRESS_DEFAULT`
  `static final String`
  `DFS_NAMENODE_HTTP_ADDRESS_KEY`
  `static final String`
  `DFS_NAMENODE_HTTP_BIND_HOST_KEY`
  `static final int`
  `DFS_NAMENODE_HTTP_PORT_DEFAULT`
  `static final String`
  `DFS_NAMENODE_HTTPS_ADDRESS_DEFAULT`
  `static final String`
  `DFS_NAMENODE_HTTPS_ADDRESS_KEY`
  `static final String`
  `DFS_NAMENODE_HTTPS_BIND_HOST_KEY`
  `static final int`
  `DFS_NAMENODE_HTTPS_PORT_DEFAULT`
  `static final String`
  `DFS_NAMENODE_INODE_ATTRIBUTES_PROVIDER_BYPASS_USERS_DEFAULT`
  `static final String`
  `DFS_NAMENODE_INODE_ATTRIBUTES_PROVIDER_BYPASS_USERS_KEY`
  `static final String`
  `DFS_NAMENODE_INODE_ATTRIBUTES_PROVIDER_KEY`
  `static final int`
  `DFS_NAMENODE_INOTIFY_MAX_EVENTS_PER_RPC_DEFAULT`
  `static final String`
  `DFS_NAMENODE_INOTIFY_MAX_EVENTS_PER_RPC_KEY`
  `static final String`
  `DFS_NAMENODE_INTERNAL_SPNEGO_USER_NAME_KEY`
  Deprecated.
  `static final String`
  `DFS_NAMENODE_INVALIDATE_WORK_PCT_PER_ITERATION`
  `static final float`
  `DFS_NAMENODE_INVALIDATE_WORK_PCT_PER_ITERATION_DEFAULT`
  `static final String`
  `DFS_NAMENODE_IP_PROXY_USERS`
  `static final String`
  `DFS_NAMENODE_KERBEROS_INTERNAL_SPNEGO_PRINCIPAL_KEY`
  `static final String`
  `DFS_NAMENODE_KERBEROS_PRINCIPAL_KEY`
  `static final String`
  `DFS_NAMENODE_KEYTAB_FILE_KEY`
  `static final String`
  `DFS_NAMENODE_LAZY_PERSIST_FILE_SCRUB_INTERVAL_SEC`
  `static final int`
  `DFS_NAMENODE_LAZY_PERSIST_FILE_SCRUB_INTERVAL_SEC_DEFAULT`
  `static final long`
  `DFS_NAMENODE_LEASE_RECHECK_INTERVAL_MS_DEFAULT`
  `static final String`
  `DFS_NAMENODE_LEASE_RECHECK_INTERVAL_MS_KEY`
  `static final String`
  `DFS_NAMENODE_LEGACY_OIV_IMAGE_DIR_KEY`
  `static final String`
  `DFS_NAMENODE_LIFELINE_HANDLER_COUNT_KEY`
  `static final float`
  `DFS_NAMENODE_LIFELINE_HANDLER_RATIO_DEFAULT`
  `static final String`
  `DFS_NAMENODE_LIFELINE_HANDLER_RATIO_KEY`
  `static final String`
  `DFS_NAMENODE_LIFELINE_RPC_ADDRESS_KEY`
  `static final String`
  `DFS_NAMENODE_LIFELINE_RPC_BIND_HOST_KEY`
  `static final String`
  `DFS_NAMENODE_LIST_CACHE_DIRECTIVES_NUM_RESPONSES`
  `static final int`
  `DFS_NAMENODE_LIST_CACHE_DIRECTIVES_NUM_RESPONSES_DEFAULT`
  `static final String`
  `DFS_NAMENODE_LIST_CACHE_POOLS_NUM_RESPONSES`
  `static final int`
  `DFS_NAMENODE_LIST_CACHE_POOLS_NUM_RESPONSES_DEFAULT`
  `static final String`
  `DFS_NAMENODE_LIST_ENCRYPTION_ZONES_NUM_RESPONSES`
  `static final int`
  `DFS_NAMENODE_LIST_ENCRYPTION_ZONES_NUM_RESPONSES_DEFAULT`
  `static final String`
  `DFS_NAMENODE_LIST_OPENFILES_NUM_RESPONSES`
  `static final int`
  `DFS_NAMENODE_LIST_OPENFILES_NUM_RESPONSES_DEFAULT`
  `static final int`
  `DFS_NAMENODE_LIST_REENCRYPTION_STATUS_NUM_RESPONSES_DEFAULT`
  `static final String`
  `DFS_NAMENODE_LIST_REENCRYPTION_STATUS_NUM_RESPONSES_KEY`
  `static final boolean`
  `DFS_NAMENODE_LOCK_DETAILED_METRICS_DEFAULT`
  `static final String`
  `DFS_NAMENODE_LOCK_DETAILED_METRICS_KEY`
  `static final Class<? extends FSNLockManager>`
  `DFS_NAMENODE_LOCK_MODEL_PROVIDER_DEFAULT`
  `static final String`
  `DFS_NAMENODE_LOCK_MODEL_PROVIDER_KEY`
  `static final int`
  `DFS_NAMENODE_MAINTENANCE_REPLICATION_MIN_DEFAULT`
  `static final String`
  `DFS_NAMENODE_MAINTENANCE_REPLICATION_MIN_KEY`
  `static final long`
  `DFS_NAMENODE_MAX_BLOCKS_PER_FILE_DEFAULT`
  `static final String`
  `DFS_NAMENODE_MAX_BLOCKS_PER_FILE_KEY`
  `static final int`
  `DFS_NAMENODE_MAX_COMPONENT_LENGTH_DEFAULT`
  `static final String`
  `DFS_NAMENODE_MAX_COMPONENT_LENGTH_KEY`
  `static final int`
  `DFS_NAMENODE_MAX_CORRUPT_FILE_BLOCKS_RETURNED_DEFAULT`
  `static final String`
  `DFS_NAMENODE_MAX_CORRUPT_FILE_BLOCKS_RETURNED_KEY`
  `static final int`
  `DFS_NAMENODE_MAX_DIRECTORY_ITEMS_DEFAULT`
  `static final String`
  `DFS_NAMENODE_MAX_DIRECTORY_ITEMS_KEY`
  `static final int`
  `DFS_NAMENODE_MAX_EXTRA_EDITS_SEGMENTS_RETAINED_DEFAULT`
  `static final String`
  `DFS_NAMENODE_MAX_EXTRA_EDITS_SEGMENTS_RETAINED_KEY`
  `static final String`
  `DFS_NAMENODE_MAX_FULL_BLOCK_REPORT_LEASES`
  `static final int`
  `DFS_NAMENODE_MAX_FULL_BLOCK_REPORT_LEASES_DEFAULT`
  `static final long`
  `DFS_NAMENODE_MAX_LOCK_HOLD_TO_RELEASE_LEASE_MS_DEFAULT`
  `static final String`
  `DFS_NAMENODE_MAX_LOCK_HOLD_TO_RELEASE_LEASE_MS_KEY`
  `static final long`
  `DFS_NAMENODE_MAX_OBJECTS_DEFAULT`
  `static final String`
  `DFS_NAMENODE_MAX_OBJECTS_KEY`
  `static final int`
  `DFS_NAMENODE_MAX_OP_SIZE_DEFAULT`
  `static final String`
  `DFS_NAMENODE_MAX_OP_SIZE_KEY`
  `static final int`
  `DFS_NAMENODE_MAX_SLOWPEER_COLLECT_NODES_DEFAULT`
  `static final String`
  `DFS_NAMENODE_MAX_SLOWPEER_COLLECT_NODES_KEY`
  `static final int`
  `DFS_NAMENODE_MAX_XATTR_SIZE_DEFAULT`
  `static final int`
  `DFS_NAMENODE_MAX_XATTR_SIZE_HARD_LIMIT`
  `static final String`
  `DFS_NAMENODE_MAX_XATTR_SIZE_KEY`
  `static final int`
  `DFS_NAMENODE_MAX_XATTRS_PER_INODE_DEFAULT`
  `static final String`
  `DFS_NAMENODE_MAX_XATTRS_PER_INODE_KEY`
  `static final int`
  `DFS_NAMENODE_METRICS_LOGGER_PERIOD_SECONDS_DEFAULT`
  `static final String`
  `DFS_NAMENODE_METRICS_LOGGER_PERIOD_SECONDS_KEY`
  `static final long`
  `DFS_NAMENODE_MIN_BLOCK_SIZE_DEFAULT`
  `static final String`
  `DFS_NAMENODE_MIN_BLOCK_SIZE_KEY`
  `static final String`
  `DFS_NAMENODE_MIN_SUPPORTED_DATANODE_VERSION_DEFAULT`
  `static final String`
  `DFS_NAMENODE_MIN_SUPPORTED_DATANODE_VERSION_KEY`
  `static final int`
  `DFS_NAMENODE_MISSING_CHECKPOINT_PERIODS_BEFORE_SHUTDOWN_DEFAULT`
  `static final String`
  `DFS_NAMENODE_MISSING_CHECKPOINT_PERIODS_BEFORE_SHUTDOWN_KEY`
  `static final int`
  `DFS_NAMENODE_NAME_CACHE_THRESHOLD_DEFAULT`
  `static final String`
  `DFS_NAMENODE_NAME_CACHE_THRESHOLD_KEY`
  `static final String`
  `DFS_NAMENODE_NAME_DIR_KEY`
  `static final String`
  `DFS_NAMENODE_NAME_DIR_PERMISSION_DEFAULT`
  `static final String`
  `DFS_NAMENODE_NAME_DIR_PERMISSION_KEY`
  `static final boolean`
  `DFS_NAMENODE_NAME_DIR_RESTORE_DEFAULT`
  `static final String`
  `DFS_NAMENODE_NAME_DIR_RESTORE_KEY`
  `static final int`
  `DFS_NAMENODE_NUM_CHECKPOINTS_RETAINED_DEFAULT`
  `static final String`
  `DFS_NAMENODE_NUM_CHECKPOINTS_RETAINED_KEY`
  `static final int`
  `DFS_NAMENODE_NUM_EXTRA_EDITS_RETAINED_DEFAULT`
  `static final String`
  `DFS_NAMENODE_NUM_EXTRA_EDITS_RETAINED_KEY`
  `static final boolean`
  `DFS_NAMENODE_OBSERVER_ENABLED_DEFAULT`
  `static final String`
  `DFS_NAMENODE_OBSERVER_ENABLED_KEY`
  `static final String`
  `DFS_NAMENODE_PATH_BASED_CACHE_BLOCK_MAP_ALLOCATION_PERCENT`
  `static final float`
  `DFS_NAMENODE_PATH_BASED_CACHE_BLOCK_MAP_ALLOCATION_PERCENT_DEFAULT`
  `static final String`
  `DFS_NAMENODE_PATH_BASED_CACHE_REFRESH_INTERVAL_MS`
  `static final long`
  `DFS_NAMENODE_PATH_BASED_CACHE_REFRESH_INTERVAL_MS_DEFAULT`
  `static final String`
  `DFS_NAMENODE_PATH_BASED_CACHE_RETRY_INTERVAL_MS`
  `static final long`
  `DFS_NAMENODE_PATH_BASED_CACHE_RETRY_INTERVAL_MS_DEFAULT`
  `static final String`
  `DFS_NAMENODE_PLUGINS_KEY`
  `static final boolean`
  `DFS_NAMENODE_POSIX_ACL_INHERITANCE_ENABLED_DEFAULT`
  `static final String`
  `DFS_NAMENODE_POSIX_ACL_INHERITANCE_ENABLED_KEY`
  `static final String`
  `DFS_NAMENODE_PROVIDED_ENABLED`
  `static final boolean`
  `DFS_NAMENODE_PROVIDED_ENABLED_DEFAULT`
  `static final int`
  `DFS_NAMENODE_QUOTA_INIT_THREADS_DEFAULT`
  `static final String`
  `DFS_NAMENODE_QUOTA_INIT_THREADS_KEY`
  `static final String`
  `DFS_NAMENODE_RANDOM_NODE_ORDER_ENABLED`
  `static final boolean`
  `DFS_NAMENODE_RANDOM_NODE_ORDER_ENABLED_DEFAULT`
  `static final boolean`
  `DFS_NAMENODE_READ_CONSIDERLOAD_DEFAULT`
  `static final String`
  `DFS_NAMENODE_READ_CONSIDERLOAD_KEY`
  `static final boolean`
  `DFS_NAMENODE_READ_CONSIDERSTORAGETYPE_DEFAULT`
  `static final String`
  `DFS_NAMENODE_READ_CONSIDERSTORAGETYPE_KEY`
  `static final long`
  `DFS_NAMENODE_READ_LOCK_REPORTING_THRESHOLD_MS_DEFAULT`
  `static final String`
  `DFS_NAMENODE_READ_LOCK_REPORTING_THRESHOLD_MS_KEY`
  `static final int`
  `DFS_NAMENODE_RECONSTRUCTION_PENDING_TIMEOUT_SEC_DEFAULT`
  `static final String`
  `DFS_NAMENODE_RECONSTRUCTION_PENDING_TIMEOUT_SEC_KEY`
  `static final boolean`
  `DFS_NAMENODE_REDUNDANCY_CONSIDERLOAD_DEFAULT`
  `static final String`
  `DFS_NAMENODE_REDUNDANCY_CONSIDERLOAD_FACTOR`
  `static final double`
  `DFS_NAMENODE_REDUNDANCY_CONSIDERLOAD_FACTOR_DEFAULT`
  `static final String`
  `DFS_NAMENODE_REDUNDANCY_CONSIDERLOAD_KEY`
  `static final boolean`
  `DFS_NAMENODE_REDUNDANCY_CONSIDERLOADBYSTORAGETYPE_DEFAULT`
  `static final String`
  `DFS_NAMENODE_REDUNDANCY_CONSIDERLOADBYSTORAGETYPE_KEY`
  `static final boolean`
  `DFS_NAMENODE_REDUNDANCY_CONSIDERLOADBYVOLUME_DEFAULT`
  `static final String`
  `DFS_NAMENODE_REDUNDANCY_CONSIDERLOADBYVOLUME_KEY`
  `static final int`
  `DFS_NAMENODE_REDUNDANCY_INTERVAL_SECONDS_DEFAULT`
  `static final String`
  `DFS_NAMENODE_REDUNDANCY_INTERVAL_SECONDS_KEY`
  `static final String`
  `DFS_NAMENODE_REDUNDANCY_QUEUE_RESTART_ITERATIONS`
  `static final int`
  `DFS_NAMENODE_REDUNDANCY_QUEUE_RESTART_ITERATIONS_DEFAULT`
  `static final int`
  `DFS_NAMENODE_REENCRYPT_BATCH_SIZE_DEFAULT`
  `static final String`
  `DFS_NAMENODE_REENCRYPT_BATCH_SIZE_KEY`
  `static final int`
  `DFS_NAMENODE_REENCRYPT_EDEK_THREADS_DEFAULT`
  `static final String`
  `DFS_NAMENODE_REENCRYPT_EDEK_THREADS_KEY`
  `static final String`
  `DFS_NAMENODE_REENCRYPT_SLEEP_INTERVAL_DEFAULT`
  `static final String`
  `DFS_NAMENODE_REENCRYPT_SLEEP_INTERVAL_KEY`
  `static final double`
  `DFS_NAMENODE_REENCRYPT_THROTTLE_LIMIT_HANDLER_RATIO_DEFAULT`
  `static final String`
  `DFS_NAMENODE_REENCRYPT_THROTTLE_LIMIT_HANDLER_RATIO_KEY`
  `static final double`
  `DFS_NAMENODE_REENCRYPT_THROTTLE_LIMIT_UPDATER_RATIO_DEFAULT`
  `static final String`
  `DFS_NAMENODE_REENCRYPT_THROTTLE_LIMIT_UPDATER_RATIO_KEY`
  `static final int`
  `DFS_NAMENODE_REMOVE_BAD_BATCH_NUM_DEFAULT`
  `static final String`
  `DFS_NAMENODE_REMOVE_DEAD_DATANODE_BATCHNUM_KEY`
  `static final String`
  `DFS_NAMENODE_REPL_QUEUE_THRESHOLD_PCT_KEY`
  `static final int`
  `DFS_NAMENODE_REPLICATION_MAX_STREAMS_DEFAULT`
  `static final String`
  `DFS_NAMENODE_REPLICATION_MAX_STREAMS_KEY`
  `static final int`
  `DFS_NAMENODE_REPLICATION_MIN_DEFAULT`
  `static final String`
  `DFS_NAMENODE_REPLICATION_MIN_KEY`
  `static final int`
  `DFS_NAMENODE_REPLICATION_STREAMS_HARD_LIMIT_DEFAULT`
  `static final String`
  `DFS_NAMENODE_REPLICATION_STREAMS_HARD_LIMIT_KEY`
  `static final String`
  `DFS_NAMENODE_REPLICATION_WORK_MULTIPLIER_PER_ITERATION`
  `static final int`
  `DFS_NAMENODE_REPLICATION_WORK_MULTIPLIER_PER_ITERATION_DEFAULT`
  `static final int`
  `DFS_NAMENODE_RESOURCE_CHECK_INTERVAL_DEFAULT`
  `static final String`
  `DFS_NAMENODE_RESOURCE_CHECK_INTERVAL_KEY`
  `static final long`
  `DFS_NAMENODE_RETRY_CACHE_EXPIRYTIME_MILLIS_DEFAULT`
  `static final String`
  `DFS_NAMENODE_RETRY_CACHE_EXPIRYTIME_MILLIS_KEY`
  `static final float`
  `DFS_NAMENODE_RETRY_CACHE_HEAP_PERCENT_DEFAULT`
  `static final String`
  `DFS_NAMENODE_RETRY_CACHE_HEAP_PERCENT_KEY`
  `static final String`
  `DFS_NAMENODE_RPC_ADDRESS_AUXILIARY_KEY`
  `static final String`
  `DFS_NAMENODE_RPC_ADDRESS_KEY`
  `static final String`
  `DFS_NAMENODE_RPC_BIND_HOST_KEY`
  `static final int`
  `DFS_NAMENODE_SAFEMODE_EXTENSION_DEFAULT`
  `static final String`
  `DFS_NAMENODE_SAFEMODE_EXTENSION_KEY`
  `static final int`
  `DFS_NAMENODE_SAFEMODE_MIN_DATANODES_DEFAULT`
  `static final String`
  `DFS_NAMENODE_SAFEMODE_MIN_DATANODES_KEY`
  `static final long`
  `DFS_NAMENODE_SAFEMODE_RECHECK_INTERVAL_DEFAULT`
  `static final String`
  `DFS_NAMENODE_SAFEMODE_RECHECK_INTERVAL_KEY`
  `static final String`
  `DFS_NAMENODE_SAFEMODE_REPLICATION_MIN_KEY`
  `static final float`
  `DFS_NAMENODE_SAFEMODE_THRESHOLD_PCT_DEFAULT`
  `static final String`
  `DFS_NAMENODE_SAFEMODE_THRESHOLD_PCT_KEY`
  `static final String`
  `DFS_NAMENODE_SECONDARY_HTTP_ADDRESS_DEFAULT`
  `static final String`
  `DFS_NAMENODE_SECONDARY_HTTP_ADDRESS_KEY`
  `static final String`
  `DFS_NAMENODE_SECONDARY_HTTPS_ADDRESS_DEFAULT`
  `static final String`
  `DFS_NAMENODE_SECONDARY_HTTPS_ADDRESS_KEY`
  `static final String`
  `DFS_NAMENODE_SEND_QOP_ENABLED`
  `static final boolean`
  `DFS_NAMENODE_SEND_QOP_ENABLED_DEFAULT`
  `static final int`
  `DFS_NAMENODE_SERVICE_HANDLER_COUNT_DEFAULT`
  `static final String`
  `DFS_NAMENODE_SERVICE_HANDLER_COUNT_KEY`
  `static final String`
  `DFS_NAMENODE_SERVICE_RPC_ADDRESS_KEY`
  `static final String`
  `DFS_NAMENODE_SERVICE_RPC_BIND_HOST_KEY`
  `static final String`
  `DFS_NAMENODE_SHARED_EDITS_DIR_KEY`
  `static final String`
  `DFS_NAMENODE_SLOWPEER_COLLECT_INTERVAL_DEFAULT`
  `static final String`
  `DFS_NAMENODE_SLOWPEER_COLLECT_INTERVAL_KEY`
  `static final String`
  `DFS_NAMENODE_SNAPSHOT_CAPTURE_OPENFILES`
  `static final boolean`
  `DFS_NAMENODE_SNAPSHOT_CAPTURE_OPENFILES_DEFAULT`
  `static final String`
  `DFS_NAMENODE_SNAPSHOT_DIFF_ALLOW_SNAP_ROOT_DESCENDANT`
  `static final boolean`
  `DFS_NAMENODE_SNAPSHOT_DIFF_ALLOW_SNAP_ROOT_DESCENDANT_DEFAULT`
  `static final String`
  `DFS_NAMENODE_SNAPSHOT_DIFF_LISTING_LIMIT`
  `static final int`
  `DFS_NAMENODE_SNAPSHOT_DIFF_LISTING_LIMIT_DEFAULT`
  `static final String`
  `DFS_NAMENODE_SNAPSHOT_FILESYSTEM_LIMIT`
  `static final int`
  `DFS_NAMENODE_SNAPSHOT_FILESYSTEM_LIMIT_DEFAULT`
  `static final String`
  `DFS_NAMENODE_SNAPSHOT_MAX_LIMIT`
  `static final int`
  `DFS_NAMENODE_SNAPSHOT_MAX_LIMIT_DEFAULT`
  `static final String`
  `DFS_NAMENODE_SNAPSHOT_SKIP_CAPTURE_ACCESSTIME_ONLY_CHANGE`
  `static final boolean`
  `DFS_NAMENODE_SNAPSHOT_SKIP_CAPTURE_ACCESSTIME_ONLY_CHANGE_DEFAULT`
  `static final String`
  `DFS_NAMENODE_SNAPSHOT_SKIPLIST_MAX_LEVELS`
  `static final int`
  `DFS_NAMENODE_SNAPSHOT_SKIPLIST_MAX_SKIP_LEVELS_DEFAULT`
  `static final String`
  `DFS_NAMENODE_SNAPSHOT_SKIPLIST_SKIP_INTERVAL`
  `static final int`
  `DFS_NAMENODE_SNAPSHOT_SKIPLIST_SKIP_INTERVAL_DEFAULT`
  `static final long`
  `DFS_NAMENODE_STALE_DATANODE_INTERVAL_DEFAULT`
  `static final String`
  `DFS_NAMENODE_STALE_DATANODE_INTERVAL_KEY`
  `static final int`
  `DFS_NAMENODE_STALE_DATANODE_MINIMUM_INTERVAL_DEFAULT`
  `static final String`
  `DFS_NAMENODE_STALE_DATANODE_MINIMUM_INTERVAL_KEY`
  `static final long`
  `DFS_NAMENODE_STARTUP_DELAY_BLOCK_DELETION_SEC_DEFAULT`
  `static final String`
  `DFS_NAMENODE_STARTUP_DELAY_BLOCK_DELETION_SEC_KEY`
  Pending period of block deletion since NameNode startup
  `static final String`
  `DFS_NAMENODE_STARTUP_KEY`
  `static final boolean`
  `DFS_NAMENODE_STATE_CONTEXT_ENABLED_DEFAULT`
  `static final String`
  `DFS_NAMENODE_STATE_CONTEXT_ENABLED_KEY`
  `static final boolean`
  `DFS_NAMENODE_SUPPORT_ALLOW_FORMAT_DEFAULT`
  `static final String`
  `DFS_NAMENODE_SUPPORT_ALLOW_FORMAT_KEY`
  `static final int`
  `DFS_NAMENODE_TOLERATE_HEARTBEAT_MULTIPLIER_DEFAULT`
  `static final String`
  `DFS_NAMENODE_TOLERATE_HEARTBEAT_MULTIPLIER_KEY`
  `static final float`
  `DFS_NAMENODE_USE_STALE_DATANODE_FOR_WRITE_RATIO_DEFAULT`
  `static final String`
  `DFS_NAMENODE_USE_STALE_DATANODE_FOR_WRITE_RATIO_KEY`
  `static final String`
  `DFS_NAMENODE_USER_NAME_KEY`
  Deprecated.
  `static final long`
  `DFS_NAMENODE_WRITE_LOCK_REPORTING_THRESHOLD_MS_DEFAULT`
  `static final String`
  `DFS_NAMENODE_WRITE_LOCK_REPORTING_THRESHOLD_MS_KEY`
  `static final boolean`
  `DFS_NAMENODE_XATTRS_ENABLED_DEFAULT`
  `static final String`
  `DFS_NAMENODE_XATTRS_ENABLED_KEY`
  `static final String`
  `DFS_NAMESERVICE_ID`
  `static final String`
  `DFS_NAMESERVICES`
  `static final String`
  `DFS_NAMESERVICES_RESOLUTION_ENABLED`
  `static final boolean`
  `DFS_NAMESERVICES_RESOLUTION_ENABLED_DEFAULT`
  `static final String`
  `DFS_NAMESERVICES_RESOLVER_IMPL`
  `static final Class<DFSNetworkTopology>`
  `DFS_NET_TOPOLOGY_IMPL_DEFAULT`
  `static final String`
  `DFS_NET_TOPOLOGY_IMPL_KEY`
  `static final boolean`
  `DFS_PERMISSIONS_ALLOW_OWNER_SET_QUOTA_DEFAULT`
  `static final String`
  `DFS_PERMISSIONS_ALLOW_OWNER_SET_QUOTA_KEY`
  `static final boolean`
  `DFS_PERMISSIONS_CONTENT_SUMMARY_SUBACCESS_DEFAULT`
  `static final String`
  `DFS_PERMISSIONS_CONTENT_SUMMARY_SUBACCESS_KEY`
  `static final boolean`
  `DFS_PERMISSIONS_ENABLED_DEFAULT`
  `static final String`
  `DFS_PERMISSIONS_ENABLED_KEY`
  `static final String`
  `DFS_PERMISSIONS_SUPERUSERGROUP_DEFAULT`
  `static final String`
  `DFS_PERMISSIONS_SUPERUSERGROUP_KEY`
  `static final String`
  `DFS_PIPELINE_CONGESTION_RATIO`
  `static final double`
  `DFS_PIPELINE_CONGESTION_RATIO_DEFAULT`
  `static final String`
  `DFS_PIPELINE_ECN_ENABLED`
  `static final boolean`
  `DFS_PIPELINE_ECN_ENABLED_DEFAULT`
  `static final String`
  `DFS_PIPELINE_SLOWNODE_ENABLED`
  `static final boolean`
  `DFS_PIPELINE_SLOWNODE_ENABLED_DEFAULT`
  `static final String`
  `DFS_PROTECTED_SUBDIRECTORIES_ENABLE`
  whether to protect the subdirectories of directories which set on fs.protected.directories.
  `static final boolean`
  `DFS_PROTECTED_SUBDIRECTORIES_ENABLE_DEFAULT`
  `static final String`
  `DFS_PROVIDED_ACLS_IMPORT_ENABLED`
  `static final boolean`
  `DFS_PROVIDED_ACLS_IMPORT_ENABLED_DEFAULT`
  `static final String`
  `DFS_PROVIDED_ALIASMAP_CLASS`
  `static final String`
  `DFS_PROVIDED_ALIASMAP_INMEMORY_BATCH_SIZE`
  `static final int`
  `DFS_PROVIDED_ALIASMAP_INMEMORY_BATCH_SIZE_DEFAULT`
  `static final String`
  `DFS_PROVIDED_ALIASMAP_INMEMORY_ENABLED`
  `static final boolean`
  `DFS_PROVIDED_ALIASMAP_INMEMORY_ENABLED_DEFAULT`
  `static final String`
  `DFS_PROVIDED_ALIASMAP_INMEMORY_LEVELDB_DIR`
  `static final String`
  `DFS_PROVIDED_ALIASMAP_INMEMORY_RPC_ADDRESS`
  `static final String`
  `DFS_PROVIDED_ALIASMAP_INMEMORY_RPC_ADDRESS_DEFAULT`
  `static final String`
  `DFS_PROVIDED_ALIASMAP_INMEMORY_RPC_BIND_HOST`
  `static final String`
  `DFS_PROVIDED_ALIASMAP_INMEMORY_SERVER_LOG`
  `static final boolean`
  `DFS_PROVIDED_ALIASMAP_INMEMORY_SERVER_LOG_DEFAULT`
  `static final String`
  `DFS_PROVIDED_ALIASMAP_LEVELDB_PATH`
  `static final String`
  `DFS_PROVIDED_ALIASMAP_LOAD_RETRIES`
  `static final String`
  `DFS_PROVIDED_ALIASMAP_TEXT_CODEC`
  `static final String`
  `DFS_PROVIDED_ALIASMAP_TEXT_DELIMITER`
  `static final String`
  `DFS_PROVIDED_ALIASMAP_TEXT_DELIMITER_DEFAULT`
  `static final String`
  `DFS_PROVIDED_ALIASMAP_TEXT_READ_FILE`
  `static final String`
  `DFS_PROVIDED_ALIASMAP_TEXT_READ_FILE_DEFAULT`
  `static final String`
  `DFS_PROVIDED_ALIASMAP_TEXT_WRITE_DIR`
  `static final String`
  `DFS_PROVIDED_ALIASMAP_TEXT_WRITE_DIR_DEFAULT`
  `static final String`
  `DFS_PROVIDER_STORAGEUUID`
  `static final String`
  `DFS_PROVIDER_STORAGEUUID_DEFAULT`
  `static final String`
  `DFS_QJM_OPERATIONS_TIMEOUT`
  `static final long`
  `DFS_QJM_OPERATIONS_TIMEOUT_DEFAULT`
  `static final int`
  `DFS_QJOURNAL_ACCEPT_RECOVERY_TIMEOUT_DEFAULT`
  `static final String`
  `DFS_QJOURNAL_ACCEPT_RECOVERY_TIMEOUT_KEY`
  `static final int`
  `DFS_QJOURNAL_FINALIZE_SEGMENT_TIMEOUT_DEFAULT`
  `static final String`
  `DFS_QJOURNAL_FINALIZE_SEGMENT_TIMEOUT_KEY`
  `static final int`
  `DFS_QJOURNAL_GET_JOURNAL_STATE_TIMEOUT_DEFAULT`
  `static final String`
  `DFS_QJOURNAL_GET_JOURNAL_STATE_TIMEOUT_KEY`
  `static final int`
  `DFS_QJOURNAL_HTTP_OPEN_TIMEOUT_DEFAULT`
  `static final String`
  `DFS_QJOURNAL_HTTP_OPEN_TIMEOUT_KEY`
  `static final int`
  `DFS_QJOURNAL_HTTP_READ_TIMEOUT_DEFAULT`
  `static final String`
  `DFS_QJOURNAL_HTTP_READ_TIMEOUT_KEY`
  `static final int`
  `DFS_QJOURNAL_NEW_EPOCH_TIMEOUT_DEFAULT`
  `static final String`
  `DFS_QJOURNAL_NEW_EPOCH_TIMEOUT_KEY`
  `static final int`
  `DFS_QJOURNAL_PARALLEL_READ_NUM_THREADS_DEFAULT`
  `static final String`
  `DFS_QJOURNAL_PARALLEL_READ_NUM_THREADS_KEY`
  `static final int`
  `DFS_QJOURNAL_PREPARE_RECOVERY_TIMEOUT_DEFAULT`
  `static final String`
  `DFS_QJOURNAL_PREPARE_RECOVERY_TIMEOUT_KEY`
  `static final int`
  `DFS_QJOURNAL_QUEUE_SIZE_LIMIT_DEFAULT`
  `static final String`
  `DFS_QJOURNAL_QUEUE_SIZE_LIMIT_KEY`
  `static final int`
  `DFS_QJOURNAL_SELECT_INPUT_STREAMS_TIMEOUT_DEFAULT`
  `static final String`
  `DFS_QJOURNAL_SELECT_INPUT_STREAMS_TIMEOUT_KEY`
  `static final int`
  `DFS_QJOURNAL_START_SEGMENT_TIMEOUT_DEFAULT`
  `static final String`
  `DFS_QJOURNAL_START_SEGMENT_TIMEOUT_KEY`
  `static final int`
  `DFS_QJOURNAL_WRITE_TXNS_TIMEOUT_DEFAULT`
  `static final String`
  `DFS_QJOURNAL_WRITE_TXNS_TIMEOUT_KEY`
  `static final boolean`
  `DFS_QUOTA_BY_STORAGETYPE_ENABLED_DEFAULT`
  `static final String`
  `DFS_QUOTA_BY_STORAGETYPE_ENABLED_KEY`
  `static final String`
  `DFS_REFORMAT_DISABLED`
  `static final boolean`
  `DFS_REFORMAT_DISABLED_DEFAULT`
  `static final boolean`
  `DFS_REJECT_UNRESOLVED_DN_TOPOLOGY_MAPPING_DEFAULT`
  `static final String`
  `DFS_REJECT_UNRESOLVED_DN_TOPOLOGY_MAPPING_KEY`
  `static final short`
  `DFS_REPLICATION_DEFAULT`
  `static final String`
  `DFS_REPLICATION_KEY`
  `static final int`
  `DFS_REPLICATION_MAX_DEFAULT`
  `static final String`
  `DFS_REPLICATION_MAX_KEY`
  `static final String`
  `DFS_SECONDARY_NAMENODE_INTERNAL_SPNEGO_USER_NAME_KEY`
  Deprecated.
  `static final String`
  `DFS_SECONDARY_NAMENODE_KERBEROS_INTERNAL_SPNEGO_PRINCIPAL_KEY`
  `static final String`
  `DFS_SECONDARY_NAMENODE_KERBEROS_PRINCIPAL_KEY`
  `static final String`
  `DFS_SECONDARY_NAMENODE_KEYTAB_FILE_KEY`
  `static final String`
  `DFS_SECONDARY_NAMENODE_USER_NAME_KEY`
  Deprecated.
  `static final String`
  `DFS_SERVER_HTTPS_KEYPASSWORD_KEY`
  `static final String`
  `DFS_SERVER_HTTPS_KEYSTORE_LOCATION_KEY`
  `static final String`
  `DFS_SERVER_HTTPS_KEYSTORE_PASSWORD_KEY`
  `static final String`
  `DFS_SERVER_HTTPS_KEYSTORE_RESOURCE_DEFAULT`
  `static final String`
  `DFS_SERVER_HTTPS_KEYSTORE_RESOURCE_KEY`
  `static final String`
  `DFS_SERVER_HTTPS_TRUSTSTORE_LOCATION_KEY`
  `static final String`
  `DFS_SERVER_HTTPS_TRUSTSTORE_PASSWORD_KEY`
  `static final String`
  `DFS_SHORT_CIRCUIT_SHARED_MEMORY_WATCHER_INTERRUPT_CHECK_MS`
  `static final int`
  `DFS_SHORT_CIRCUIT_SHARED_MEMORY_WATCHER_INTERRUPT_CHECK_MS_DEFAULT`
  `static final String`
  `DFS_SPS_ADDRESS_DEFAULT`
  `static final String`
  `DFS_SPS_ADDRESS_KEY`
  `static final String`
  `DFS_SPS_DATANODE_CACHE_REFRESH_INTERVAL_MS`
  `static final long`
  `DFS_SPS_DATANODE_CACHE_REFRESH_INTERVAL_MS_DEFAULT`
  `static final String`
  `DFS_SPS_KERBEROS_PRINCIPAL_KEY`
  `static final String`
  `DFS_SPS_KEYTAB_FILE_KEY`
  `static final int`
  `DFS_SPS_MAX_OUTSTANDING_PATHS_DEFAULT`
  `static final String`
  `DFS_SPS_MAX_OUTSTANDING_PATHS_KEY`
  `static final String`
  `DFS_SPS_WORK_MULTIPLIER_PER_ITERATION`
  `static final int`
  `DFS_SPS_WORK_MULTIPLIER_PER_ITERATION_DEFAULT`
  `static final String`
  `DFS_STORAGE_DEFAULT_POLICY`
  `static final org.apache.hadoop.hdfs.protocol.HdfsConstants.StoragePolicy`
  `DFS_STORAGE_DEFAULT_POLICY_DEFAULT`
  `static final boolean`
  `DFS_STORAGE_POLICY_ENABLED_DEFAULT`
  `static final String`
  `DFS_STORAGE_POLICY_ENABLED_KEY`
  `static final boolean`
  `DFS_STORAGE_POLICY_PERMISSIONS_SUPERUSER_ONLY_DEFAULT`
  `static final String`
  `DFS_STORAGE_POLICY_PERMISSIONS_SUPERUSER_ONLY_KEY`
  `static final int`
  `DFS_STORAGE_POLICY_SATISFIER_MAX_RETRY_ATTEMPTS_DEFAULT`
  `static final String`
  `DFS_STORAGE_POLICY_SATISFIER_MAX_RETRY_ATTEMPTS_KEY`
  `static final String`
  `DFS_STORAGE_POLICY_SATISFIER_MODE_DEFAULT`
  `static final String`
  `DFS_STORAGE_POLICY_SATISFIER_MODE_KEY`
  `static final int`
  `DFS_STORAGE_POLICY_SATISFIER_MOVE_TASK_MAX_RETRY_ATTEMPTS_DEFAULT`
  `static final String`
  `DFS_STORAGE_POLICY_SATISFIER_MOVE_TASK_MAX_RETRY_ATTEMPTS_KEY`
  `static final int`
  `DFS_STORAGE_POLICY_SATISFIER_QUEUE_LIMIT_DEFAULT`
  `static final String`
  `DFS_STORAGE_POLICY_SATISFIER_QUEUE_LIMIT_KEY`
  `static final int`
  `DFS_STORAGE_POLICY_SATISFIER_RECHECK_TIMEOUT_MILLIS_DEFAULT`
  `static final String`
  `DFS_STORAGE_POLICY_SATISFIER_RECHECK_TIMEOUT_MILLIS_KEY`
  `static final int`
  `DFS_STORAGE_POLICY_SATISFIER_SELF_RETRY_TIMEOUT_MILLIS_DEFAULT`
  `static final String`
  `DFS_STORAGE_POLICY_SATISFIER_SELF_RETRY_TIMEOUT_MILLIS_KEY`
  `static final int`
  `DFS_STREAM_BUFFER_SIZE_DEFAULT`
  `static final String`
  `DFS_STREAM_BUFFER_SIZE_KEY`
  `static final String`
  `DFS_TRUSTEDCHANNEL_RESOLVER_CLASS`
  Deprecated.
  `static final String`
  `DFS_UPGRADE_DOMAIN_FACTOR`
  `static final int`
  `DFS_UPGRADE_DOMAIN_FACTOR_DEFAULT`
  `static final boolean`
  `DFS_USE_DFS_NETWORK_TOPOLOGY_DEFAULT`
  `static final String`
  `DFS_USE_DFS_NETWORK_TOPOLOGY_KEY`
  `static final String`
  `DFS_USER_HOME_DIR_PREFIX_DEFAULT`
  Deprecated.
  `static final String`
  `DFS_USER_HOME_DIR_PREFIX_KEY`
  Deprecated.
  `static final String`
  `DFS_WEB_AUTHENTICATION_KERBEROS_KEYTAB_KEY`
  `static final String`
  `DFS_WEB_AUTHENTICATION_KERBEROS_PRINCIPAL_KEY`
  `static final String`
  `DFS_WEB_AUTHENTICATION_SIMPLE_ANONYMOUS_ALLOWED`
  `static final String`
  `DFS_WEB_UGI_KEY`
  `static final String`
  `DFS_WEBHDFS_ACL_PERMISSION_PATTERN_DEFAULT`
  Deprecated.
  `static final String`
  `DFS_WEBHDFS_ACL_PERMISSION_PATTERN_KEY`
  Deprecated.
  `static final String`
  `DFS_WEBHDFS_NETTY_HIGH_WATERMARK`
  `static final int`
  `DFS_WEBHDFS_NETTY_HIGH_WATERMARK_DEFAULT`
  `static final String`
  `DFS_WEBHDFS_NETTY_LOW_WATERMARK`
  `static final int`
  `DFS_WEBHDFS_NETTY_LOW_WATERMARK_DEFAULT`
  `static final int`
  `DFS_WEBHDFS_UGI_EXPIRE_AFTER_ACCESS_DEFAULT`
  `static final String`
  `DFS_WEBHDFS_UGI_EXPIRE_AFTER_ACCESS_KEY`
  `static final String`
  `DFS_WEBHDFS_USE_IPC_CALLQ`
  `static final boolean`
  `DFS_WEBHDFS_USE_IPC_CALLQ_DEFAULT`
  `static final String`
  `DFS_WEBHDFS_USER_PATTERN_DEFAULT`
  Deprecated.
  `static final String`
  `DFS_WEBHDFS_USER_PATTERN_KEY`
  Deprecated.
  `static final String`
  `DFS_XFRAME_OPTION_ENABLED`
  `static final boolean`
  `DFS_XFRAME_OPTION_ENABLED_DEFAULT`
  `static final String`
  `DFS_XFRAME_OPTION_VALUE`
  `static final String`
  `DFS_XFRAME_OPTION_VALUE_DEFAULT`
  `static final int`
  `HTTP_BUFFER_SIZE_DEFAULT`
  `static final String`
  `HTTPFS_BUFFER_SIZE_KEY`
  `static final boolean`
  `IGNORE_SECURE_PORTS_FOR_TESTING_DEFAULT`
  `static final String`
  `IGNORE_SECURE_PORTS_FOR_TESTING_KEY`
  `static final int`
  `NNTOP_BUCKETS_PER_WINDOW_DEFAULT`
  `static final String`
  `NNTOP_BUCKETS_PER_WINDOW_KEY`
  `static final boolean`
  `NNTOP_ENABLED_DEFAULT`
  `static final String`
  `NNTOP_ENABLED_KEY`
  `static final int`
  `NNTOP_NUM_USERS_DEFAULT`
  `static final String`
  `NNTOP_NUM_USERS_KEY`
  `static final String[]`
  `NNTOP_WINDOWS_MINUTES_DEFAULT`
  `static final String`
  `NNTOP_WINDOWS_MINUTES_KEY`
  `static final String`
  `SUPPORTED_PACKAGES_CONFIG_NAME`
  List of packages from which Step implementations will be loaded when deserializing Node Plans: "dfs.nodeplan.steps.supported.packages".
  `static final String`
  `ZK_CLIENT_SSL_ENABLED`
  Enable Zookeeper SSL/TLS communication.

  ### Fields inherited from class org.apache.hadoop.fs.CommonConfigurationKeys

  `DEFAULT_HADOOP_HTTP_STATIC_USER, DEFAULT_HADOOP_JETTY_LOGS_SERVE_ALIASES, DFS_CLIENT_IGNORE_NAMENODE_DEFAULT_KMS_URI, DFS_CLIENT_IGNORE_NAMENODE_DEFAULT_KMS_URI_DEFAULT, FS_CLIENT_HTRACE_PREFIX, FS_HOME_DIR_DEFAULT, FS_HOME_DIR_KEY, FS_PERMISSIONS_UMASK_DEFAULT, FS_PERMISSIONS_UMASK_KEY, HA_FC_CLI_CHECK_TIMEOUT_DEFAULT, HA_FC_CLI_CHECK_TIMEOUT_KEY, HA_FC_ELECTOR_ZK_OP_RETRIES_DEFAULT, HA_FC_ELECTOR_ZK_OP_RETRIES_KEY, HA_FC_GRACEFUL_FENCE_CONNECTION_RETRIES, HA_FC_GRACEFUL_FENCE_CONNECTION_RETRIES_DEFAULT, HA_FC_GRACEFUL_FENCE_TIMEOUT_DEFAULT, HA_FC_GRACEFUL_FENCE_TIMEOUT_KEY, HA_FC_NEW_ACTIVE_TIMEOUT_DEFAULT, HA_FC_NEW_ACTIVE_TIMEOUT_KEY, HA_HM_CHECK_INTERVAL_DEFAULT, HA_HM_CHECK_INTERVAL_KEY, HA_HM_CONNECT_RETRY_INTERVAL_DEFAULT, HA_HM_CONNECT_RETRY_INTERVAL_KEY, HA_HM_RPC_CONNECT_MAX_RETRIES_DEFAULT, HA_HM_RPC_CONNECT_MAX_RETRIES_KEY, HA_HM_RPC_TIMEOUT_DEFAULT, HA_HM_RPC_TIMEOUT_KEY, HA_HM_SLEEP_AFTER_DISCONNECT_DEFAULT, HA_HM_SLEEP_AFTER_DISCONNECT_KEY, HADOOP_DOMAINNAME_RESOLVER_IMPL, HADOOP_DOMAINNAME_RESOLVER_IMPL_DEFAULT, HADOOP_HTTP_STATIC_USER, HADOOP_JETTY_LOGS_SERVE_ALIASES, HADOOP_METRICS_JVM_USE_THREAD_MXBEAN, HADOOP_METRICS_JVM_USE_THREAD_MXBEAN_DEFAULT, HADOOP_SECURITY_DNS_LOG_SLOW_LOOKUPS_ENABLED_DEFAULT, HADOOP_SECURITY_DNS_LOG_SLOW_LOOKUPS_ENABLED_KEY, HADOOP_SECURITY_DNS_LOG_SLOW_LOOKUPS_THRESHOLD_MS_DEFAULT, HADOOP_SECURITY_DNS_LOG_SLOW_LOOKUPS_THRESHOLD_MS_KEY, HADOOP_SECURITY_HOSTNAME_CACHE_EXPIRE_INTERVAL_SECONDS, HADOOP_SECURITY_HOSTNAME_CACHE_EXPIRE_INTERVAL_SECONDS_DEFAULT, HADOOP_SECURITY_RESOLVER_IMPL, HADOOP_SECURITY_SERVICE_AUTHORIZATION_DATANODE_LIFELINE, HADOOP_SECURITY_SERVICE_AUTHORIZATION_DEFAULT_ACL, HADOOP_SECURITY_SERVICE_AUTHORIZATION_DEFAULT_BLOCKED_ACL, HADOOP_SECURITY_SERVICE_AUTHORIZATION_GENERIC_REFRESH, HADOOP_SECURITY_SERVICE_AUTHORIZATION_GET_USER_MAPPINGS, HADOOP_SECURITY_SERVICE_AUTHORIZATION_RECONFIGURATION, HADOOP_SECURITY_SERVICE_AUTHORIZATION_REFRESH_CALLQUEUE, HADOOP_SECURITY_SERVICE_AUTHORIZATION_REFRESH_POLICY, HADOOP_SECURITY_SERVICE_AUTHORIZATION_REFRESH_USER_MAPPINGS, HADOOP_SECURITY_SERVICE_AUTHORIZATION_TRACING, HADOOP_SECURITY_TOKEN_SERVICE_USE_IP, HADOOP_SECURITY_TOKEN_SERVICE_USE_IP_DEFAULT, HADOOP_SECURITY_UID_NAME_CACHE_TIMEOUT_DEFAULT, HADOOP_SECURITY_UID_NAME_CACHE_TIMEOUT_KEY, HADOOP_TMP_DIR, HADOOP_USER_GROUP_METRICS_PERCENTILES_INTERVALS, HADOOP_USER_GROUP_STATIC_OVERRIDES, HADOOP_USER_GROUP_STATIC_OVERRIDES_DEFAULT, IO_COMPRESSION_CODEC_LZ4_BUFFERSIZE_DEFAULT, IO_COMPRESSION_CODEC_LZ4_BUFFERSIZE_KEY, IO_COMPRESSION_CODEC_LZ4_USELZ4HC_DEFAULT, IO_COMPRESSION_CODEC_LZ4_USELZ4HC_KEY, IO_COMPRESSION_CODEC_LZO_BUFFERSIZE_DEFAULT, IO_COMPRESSION_CODEC_LZO_BUFFERSIZE_KEY, IO_COMPRESSION_CODEC_SNAPPY_BUFFERSIZE_DEFAULT, IO_COMPRESSION_CODEC_SNAPPY_BUFFERSIZE_KEY, IO_COMPRESSION_CODEC_ZSTD_BUFFER_SIZE_DEFAULT, IO_COMPRESSION_CODEC_ZSTD_BUFFER_SIZE_KEY, IO_COMPRESSION_CODEC_ZSTD_LEVEL_DEFAULT, IO_COMPRESSION_CODEC_ZSTD_LEVEL_KEY, IO_COMPRESSION_CODECS_KEY, IOSTATISTICS_LOGGING_LEVEL, IOSTATISTICS_LOGGING_LEVEL_DEBUG, IOSTATISTICS_LOGGING_LEVEL_DEFAULT, IOSTATISTICS_LOGGING_LEVEL_ERROR, IOSTATISTICS_LOGGING_LEVEL_INFO, IOSTATISTICS_LOGGING_LEVEL_WARN, IOSTATISTICS_THREAD_LEVEL_ENABLED, IOSTATISTICS_THREAD_LEVEL_ENABLED_DEFAULT, IPC_BACKOFF_ENABLE, IPC_BACKOFF_ENABLE_DEFAULT, IPC_CALLQUEUE_CAPACITY_WEIGHTS_KEY, IPC_CALLQUEUE_IMPL_KEY, IPC_CALLQUEUE_SERVER_FAILOVER_ENABLE, IPC_CALLQUEUE_SERVER_FAILOVER_ENABLE_DEFAULT, IPC_CLIENT_ASYNC_CALLS_MAX_DEFAULT, IPC_CLIENT_ASYNC_CALLS_MAX_KEY, IPC_CLIENT_BIND_WILDCARD_ADDR_DEFAULT, IPC_CLIENT_BIND_WILDCARD_ADDR_KEY, IPC_CLIENT_CONNECT_MAX_RETRIES_ON_SASL_DEFAULT, IPC_CLIENT_CONNECT_MAX_RETRIES_ON_SASL_KEY, IPC_CLIENT_CONNECTION_IDLESCANINTERVAL_DEFAULT, IPC_CLIENT_CONNECTION_IDLESCANINTERVAL_KEY, IPC_CLIENT_FALLBACK_TO_SIMPLE_AUTH_ALLOWED_DEFAULT, IPC_CLIENT_FALLBACK_TO_SIMPLE_AUTH_ALLOWED_KEY, IPC_CLIENT_PING_DEFAULT, IPC_CLIENT_PING_KEY, IPC_CLIENT_RPC_TIMEOUT_DEFAULT, IPC_CLIENT_RPC_TIMEOUT_KEY, IPC_COST_PROVIDER_KEY, IPC_IDENTITY_PROVIDER_KEY, IPC_MAXIMUM_DATA_LENGTH, IPC_MAXIMUM_DATA_LENGTH_DEFAULT, IPC_MAXIMUM_RESPONSE_LENGTH, IPC_MAXIMUM_RESPONSE_LENGTH_DEFAULT, IPC_NAMESPACE, IPC_PING_INTERVAL_DEFAULT, IPC_PING_INTERVAL_KEY, IPC_SCHEDULER_IMPL_KEY, IPC_SCHEDULER_PRIORITY_LEVELS_DEFAULT_KEY, IPC_SCHEDULER_PRIORITY_LEVELS_KEY, IPC_SERVER_HANDLER_QUEUE_SIZE_DEFAULT, IPC_SERVER_HANDLER_QUEUE_SIZE_KEY, IPC_SERVER_RPC_MAX_RESPONSE_SIZE_DEFAULT, IPC_SERVER_RPC_MAX_RESPONSE_SIZE_KEY, IPC_SERVER_RPC_READ_CONNECTION_QUEUE_SIZE_DEFAULT, IPC_SERVER_RPC_READ_CONNECTION_QUEUE_SIZE_KEY, IPC_SERVER_RPC_READ_THREADS_DEFAULT, IPC_SERVER_RPC_READ_THREADS_KEY, KERBEROS_TICKET_CACHE_PATH, LOCAL_FS_VERIFY_CHECKSUM, NET_TOPOLOGY_CONFIGURED_NODE_MAPPING_KEY, NFS_EXPORTS_ALLOWED_HOSTS_KEY, NFS_EXPORTS_ALLOWED_HOSTS_KEY_DEFAULT, NFS_EXPORTS_ALLOWED_HOSTS_SEPARATOR, RPC_METRICS_PERCENTILES_INTERVALS_KEY, RPC_METRICS_QUANTILE_ENABLE, RPC_METRICS_QUANTILE_ENABLE_DEFAULT, RPC_METRICS_TIME_UNIT, SECURITY_CLIENT_DATANODE_PROTOCOL_ACL, SECURITY_CLIENT_PROTOCOL_ACL, SECURITY_DATANODE_PROTOCOL_ACL, SECURITY_HA_SERVICE_PROTOCOL_ACL, SECURITY_INTER_DATANODE_PROTOCOL_ACL, SECURITY_INTERQJOURNAL_SERVICE_PROTOCOL_ACL, SECURITY_NAMENODE_PROTOCOL_ACL, SECURITY_QJOURNAL_SERVICE_PROTOCOL_ACL, SECURITY_ROUTER_ADMIN_PROTOCOL_ACL, SECURITY_ZKFC_PROTOCOL_ACL, ZK_ACL, ZK_ACL_DEFAULT, ZK_ADDRESS, ZK_AUTH, ZK_KERBEROS_KEYTAB, ZK_KERBEROS_PRINCIPAL, ZK_NUM_RETRIES, ZK_NUM_RETRIES_DEFAULT, ZK_PREFIX, ZK_RETRY_INTERVAL_MS, ZK_RETRY_INTERVAL_MS_DEFAULT, ZK_SERVER_PRINCIPAL, ZK_SSL_KEYSTORE_LOCATION, ZK_SSL_KEYSTORE_PASSWORD, ZK_SSL_TRUSTSTORE_LOCATION, ZK_SSL_TRUSTSTORE_PASSWORD, ZK_TIMEOUT_MS, ZK_TIMEOUT_MS_DEFAULT`

  ### Fields inherited from class org.apache.hadoop.fs.CommonConfigurationKeysPublic

  `FS_AUTOMATIC_CLOSE_DEFAULT, FS_AUTOMATIC_CLOSE_KEY, FS_CLIENT_RESOLVE_REMOTE_SYMLINKS_DEFAULT, FS_CLIENT_RESOLVE_REMOTE_SYMLINKS_KEY, FS_CLIENT_TOPOLOGY_RESOLUTION_ENABLED, FS_CLIENT_TOPOLOGY_RESOLUTION_ENABLED_DEFAULT, FS_CREATION_PARALLEL_COUNT, FS_CREATION_PARALLEL_COUNT_DEFAULT, FS_DEFAULT_NAME_DEFAULT, FS_DEFAULT_NAME_KEY, FS_DF_INTERVAL_DEFAULT, FS_DF_INTERVAL_KEY, FS_DU_INTERVAL_DEFAULT, FS_DU_INTERVAL_KEY, FS_FILE_IMPL_KEY, FS_FTP_HOST_KEY, FS_FTP_HOST_PORT_KEY, FS_GETSPACEUSED_CLASSNAME, FS_GETSPACEUSED_JITTER_DEFAULT, FS_GETSPACEUSED_JITTER_KEY, FS_LOCAL_BLOCK_SIZE_DEFAULT, FS_PROTECTED_DIRECTORIES, FS_TRASH_CHECKPOINT_INTERVAL_DEFAULT, FS_TRASH_CHECKPOINT_INTERVAL_KEY, FS_TRASH_CLEAN_TRASHROOT_ENABLE_DEFAULT, FS_TRASH_CLEAN_TRASHROOT_ENABLE_KEY, FS_TRASH_INTERVAL_DEFAULT, FS_TRASH_INTERVAL_KEY, HADOOP_CALLER_CONTEXT_ENABLED_DEFAULT, HADOOP_CALLER_CONTEXT_ENABLED_KEY, HADOOP_CALLER_CONTEXT_MAX_SIZE_DEFAULT, HADOOP_CALLER_CONTEXT_MAX_SIZE_KEY, HADOOP_CALLER_CONTEXT_SEPARATOR_DEFAULT, HADOOP_CALLER_CONTEXT_SEPARATOR_KEY, HADOOP_CALLER_CONTEXT_SIGNATURE_MAX_SIZE_DEFAULT, HADOOP_CALLER_CONTEXT_SIGNATURE_MAX_SIZE_KEY, HADOOP_CUSTOM_TAGS, HADOOP_HTTP_AUTHENTICATION_TYPE, HADOOP_HTTP_IDLE_TIMEOUT_MS_DEFAULT, HADOOP_HTTP_IDLE_TIMEOUT_MS_KEY, HADOOP_HTTP_LOGS_ENABLED, HADOOP_HTTP_LOGS_ENABLED_DEFAULT, HADOOP_HTTP_METRICS_ENABLED, HADOOP_HTTP_METRICS_ENABLED_DEFAULT, HADOOP_KERBEROS_KEYTAB_LOGIN_AUTORENEWAL_ENABLED, HADOOP_KERBEROS_KEYTAB_LOGIN_AUTORENEWAL_ENABLED_DEFAULT, HADOOP_KERBEROS_MIN_SECONDS_BEFORE_RELOGIN, HADOOP_KERBEROS_MIN_SECONDS_BEFORE_RELOGIN_DEFAULT, HADOOP_PROMETHEUS_ENABLED, HADOOP_PROMETHEUS_ENABLED_DEFAULT, HADOOP_RPC_PROTECTION, HADOOP_RPC_SOCKET_FACTORY_CLASS_DEFAULT_DEFAULT, HADOOP_RPC_SOCKET_FACTORY_CLASS_DEFAULT_KEY, HADOOP_SECURITY_AUTH_TO_LOCAL, HADOOP_SECURITY_AUTH_TO_LOCAL_MECHANISM, HADOOP_SECURITY_AUTHENTICATION, HADOOP_SECURITY_AUTHORIZATION, HADOOP_SECURITY_CREDENTIAL_CLEAR_TEXT_FALLBACK, HADOOP_SECURITY_CREDENTIAL_CLEAR_TEXT_FALLBACK_DEFAULT, HADOOP_SECURITY_CREDENTIAL_PASSWORD_FILE_KEY, HADOOP_SECURITY_CREDENTIAL_PROVIDER_PATH, HADOOP_SECURITY_CRYPTO_BUFFER_SIZE_DEFAULT, HADOOP_SECURITY_CRYPTO_BUFFER_SIZE_KEY, HADOOP_SECURITY_CRYPTO_CIPHER_SUITE_DEFAULT, HADOOP_SECURITY_CRYPTO_CIPHER_SUITE_KEY, HADOOP_SECURITY_CRYPTO_CODEC_CLASSES_AES_CTR_NOPADDING_DEFAULT, HADOOP_SECURITY_CRYPTO_CODEC_CLASSES_AES_CTR_NOPADDING_KEY, HADOOP_SECURITY_CRYPTO_CODEC_CLASSES_KEY_PREFIX, HADOOP_SECURITY_CRYPTO_CODEC_CLASSES_SM4_CTR_NOPADDING_DEFAULT, HADOOP_SECURITY_CRYPTO_CODEC_CLASSES_SM4_CTR_NOPADDING_KEY, HADOOP_SECURITY_CRYPTO_JCE_PROVIDER_AUTO_ADD_DEFAULT, HADOOP_SECURITY_CRYPTO_JCE_PROVIDER_AUTO_ADD_KEY, HADOOP_SECURITY_CRYPTO_JCE_PROVIDER_KEY, HADOOP_SECURITY_CRYPTO_JCEKS_KEY_SERIALFILTER, HADOOP_SECURITY_DNS_INTERFACE_KEY, HADOOP_SECURITY_DNS_NAMESERVER_KEY, HADOOP_SECURITY_GROUP_MAPPING, HADOOP_SECURITY_GROUP_SHELL_COMMAND_TIMEOUT_DEFAULT, HADOOP_SECURITY_GROUP_SHELL_COMMAND_TIMEOUT_KEY, HADOOP_SECURITY_GROUP_SHELL_COMMAND_TIMEOUT_SECS, HADOOP_SECURITY_GROUP_SHELL_COMMAND_TIMEOUT_SECS_DEFAULT, HADOOP_SECURITY_GROUPS_CACHE_BACKGROUND_RELOAD, HADOOP_SECURITY_GROUPS_CACHE_BACKGROUND_RELOAD_DEFAULT, HADOOP_SECURITY_GROUPS_CACHE_BACKGROUND_RELOAD_THREADS, HADOOP_SECURITY_GROUPS_CACHE_BACKGROUND_RELOAD_THREADS_DEFAULT, HADOOP_SECURITY_GROUPS_CACHE_SECS, HADOOP_SECURITY_GROUPS_CACHE_SECS_DEFAULT, HADOOP_SECURITY_GROUPS_CACHE_WARN_AFTER_MS, HADOOP_SECURITY_GROUPS_CACHE_WARN_AFTER_MS_DEFAULT, HADOOP_SECURITY_GROUPS_NEGATIVE_CACHE_SECS, HADOOP_SECURITY_GROUPS_NEGATIVE_CACHE_SECS_DEFAULT, HADOOP_SECURITY_IMPERSONATION_PROVIDER_CLASS, HADOOP_SECURITY_INSTRUMENTATION_REQUIRES_ADMIN, HADOOP_SECURITY_JAVA_SECURE_RANDOM_ALGORITHM_DEFAULT, HADOOP_SECURITY_JAVA_SECURE_RANDOM_ALGORITHM_KEY, HADOOP_SECURITY_KEY_DEFAULT_BITLENGTH_DEFAULT, HADOOP_SECURITY_KEY_DEFAULT_BITLENGTH_KEY, HADOOP_SECURITY_KEY_DEFAULT_CIPHER_DEFAULT, HADOOP_SECURITY_KEY_DEFAULT_CIPHER_KEY, HADOOP_SECURITY_KEY_PROVIDER_PATH, HADOOP_SECURITY_OPENSSL_ENGINE_ID_KEY, HADOOP_SECURITY_SASL_CUSTOMIZEDCALLBACKHANDLER_CLASS_KEY, HADOOP_SECURITY_SASL_MECHANISM_DEFAULT, HADOOP_SECURITY_SASL_MECHANISM_KEY, HADOOP_SECURITY_SASL_PROPS_RESOLVER_CLASS, HADOOP_SECURITY_SECRET_MANAGER_KEY_GENERATOR_ALGORITHM_DEFAULT, HADOOP_SECURITY_SECRET_MANAGER_KEY_GENERATOR_ALGORITHM_KEY, HADOOP_SECURITY_SECRET_MANAGER_KEY_LENGTH_DEFAULT, HADOOP_SECURITY_SECRET_MANAGER_KEY_LENGTH_KEY, HADOOP_SECURITY_SECURE_RANDOM_DEVICE_FILE_PATH_DEFAULT, HADOOP_SECURITY_SECURE_RANDOM_DEVICE_FILE_PATH_KEY, HADOOP_SECURITY_SECURE_RANDOM_IMPL_KEY, HADOOP_SECURITY_SENSITIVE_CONFIG_KEYS, HADOOP_SECURITY_SENSITIVE_CONFIG_KEYS_DEFAULT, HADOOP_SECURITY_SERVICE_USER_NAME_KEY, HADOOP_SHELL_MISSING_DEFAULT_FS_WARNING_DEFAULT, HADOOP_SHELL_MISSING_DEFAULT_FS_WARNING_KEY, HADOOP_SHELL_SAFELY_DELETE_LIMIT_NUM_FILES, HADOOP_SHELL_SAFELY_DELETE_LIMIT_NUM_FILES_DEFAULT, HADOOP_SOCKS_SERVER_KEY, HADOOP_SYSTEM_TAGS, HADOOP_TAGS_CUSTOM, HADOOP_TAGS_SYSTEM, HADOOP_TOKEN_FILES, HADOOP_TOKENS, HADOOP_UTIL_HASH_TYPE_DEFAULT, HADOOP_UTIL_HASH_TYPE_KEY, IO_COMPRESSION_CODEC_LZO_CLASS_KEY, IO_FILE_BUFFER_SIZE_DEFAULT, IO_FILE_BUFFER_SIZE_KEY, IO_MAP_INDEX_INTERVAL_DEFAULT, IO_MAP_INDEX_INTERVAL_KEY, IO_MAP_INDEX_SKIP_DEFAULT, IO_MAP_INDEX_SKIP_KEY, IO_MAPFILE_BLOOM_ERROR_RATE_DEFAULT, IO_MAPFILE_BLOOM_ERROR_RATE_KEY, IO_MAPFILE_BLOOM_SIZE_DEFAULT, IO_MAPFILE_BLOOM_SIZE_KEY, IO_SEQFILE_COMPRESS_BLOCKSIZE_DEFAULT, IO_SEQFILE_COMPRESS_BLOCKSIZE_KEY, IO_SERIALIZATIONS_KEY, IO_SKIP_CHECKSUM_ERRORS_DEFAULT, IO_SKIP_CHECKSUM_ERRORS_KEY, IO_SORT_FACTOR_DEFAULT, IO_SORT_FACTOR_KEY, IO_SORT_MB_DEFAULT, IO_SORT_MB_KEY, IPC_CLIENT_CONNECT_MAX_RETRIES_DEFAULT, IPC_CLIENT_CONNECT_MAX_RETRIES_KEY, IPC_CLIENT_CONNECT_MAX_RETRIES_ON_SOCKET_TIMEOUTS_DEFAULT, IPC_CLIENT_CONNECT_MAX_RETRIES_ON_SOCKET_TIMEOUTS_KEY, IPC_CLIENT_CONNECT_RETRY_INTERVAL_DEFAULT, IPC_CLIENT_CONNECT_RETRY_INTERVAL_KEY, IPC_CLIENT_CONNECT_TIMEOUT_DEFAULT, IPC_CLIENT_CONNECT_TIMEOUT_KEY, IPC_CLIENT_CONNECTION_MAXIDLETIME_DEFAULT, IPC_CLIENT_CONNECTION_MAXIDLETIME_KEY, IPC_CLIENT_IDLETHRESHOLD_DEFAULT, IPC_CLIENT_IDLETHRESHOLD_KEY, IPC_CLIENT_KILL_MAX_DEFAULT, IPC_CLIENT_KILL_MAX_KEY, IPC_CLIENT_LOW_LATENCY, IPC_CLIENT_LOW_LATENCY_DEFAULT, IPC_CLIENT_TCPNODELAY_DEFAULT, IPC_CLIENT_TCPNODELAY_KEY, IPC_SERVER_LISTEN_QUEUE_SIZE_DEFAULT, IPC_SERVER_LISTEN_QUEUE_SIZE_KEY, IPC_SERVER_LOG_SLOW_RPC, IPC_SERVER_LOG_SLOW_RPC_DEFAULT, IPC_SERVER_LOG_SLOW_RPC_THRESHOLD_MS_DEFAULT, IPC_SERVER_LOG_SLOW_RPC_THRESHOLD_MS_KEY, IPC_SERVER_MAX_CONNECTIONS_DEFAULT, IPC_SERVER_MAX_CONNECTIONS_KEY, IPC_SERVER_METRICS_UPDATE_RUNNER_INTERVAL, IPC_SERVER_METRICS_UPDATE_RUNNER_INTERVAL_DEFAULT, IPC_SERVER_PURGE_INTERVAL_MINUTES_DEFAULT, IPC_SERVER_PURGE_INTERVAL_MINUTES_KEY, IPC_SERVER_REUSEADDR_DEFAULT, IPC_SERVER_REUSEADDR_KEY, IPC_SERVER_TCPNODELAY_DEFAULT, IPC_SERVER_TCPNODELAY_KEY, JMX_NAN_FILTER, JMX_NAN_FILTER_DEFAULT, KMS_CLIENT_ENC_KEY_CACHE_EXPIRY_DEFAULT, KMS_CLIENT_ENC_KEY_CACHE_EXPIRY_MS, KMS_CLIENT_ENC_KEY_CACHE_LOW_WATERMARK, KMS_CLIENT_ENC_KEY_CACHE_LOW_WATERMARK_DEFAULT, KMS_CLIENT_ENC_KEY_CACHE_NUM_REFILL_THREADS, KMS_CLIENT_ENC_KEY_CACHE_NUM_REFILL_THREADS_DEFAULT, KMS_CLIENT_ENC_KEY_CACHE_SIZE, KMS_CLIENT_ENC_KEY_CACHE_SIZE_DEFAULT, KMS_CLIENT_FAILOVER_MAX_RETRIES_KEY, KMS_CLIENT_FAILOVER_SLEEP_BASE_MILLIS_DEFAULT, KMS_CLIENT_FAILOVER_SLEEP_BASE_MILLIS_KEY, KMS_CLIENT_FAILOVER_SLEEP_MAX_MILLIS_DEFAULT, KMS_CLIENT_FAILOVER_SLEEP_MAX_MILLIS_KEY, KMS_CLIENT_TIMEOUT_DEFAULT, KMS_CLIENT_TIMEOUT_SECONDS, NET_DEPENDENCY_SCRIPT_FILE_NAME_KEY, NET_TOPOLOGY_IMPL_KEY, NET_TOPOLOGY_NODE_SWITCH_MAPPING_IMPL_KEY, NET_TOPOLOGY_SCRIPT_FILE_NAME_KEY, NET_TOPOLOGY_SCRIPT_NUMBER_ARGS_DEFAULT, NET_TOPOLOGY_SCRIPT_NUMBER_ARGS_KEY, NET_TOPOLOGY_TABLE_MAPPING_FILE_KEY, SEQ_IO_SORT_FACTOR_DEFAULT, SEQ_IO_SORT_FACTOR_KEY, SEQ_IO_SORT_MB_DEFAULT, SEQ_IO_SORT_MB_KEY, SERVICE_SHUTDOWN_TIMEOUT, SERVICE_SHUTDOWN_TIMEOUT_DEFAULT, TFILE_FS_INPUT_BUFFER_SIZE_DEFAULT, TFILE_FS_INPUT_BUFFER_SIZE_KEY, TFILE_FS_OUTPUT_BUFFER_SIZE_DEFAULT, TFILE_FS_OUTPUT_BUFFER_SIZE_KEY, TFILE_IO_CHUNK_SIZE_DEFAULT, TFILE_IO_CHUNK_SIZE_KEY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DFSConfigKeys()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### DFS_BLOCK_SIZE_KEY

    public static final String DFS_BLOCK_SIZE_KEY
    See Also:
      - Constant Field Values

  - ### DFS_BLOCK_SIZE_DEFAULT

    public static final long DFS_BLOCK_SIZE_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_REPLICATION_KEY

    public static final String DFS_REPLICATION_KEY
    See Also:
      - Constant Field Values

  - ### DFS_REPLICATION_DEFAULT

    public static final short DFS_REPLICATION_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_STREAM_BUFFER_SIZE_KEY

    public static final String DFS_STREAM_BUFFER_SIZE_KEY
    See Also:
      - Constant Field Values

  - ### DFS_STREAM_BUFFER_SIZE_DEFAULT

    public static final int DFS_STREAM_BUFFER_SIZE_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_BYTES_PER_CHECKSUM_KEY

    public static final String DFS_BYTES_PER_CHECKSUM_KEY
    See Also:
      - Constant Field Values

  - ### DFS_BYTES_PER_CHECKSUM_DEFAULT

    public static final int DFS_BYTES_PER_CHECKSUM_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_USER_HOME_DIR_PREFIX_KEY

    @Deprecated public static final String DFS_USER_HOME_DIR_PREFIX_KEY
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_USER_HOME_DIR_PREFIX_DEFAULT

    @Deprecated public static final String DFS_USER_HOME_DIR_PREFIX_DEFAULT
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_CHECKSUM_TYPE_KEY

    public static final String DFS_CHECKSUM_TYPE_KEY
    See Also:
      - Constant Field Values

  - ### DFS_CHECKSUM_TYPE_DEFAULT

    public static final String DFS_CHECKSUM_TYPE_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_WEBHDFS_ACL_PERMISSION_PATTERN_KEY

    @Deprecated public static final String DFS_WEBHDFS_ACL_PERMISSION_PATTERN_KEY
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_WEBHDFS_ACL_PERMISSION_PATTERN_DEFAULT

    @Deprecated public static final String DFS_WEBHDFS_ACL_PERMISSION_PATTERN_DEFAULT
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_WEBHDFS_NETTY_LOW_WATERMARK

    public static final String DFS_WEBHDFS_NETTY_LOW_WATERMARK
    See Also:
      - Constant Field Values

  - ### DFS_WEBHDFS_NETTY_LOW_WATERMARK_DEFAULT

    public static final int DFS_WEBHDFS_NETTY_LOW_WATERMARK_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_WEBHDFS_NETTY_HIGH_WATERMARK

    public static final String DFS_WEBHDFS_NETTY_HIGH_WATERMARK
    See Also:
      - Constant Field Values

  - ### DFS_WEBHDFS_NETTY_HIGH_WATERMARK_DEFAULT

    public static final int DFS_WEBHDFS_NETTY_HIGH_WATERMARK_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_WEBHDFS_UGI_EXPIRE_AFTER_ACCESS_KEY

    public static final String DFS_WEBHDFS_UGI_EXPIRE_AFTER_ACCESS_KEY
    See Also:
      - Constant Field Values

  - ### DFS_WEBHDFS_UGI_EXPIRE_AFTER_ACCESS_DEFAULT

    public static final int DFS_WEBHDFS_UGI_EXPIRE_AFTER_ACCESS_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_WEBHDFS_USE_IPC_CALLQ

    public static final String DFS_WEBHDFS_USE_IPC_CALLQ
    See Also:
      - Constant Field Values

  - ### DFS_WEBHDFS_USE_IPC_CALLQ_DEFAULT

    public static final boolean DFS_WEBHDFS_USE_IPC_CALLQ_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_RESTART_REPLICA_EXPIRY_KEY

    public static final String DFS_DATANODE_RESTART_REPLICA_EXPIRY_KEY
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_RESTART_REPLICA_EXPIRY_DEFAULT

    public static final long DFS_DATANODE_RESTART_REPLICA_EXPIRY_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_BACKUP_ADDRESS_KEY

    public static final String DFS_NAMENODE_BACKUP_ADDRESS_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_BACKUP_ADDRESS_DEFAULT

    public static final String DFS_NAMENODE_BACKUP_ADDRESS_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_BACKUP_HTTP_ADDRESS_KEY

    public static final String DFS_NAMENODE_BACKUP_HTTP_ADDRESS_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_BACKUP_HTTP_ADDRESS_DEFAULT

    public static final String DFS_NAMENODE_BACKUP_HTTP_ADDRESS_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_BACKUP_SERVICE_RPC_ADDRESS_KEY

    public static final String DFS_NAMENODE_BACKUP_SERVICE_RPC_ADDRESS_KEY
    See Also:
      - Constant Field Values

  - ### DFS_PROVIDED_ALIASMAP_INMEMORY_RPC_ADDRESS

    public static final String DFS_PROVIDED_ALIASMAP_INMEMORY_RPC_ADDRESS
    See Also:
      - Constant Field Values

  - ### DFS_PROVIDED_ALIASMAP_INMEMORY_RPC_ADDRESS_DEFAULT

    public static final String DFS_PROVIDED_ALIASMAP_INMEMORY_RPC_ADDRESS_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_PROVIDED_ALIASMAP_INMEMORY_RPC_BIND_HOST

    public static final String DFS_PROVIDED_ALIASMAP_INMEMORY_RPC_BIND_HOST
    See Also:
      - Constant Field Values

  - ### DFS_PROVIDED_ALIASMAP_INMEMORY_LEVELDB_DIR

    public static final String DFS_PROVIDED_ALIASMAP_INMEMORY_LEVELDB_DIR
    See Also:
      - Constant Field Values

  - ### DFS_PROVIDED_ALIASMAP_INMEMORY_BATCH_SIZE

    public static final String DFS_PROVIDED_ALIASMAP_INMEMORY_BATCH_SIZE
    See Also:
      - Constant Field Values

  - ### DFS_PROVIDED_ALIASMAP_INMEMORY_BATCH_SIZE_DEFAULT

    public static final int DFS_PROVIDED_ALIASMAP_INMEMORY_BATCH_SIZE_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_PROVIDED_ALIASMAP_INMEMORY_ENABLED

    public static final String DFS_PROVIDED_ALIASMAP_INMEMORY_ENABLED
    See Also:
      - Constant Field Values

  - ### DFS_PROVIDED_ALIASMAP_INMEMORY_ENABLED_DEFAULT

    public static final boolean DFS_PROVIDED_ALIASMAP_INMEMORY_ENABLED_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_PROVIDED_ALIASMAP_INMEMORY_SERVER_LOG

    public static final String DFS_PROVIDED_ALIASMAP_INMEMORY_SERVER_LOG
    See Also:
      - Constant Field Values

  - ### DFS_PROVIDED_ALIASMAP_INMEMORY_SERVER_LOG_DEFAULT

    public static final boolean DFS_PROVIDED_ALIASMAP_INMEMORY_SERVER_LOG_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_BALANCE_BANDWIDTHPERSEC_KEY

    public static final String DFS_DATANODE_BALANCE_BANDWIDTHPERSEC_KEY
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_BALANCE_BANDWIDTHPERSEC_DEFAULT

    public static final long DFS_DATANODE_BALANCE_BANDWIDTHPERSEC_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_BALANCE_MAX_NUM_CONCURRENT_MOVES_KEY

    public static final String DFS_DATANODE_BALANCE_MAX_NUM_CONCURRENT_MOVES_KEY
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_BALANCE_MAX_NUM_CONCURRENT_MOVES_DEFAULT

    public static final int DFS_DATANODE_BALANCE_MAX_NUM_CONCURRENT_MOVES_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_DATA_TRANSFER_BANDWIDTHPERSEC_KEY

    public static final String DFS_DATANODE_DATA_TRANSFER_BANDWIDTHPERSEC_KEY
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_DATA_TRANSFER_BANDWIDTHPERSEC_DEFAULT

    public static final long DFS_DATANODE_DATA_TRANSFER_BANDWIDTHPERSEC_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_DATA_WRITE_BANDWIDTHPERSEC_KEY

    public static final String DFS_DATANODE_DATA_WRITE_BANDWIDTHPERSEC_KEY
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_DATA_WRITE_BANDWIDTHPERSEC_DEFAULT

    public static final long DFS_DATANODE_DATA_WRITE_BANDWIDTHPERSEC_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_DATA_READ_BANDWIDTHPERSEC_KEY

    public static final String DFS_DATANODE_DATA_READ_BANDWIDTHPERSEC_KEY
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_DATA_READ_BANDWIDTHPERSEC_DEFAULT

    public static final long DFS_DATANODE_DATA_READ_BANDWIDTHPERSEC_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_EC_RECONSTRUCT_READ_BANDWIDTHPERSEC_KEY

    public static final String DFS_DATANODE_EC_RECONSTRUCT_READ_BANDWIDTHPERSEC_KEY
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_EC_RECONSTRUCT_READ_BANDWIDTHPERSEC_DEFAULT

    public static final long DFS_DATANODE_EC_RECONSTRUCT_READ_BANDWIDTHPERSEC_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_EC_RECONSTRUCT_WRITE_BANDWIDTHPERSEC_KEY

    public static final String DFS_DATANODE_EC_RECONSTRUCT_WRITE_BANDWIDTHPERSEC_KEY
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_EC_RECONSTRUCT_WRITE_BANDWIDTHPERSEC_DEFAULT

    public static final long DFS_DATANODE_EC_RECONSTRUCT_WRITE_BANDWIDTHPERSEC_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_READAHEAD_BYTES_KEY

    @Deprecated public static final String DFS_DATANODE_READAHEAD_BYTES_KEY
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_READAHEAD_BYTES_DEFAULT

    @Deprecated public static final long DFS_DATANODE_READAHEAD_BYTES_DEFAULT
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_DROP_CACHE_BEHIND_WRITES_KEY

    public static final String DFS_DATANODE_DROP_CACHE_BEHIND_WRITES_KEY
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_DROP_CACHE_BEHIND_WRITES_DEFAULT

    public static final boolean DFS_DATANODE_DROP_CACHE_BEHIND_WRITES_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_SYNC_BEHIND_WRITES_KEY

    public static final String DFS_DATANODE_SYNC_BEHIND_WRITES_KEY
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_SYNC_BEHIND_WRITES_DEFAULT

    public static final boolean DFS_DATANODE_SYNC_BEHIND_WRITES_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_SYNC_BEHIND_WRITES_IN_BACKGROUND_KEY

    public static final String DFS_DATANODE_SYNC_BEHIND_WRITES_IN_BACKGROUND_KEY
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_SYNC_BEHIND_WRITES_IN_BACKGROUND_DEFAULT

    public static final boolean DFS_DATANODE_SYNC_BEHIND_WRITES_IN_BACKGROUND_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_DROP_CACHE_BEHIND_READS_KEY

    public static final String DFS_DATANODE_DROP_CACHE_BEHIND_READS_KEY
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_DROP_CACHE_BEHIND_READS_DEFAULT

    public static final boolean DFS_DATANODE_DROP_CACHE_BEHIND_READS_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_USE_DN_HOSTNAME

    public static final String DFS_DATANODE_USE_DN_HOSTNAME
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_USE_DN_HOSTNAME_DEFAULT

    public static final boolean DFS_DATANODE_USE_DN_HOSTNAME_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_MAX_LOCKED_MEMORY_KEY

    public static final String DFS_DATANODE_MAX_LOCKED_MEMORY_KEY
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_MAX_LOCKED_MEMORY_DEFAULT

    public static final long DFS_DATANODE_MAX_LOCKED_MEMORY_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_FSDATASETCACHE_MAX_THREADS_PER_VOLUME_KEY

    public static final String DFS_DATANODE_FSDATASETCACHE_MAX_THREADS_PER_VOLUME_KEY
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_FSDATASETCACHE_MAX_THREADS_PER_VOLUME_DEFAULT

    public static final int DFS_DATANODE_FSDATASETCACHE_MAX_THREADS_PER_VOLUME_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_FSDATASETASYNCDISK_MAX_THREADS_PER_VOLUME_KEY

    public static final String DFS_DATANODE_FSDATASETASYNCDISK_MAX_THREADS_PER_VOLUME_KEY
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_FSDATASETASYNCDISK_MAX_THREADS_PER_VOLUME_DEFAULT

    public static final int DFS_DATANODE_FSDATASETASYNCDISK_MAX_THREADS_PER_VOLUME_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_LAZY_WRITER_INTERVAL_SEC

    public static final String DFS_DATANODE_LAZY_WRITER_INTERVAL_SEC
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_LAZY_WRITER_INTERVAL_DEFAULT_SEC

    public static final int DFS_DATANODE_LAZY_WRITER_INTERVAL_DEFAULT_SEC
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_RAM_DISK_REPLICA_TRACKER_KEY

    public static final String DFS_DATANODE_RAM_DISK_REPLICA_TRACKER_KEY
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_RAM_DISK_REPLICA_TRACKER_DEFAULT

    public static final Class<RamDiskReplicaLruTracker> DFS_DATANODE_RAM_DISK_REPLICA_TRACKER_DEFAULT

  - ### DFS_DATANODE_NETWORK_COUNTS_CACHE_MAX_SIZE_KEY

    public static final String DFS_DATANODE_NETWORK_COUNTS_CACHE_MAX_SIZE_KEY
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_NETWORK_COUNTS_CACHE_MAX_SIZE_DEFAULT

    public static final int DFS_DATANODE_NETWORK_COUNTS_CACHE_MAX_SIZE_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_NON_LOCAL_LAZY_PERSIST

    public static final String DFS_DATANODE_NON_LOCAL_LAZY_PERSIST
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_NON_LOCAL_LAZY_PERSIST_DEFAULT

    public static final boolean DFS_DATANODE_NON_LOCAL_LAZY_PERSIST_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_FIXED_VOLUME_SIZE_KEY

    public static final String DFS_DATANODE_FIXED_VOLUME_SIZE_KEY
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_FIXED_VOLUME_SIZE_DEFAULT

    public static final boolean DFS_DATANODE_FIXED_VOLUME_SIZE_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_REPLICA_CACHE_ROOT_DIR_KEY

    public static final String DFS_DATANODE_REPLICA_CACHE_ROOT_DIR_KEY
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_REPLICA_CACHE_EXPIRY_TIME_KEY

    public static final String DFS_DATANODE_REPLICA_CACHE_EXPIRY_TIME_KEY
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_REPLICA_CACHE_EXPIRY_TIME_DEFAULT

    public static final long DFS_DATANODE_REPLICA_CACHE_EXPIRY_TIME_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_DUPLICATE_REPLICA_DELETION

    public static final String DFS_DATANODE_DUPLICATE_REPLICA_DELETION
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_DUPLICATE_REPLICA_DELETION_DEFAULT

    public static final boolean DFS_DATANODE_DUPLICATE_REPLICA_DELETION_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_DN_CACHED_DFSUSED_CHECK_INTERVAL_MS

    public static final String DFS_DN_CACHED_DFSUSED_CHECK_INTERVAL_MS
    See Also:
      - Constant Field Values

  - ### DFS_DN_CACHED_DFSUSED_CHECK_INTERVAL_DEFAULT_MS

    public static final long DFS_DN_CACHED_DFSUSED_CHECK_INTERVAL_DEFAULT_MS
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_PATH_BASED_CACHE_BLOCK_MAP_ALLOCATION_PERCENT

    public static final String DFS_NAMENODE_PATH_BASED_CACHE_BLOCK_MAP_ALLOCATION_PERCENT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_PATH_BASED_CACHE_BLOCK_MAP_ALLOCATION_PERCENT_DEFAULT

    public static final float DFS_NAMENODE_PATH_BASED_CACHE_BLOCK_MAP_ALLOCATION_PERCENT_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_CRM_CHECKLOCKTIME_ENABLE

    public static final String DFS_NAMENODE_CRM_CHECKLOCKTIME_ENABLE
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_CRM_CHECKLOCKTIME_DEFAULT

    public static final boolean DFS_NAMENODE_CRM_CHECKLOCKTIME_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_CRM_MAXLOCKTIME_MS

    public static final String DFS_NAMENODE_CRM_MAXLOCKTIME_MS
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_CRM_MAXLOCKTIME_MS_DEFAULT

    public static final long DFS_NAMENODE_CRM_MAXLOCKTIME_MS_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_CRM_SLEEP_TIME_MS

    public static final String DFS_NAMENODE_CRM_SLEEP_TIME_MS
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_CRM_SLEEP_TIME_MS_DEFAULT

    public static final long DFS_NAMENODE_CRM_SLEEP_TIME_MS_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_HTTP_PORT_DEFAULT

    public static final int DFS_NAMENODE_HTTP_PORT_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_HTTP_ADDRESS_KEY

    public static final String DFS_NAMENODE_HTTP_ADDRESS_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_HTTP_ADDRESS_DEFAULT

    public static final String DFS_NAMENODE_HTTP_ADDRESS_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_HTTP_BIND_HOST_KEY

    public static final String DFS_NAMENODE_HTTP_BIND_HOST_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_RPC_ADDRESS_KEY

    public static final String DFS_NAMENODE_RPC_ADDRESS_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_RPC_BIND_HOST_KEY

    public static final String DFS_NAMENODE_RPC_BIND_HOST_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_SERVICE_RPC_ADDRESS_KEY

    public static final String DFS_NAMENODE_SERVICE_RPC_ADDRESS_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_SERVICE_RPC_BIND_HOST_KEY

    public static final String DFS_NAMENODE_SERVICE_RPC_BIND_HOST_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_LIFELINE_RPC_ADDRESS_KEY

    public static final String DFS_NAMENODE_LIFELINE_RPC_ADDRESS_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_LIFELINE_RPC_BIND_HOST_KEY

    public static final String DFS_NAMENODE_LIFELINE_RPC_BIND_HOST_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_MAX_OBJECTS_KEY

    public static final String DFS_NAMENODE_MAX_OBJECTS_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_MAX_OBJECTS_DEFAULT

    public static final long DFS_NAMENODE_MAX_OBJECTS_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_SAFEMODE_EXTENSION_KEY

    public static final String DFS_NAMENODE_SAFEMODE_EXTENSION_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_SAFEMODE_EXTENSION_DEFAULT

    public static final int DFS_NAMENODE_SAFEMODE_EXTENSION_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_SAFEMODE_THRESHOLD_PCT_KEY

    public static final String DFS_NAMENODE_SAFEMODE_THRESHOLD_PCT_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_SAFEMODE_THRESHOLD_PCT_DEFAULT

    public static final float DFS_NAMENODE_SAFEMODE_THRESHOLD_PCT_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_REPL_QUEUE_THRESHOLD_PCT_KEY

    public static final String DFS_NAMENODE_REPL_QUEUE_THRESHOLD_PCT_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_SAFEMODE_MIN_DATANODES_KEY

    public static final String DFS_NAMENODE_SAFEMODE_MIN_DATANODES_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_SAFEMODE_MIN_DATANODES_DEFAULT

    public static final int DFS_NAMENODE_SAFEMODE_MIN_DATANODES_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_SAFEMODE_RECHECK_INTERVAL_KEY

    public static final String DFS_NAMENODE_SAFEMODE_RECHECK_INTERVAL_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_SAFEMODE_RECHECK_INTERVAL_DEFAULT

    public static final long DFS_NAMENODE_SAFEMODE_RECHECK_INTERVAL_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_SECONDARY_HTTP_ADDRESS_KEY

    public static final String DFS_NAMENODE_SECONDARY_HTTP_ADDRESS_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_SECONDARY_HTTP_ADDRESS_DEFAULT

    public static final String DFS_NAMENODE_SECONDARY_HTTP_ADDRESS_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_SECONDARY_HTTPS_ADDRESS_KEY

    public static final String DFS_NAMENODE_SECONDARY_HTTPS_ADDRESS_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_SECONDARY_HTTPS_ADDRESS_DEFAULT

    public static final String DFS_NAMENODE_SECONDARY_HTTPS_ADDRESS_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_CHECKPOINT_QUIET_MULTIPLIER_KEY

    public static final String DFS_NAMENODE_CHECKPOINT_QUIET_MULTIPLIER_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_CHECKPOINT_QUIET_MULTIPLIER_DEFAULT

    public static final double DFS_NAMENODE_CHECKPOINT_QUIET_MULTIPLIER_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_CHECKPOINT_CHECK_PERIOD_KEY

    public static final String DFS_NAMENODE_CHECKPOINT_CHECK_PERIOD_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_CHECKPOINT_CHECK_PERIOD_DEFAULT

    public static final long DFS_NAMENODE_CHECKPOINT_CHECK_PERIOD_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_CHECKPOINT_PERIOD_KEY

    public static final String DFS_NAMENODE_CHECKPOINT_PERIOD_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_CHECKPOINT_PERIOD_DEFAULT

    public static final long DFS_NAMENODE_CHECKPOINT_PERIOD_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_CHECKPOINT_TXNS_KEY

    public static final String DFS_NAMENODE_CHECKPOINT_TXNS_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_CHECKPOINT_TXNS_DEFAULT

    public static final long DFS_NAMENODE_CHECKPOINT_TXNS_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_CHECKPOINT_MAX_RETRIES_KEY

    public static final String DFS_NAMENODE_CHECKPOINT_MAX_RETRIES_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_CHECKPOINT_MAX_RETRIES_DEFAULT

    public static final int DFS_NAMENODE_CHECKPOINT_MAX_RETRIES_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_CHECKPOINT_PARALLEL_UPLOAD_ENABLED_KEY

    public static final String DFS_NAMENODE_CHECKPOINT_PARALLEL_UPLOAD_ENABLED_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_CHECKPOINT_PARALLEL_UPLOAD_ENABLED_DEFAULT

    public static final boolean DFS_NAMENODE_CHECKPOINT_PARALLEL_UPLOAD_ENABLED_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_MISSING_CHECKPOINT_PERIODS_BEFORE_SHUTDOWN_KEY

    public static final String DFS_NAMENODE_MISSING_CHECKPOINT_PERIODS_BEFORE_SHUTDOWN_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_MISSING_CHECKPOINT_PERIODS_BEFORE_SHUTDOWN_DEFAULT

    public static final int DFS_NAMENODE_MISSING_CHECKPOINT_PERIODS_BEFORE_SHUTDOWN_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_HEARTBEAT_RECHECK_INTERVAL_KEY

    public static final String DFS_NAMENODE_HEARTBEAT_RECHECK_INTERVAL_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_HEARTBEAT_RECHECK_INTERVAL_DEFAULT

    public static final int DFS_NAMENODE_HEARTBEAT_RECHECK_INTERVAL_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_TOLERATE_HEARTBEAT_MULTIPLIER_KEY

    public static final String DFS_NAMENODE_TOLERATE_HEARTBEAT_MULTIPLIER_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_TOLERATE_HEARTBEAT_MULTIPLIER_DEFAULT

    public static final int DFS_NAMENODE_TOLERATE_HEARTBEAT_MULTIPLIER_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_ACCESSTIME_PRECISION_KEY

    public static final String DFS_NAMENODE_ACCESSTIME_PRECISION_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_ACCESSTIME_PRECISION_DEFAULT

    public static final long DFS_NAMENODE_ACCESSTIME_PRECISION_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_REDUNDANCY_CONSIDERLOAD_KEY

    public static final String DFS_NAMENODE_REDUNDANCY_CONSIDERLOAD_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_REDUNDANCY_CONSIDERLOAD_DEFAULT

    public static final boolean DFS_NAMENODE_REDUNDANCY_CONSIDERLOAD_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_REDUNDANCY_CONSIDERLOADBYSTORAGETYPE_KEY

    public static final String DFS_NAMENODE_REDUNDANCY_CONSIDERLOADBYSTORAGETYPE_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_REDUNDANCY_CONSIDERLOADBYSTORAGETYPE_DEFAULT

    public static final boolean DFS_NAMENODE_REDUNDANCY_CONSIDERLOADBYSTORAGETYPE_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_READ_CONSIDERLOAD_KEY

    public static final String DFS_NAMENODE_READ_CONSIDERLOAD_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_READ_CONSIDERLOAD_DEFAULT

    public static final boolean DFS_NAMENODE_READ_CONSIDERLOAD_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_READ_CONSIDERSTORAGETYPE_KEY

    public static final String DFS_NAMENODE_READ_CONSIDERSTORAGETYPE_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_READ_CONSIDERSTORAGETYPE_DEFAULT

    public static final boolean DFS_NAMENODE_READ_CONSIDERSTORAGETYPE_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_REDUNDANCY_CONSIDERLOAD_FACTOR

    public static final String DFS_NAMENODE_REDUNDANCY_CONSIDERLOAD_FACTOR
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_REDUNDANCY_CONSIDERLOAD_FACTOR_DEFAULT

    public static final double DFS_NAMENODE_REDUNDANCY_CONSIDERLOAD_FACTOR_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_REDUNDANCY_CONSIDERLOADBYVOLUME_KEY

    public static final String DFS_NAMENODE_REDUNDANCY_CONSIDERLOADBYVOLUME_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_REDUNDANCY_CONSIDERLOADBYVOLUME_DEFAULT

    public static final boolean DFS_NAMENODE_REDUNDANCY_CONSIDERLOADBYVOLUME_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_REDUNDANCY_INTERVAL_SECONDS_KEY

    public static final String DFS_NAMENODE_REDUNDANCY_INTERVAL_SECONDS_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_REDUNDANCY_INTERVAL_SECONDS_DEFAULT

    public static final int DFS_NAMENODE_REDUNDANCY_INTERVAL_SECONDS_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_REDUNDANCY_QUEUE_RESTART_ITERATIONS

    public static final String DFS_NAMENODE_REDUNDANCY_QUEUE_RESTART_ITERATIONS
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_REDUNDANCY_QUEUE_RESTART_ITERATIONS_DEFAULT

    public static final int DFS_NAMENODE_REDUNDANCY_QUEUE_RESTART_ITERATIONS_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_REPLICATION_MIN_KEY

    public static final String DFS_NAMENODE_REPLICATION_MIN_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_REPLICATION_MIN_DEFAULT

    public static final int DFS_NAMENODE_REPLICATION_MIN_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_FILE_CLOSE_NUM_COMMITTED_ALLOWED_KEY

    public static final String DFS_NAMENODE_FILE_CLOSE_NUM_COMMITTED_ALLOWED_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_FILE_CLOSE_NUM_COMMITTED_ALLOWED_DEFAULT

    public static final int DFS_NAMENODE_FILE_CLOSE_NUM_COMMITTED_ALLOWED_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_SAFEMODE_REPLICATION_MIN_KEY

    public static final String DFS_NAMENODE_SAFEMODE_REPLICATION_MIN_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_RECONSTRUCTION_PENDING_TIMEOUT_SEC_KEY

    public static final String DFS_NAMENODE_RECONSTRUCTION_PENDING_TIMEOUT_SEC_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_RECONSTRUCTION_PENDING_TIMEOUT_SEC_DEFAULT

    public static final int DFS_NAMENODE_RECONSTRUCTION_PENDING_TIMEOUT_SEC_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_EXCESS_REDUNDANCY_TIMEOUT_SEC_KEY

    public static final String DFS_NAMENODE_EXCESS_REDUNDANCY_TIMEOUT_SEC_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_EXCESS_REDUNDANCY_TIMEOUT_SEC_DEAFULT

    public static final long DFS_NAMENODE_EXCESS_REDUNDANCY_TIMEOUT_SEC_DEAFULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_EXCESS_REDUNDANCY_TIMEOUT_CHECK_LIMIT

    public static final String DFS_NAMENODE_EXCESS_REDUNDANCY_TIMEOUT_CHECK_LIMIT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_EXCESS_REDUNDANCY_TIMEOUT_CHECK_LIMIT_DEFAULT

    public static final long DFS_NAMENODE_EXCESS_REDUNDANCY_TIMEOUT_CHECK_LIMIT_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_MAINTENANCE_REPLICATION_MIN_KEY

    public static final String DFS_NAMENODE_MAINTENANCE_REPLICATION_MIN_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_MAINTENANCE_REPLICATION_MIN_DEFAULT

    public static final int DFS_NAMENODE_MAINTENANCE_REPLICATION_MIN_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_MAX_CORRUPT_FILE_BLOCKS_RETURNED_KEY

    public static final String DFS_NAMENODE_MAX_CORRUPT_FILE_BLOCKS_RETURNED_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_MAX_CORRUPT_FILE_BLOCKS_RETURNED_DEFAULT

    public static final int DFS_NAMENODE_MAX_CORRUPT_FILE_BLOCKS_RETURNED_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_REPLICATION_MAX_STREAMS_KEY

    public static final String DFS_NAMENODE_REPLICATION_MAX_STREAMS_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_REPLICATION_MAX_STREAMS_DEFAULT

    public static final int DFS_NAMENODE_REPLICATION_MAX_STREAMS_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_REPLICATION_STREAMS_HARD_LIMIT_KEY

    public static final String DFS_NAMENODE_REPLICATION_STREAMS_HARD_LIMIT_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_REPLICATION_STREAMS_HARD_LIMIT_DEFAULT

    public static final int DFS_NAMENODE_REPLICATION_STREAMS_HARD_LIMIT_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_BLOCKREPORT_QUEUE_SIZE_KEY

    public static final String DFS_NAMENODE_BLOCKREPORT_QUEUE_SIZE_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_BLOCKREPORT_QUEUE_SIZE_DEFAULT

    public static final int DFS_NAMENODE_BLOCKREPORT_QUEUE_SIZE_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_BLOCKREPORT_MAX_LOCK_HOLD_TIME

    public static final String DFS_NAMENODE_BLOCKREPORT_MAX_LOCK_HOLD_TIME
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_BLOCKREPORT_MAX_LOCK_HOLD_TIME_DEFAULT

    public static final long DFS_NAMENODE_BLOCKREPORT_MAX_LOCK_HOLD_TIME_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_CORRUPT_BLOCK_DELETE_IMMEDIATELY_ENABLED

    public static final String DFS_NAMENODE_CORRUPT_BLOCK_DELETE_IMMEDIATELY_ENABLED
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_CORRUPT_BLOCK_DELETE_IMMEDIATELY_ENABLED_DEFAULT

    public static final boolean DFS_NAMENODE_CORRUPT_BLOCK_DELETE_IMMEDIATELY_ENABLED_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_RANDOM_NODE_ORDER_ENABLED

    public static final String DFS_NAMENODE_RANDOM_NODE_ORDER_ENABLED
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_RANDOM_NODE_ORDER_ENABLED_DEFAULT

    public static final boolean DFS_NAMENODE_RANDOM_NODE_ORDER_ENABLED_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_WEBHDFS_USER_PATTERN_KEY

    @Deprecated public static final String DFS_WEBHDFS_USER_PATTERN_KEY
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_WEBHDFS_USER_PATTERN_DEFAULT

    @Deprecated public static final String DFS_WEBHDFS_USER_PATTERN_DEFAULT
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_PERMISSIONS_ENABLED_KEY

    public static final String DFS_PERMISSIONS_ENABLED_KEY
    See Also:
      - Constant Field Values

  - ### DFS_PERMISSIONS_CONTENT_SUMMARY_SUBACCESS_KEY

    public static final String DFS_PERMISSIONS_CONTENT_SUMMARY_SUBACCESS_KEY
    See Also:
      - Constant Field Values

  - ### DFS_PERMISSIONS_CONTENT_SUMMARY_SUBACCESS_DEFAULT

    public static final boolean DFS_PERMISSIONS_CONTENT_SUMMARY_SUBACCESS_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_PERMISSIONS_ENABLED_DEFAULT

    public static final boolean DFS_PERMISSIONS_ENABLED_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_PERMISSIONS_SUPERUSERGROUP_KEY

    public static final String DFS_PERMISSIONS_SUPERUSERGROUP_KEY
    See Also:
      - Constant Field Values

  - ### DFS_PERMISSIONS_SUPERUSERGROUP_DEFAULT

    public static final String DFS_PERMISSIONS_SUPERUSERGROUP_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_PERMISSIONS_ALLOW_OWNER_SET_QUOTA_KEY

    public static final String DFS_PERMISSIONS_ALLOW_OWNER_SET_QUOTA_KEY
    See Also:
      - Constant Field Values

  - ### DFS_PERMISSIONS_ALLOW_OWNER_SET_QUOTA_DEFAULT

    public static final boolean DFS_PERMISSIONS_ALLOW_OWNER_SET_QUOTA_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_ACLS_ENABLED_KEY

    public static final String DFS_NAMENODE_ACLS_ENABLED_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_ACLS_ENABLED_DEFAULT

    public static final boolean DFS_NAMENODE_ACLS_ENABLED_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_POSIX_ACL_INHERITANCE_ENABLED_KEY

    public static final String DFS_NAMENODE_POSIX_ACL_INHERITANCE_ENABLED_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_POSIX_ACL_INHERITANCE_ENABLED_DEFAULT

    public static final boolean DFS_NAMENODE_POSIX_ACL_INHERITANCE_ENABLED_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_REFORMAT_DISABLED

    public static final String DFS_REFORMAT_DISABLED
    See Also:
      - Constant Field Values

  - ### DFS_REFORMAT_DISABLED_DEFAULT

    public static final boolean DFS_REFORMAT_DISABLED_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_XATTRS_ENABLED_KEY

    public static final String DFS_NAMENODE_XATTRS_ENABLED_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_XATTRS_ENABLED_DEFAULT

    public static final boolean DFS_NAMENODE_XATTRS_ENABLED_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_ADMIN

    public static final String DFS_ADMIN
    See Also:
      - Constant Field Values

  - ### DFS_SERVER_HTTPS_KEYSTORE_RESOURCE_KEY

    public static final String DFS_SERVER_HTTPS_KEYSTORE_RESOURCE_KEY
    See Also:
      - Constant Field Values

  - ### DFS_SERVER_HTTPS_KEYSTORE_RESOURCE_DEFAULT

    public static final String DFS_SERVER_HTTPS_KEYSTORE_RESOURCE_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_SERVER_HTTPS_KEYPASSWORD_KEY

    public static final String DFS_SERVER_HTTPS_KEYPASSWORD_KEY
    See Also:
      - Constant Field Values

  - ### DFS_SERVER_HTTPS_KEYSTORE_PASSWORD_KEY

    public static final String DFS_SERVER_HTTPS_KEYSTORE_PASSWORD_KEY
    See Also:
      - Constant Field Values

  - ### DFS_SERVER_HTTPS_KEYSTORE_LOCATION_KEY

    public static final String DFS_SERVER_HTTPS_KEYSTORE_LOCATION_KEY
    See Also:
      - Constant Field Values

  - ### DFS_SERVER_HTTPS_TRUSTSTORE_LOCATION_KEY

    public static final String DFS_SERVER_HTTPS_TRUSTSTORE_LOCATION_KEY
    See Also:
      - Constant Field Values

  - ### DFS_SERVER_HTTPS_TRUSTSTORE_PASSWORD_KEY

    public static final String DFS_SERVER_HTTPS_TRUSTSTORE_PASSWORD_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_NAME_DIR_RESTORE_KEY

    public static final String DFS_NAMENODE_NAME_DIR_RESTORE_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_NAME_DIR_RESTORE_DEFAULT

    public static final boolean DFS_NAMENODE_NAME_DIR_RESTORE_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_SUPPORT_ALLOW_FORMAT_KEY

    public static final String DFS_NAMENODE_SUPPORT_ALLOW_FORMAT_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_SUPPORT_ALLOW_FORMAT_DEFAULT

    public static final boolean DFS_NAMENODE_SUPPORT_ALLOW_FORMAT_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_NUM_CHECKPOINTS_RETAINED_KEY

    public static final String DFS_NAMENODE_NUM_CHECKPOINTS_RETAINED_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_NUM_CHECKPOINTS_RETAINED_DEFAULT

    public static final int DFS_NAMENODE_NUM_CHECKPOINTS_RETAINED_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_NUM_EXTRA_EDITS_RETAINED_KEY

    public static final String DFS_NAMENODE_NUM_EXTRA_EDITS_RETAINED_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_NUM_EXTRA_EDITS_RETAINED_DEFAULT

    public static final int DFS_NAMENODE_NUM_EXTRA_EDITS_RETAINED_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_MAX_EXTRA_EDITS_SEGMENTS_RETAINED_KEY

    public static final String DFS_NAMENODE_MAX_EXTRA_EDITS_SEGMENTS_RETAINED_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_MAX_EXTRA_EDITS_SEGMENTS_RETAINED_DEFAULT

    public static final int DFS_NAMENODE_MAX_EXTRA_EDITS_SEGMENTS_RETAINED_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_MIN_SUPPORTED_DATANODE_VERSION_KEY

    public static final String DFS_NAMENODE_MIN_SUPPORTED_DATANODE_VERSION_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_MIN_SUPPORTED_DATANODE_VERSION_DEFAULT

    public static final String DFS_NAMENODE_MIN_SUPPORTED_DATANODE_VERSION_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_EDITS_DIR_MINIMUM_KEY

    public static final String DFS_NAMENODE_EDITS_DIR_MINIMUM_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_EDITS_DIR_MINIMUM_DEFAULT

    public static final int DFS_NAMENODE_EDITS_DIR_MINIMUM_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_QUOTA_INIT_THREADS_KEY

    public static final String DFS_NAMENODE_QUOTA_INIT_THREADS_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_QUOTA_INIT_THREADS_DEFAULT

    public static final int DFS_NAMENODE_QUOTA_INIT_THREADS_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_EDIT_LOG_AUTOROLL_MULTIPLIER_THRESHOLD

    public static final String DFS_NAMENODE_EDIT_LOG_AUTOROLL_MULTIPLIER_THRESHOLD
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_EDIT_LOG_AUTOROLL_MULTIPLIER_THRESHOLD_DEFAULT

    public static final float DFS_NAMENODE_EDIT_LOG_AUTOROLL_MULTIPLIER_THRESHOLD_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_EDIT_LOG_AUTOROLL_CHECK_INTERVAL_MS

    public static final String DFS_NAMENODE_EDIT_LOG_AUTOROLL_CHECK_INTERVAL_MS
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_EDIT_LOG_AUTOROLL_CHECK_INTERVAL_MS_DEFAULT

    public static final int DFS_NAMENODE_EDIT_LOG_AUTOROLL_CHECK_INTERVAL_MS_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_LAZY_PERSIST_FILE_SCRUB_INTERVAL_SEC

    public static final String DFS_NAMENODE_LAZY_PERSIST_FILE_SCRUB_INTERVAL_SEC
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_LAZY_PERSIST_FILE_SCRUB_INTERVAL_SEC_DEFAULT

    public static final int DFS_NAMENODE_LAZY_PERSIST_FILE_SCRUB_INTERVAL_SEC_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_EDITS_NOEDITLOGCHANNELFLUSH

    public static final String DFS_NAMENODE_EDITS_NOEDITLOGCHANNELFLUSH
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_EDITS_NOEDITLOGCHANNELFLUSH_DEFAULT

    public static final boolean DFS_NAMENODE_EDITS_NOEDITLOGCHANNELFLUSH_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_EDITS_ASYNC_LOGGING

    public static final String DFS_NAMENODE_EDITS_ASYNC_LOGGING
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_EDITS_ASYNC_LOGGING_DEFAULT

    public static final boolean DFS_NAMENODE_EDITS_ASYNC_LOGGING_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_EDITS_ASYNC_LOGGING_PENDING_QUEUE_SIZE

    public static final String DFS_NAMENODE_EDITS_ASYNC_LOGGING_PENDING_QUEUE_SIZE
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_EDITS_ASYNC_LOGGING_PENDING_QUEUE_SIZE_DEFAULT

    public static final int DFS_NAMENODE_EDITS_ASYNC_LOGGING_PENDING_QUEUE_SIZE_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_PROVIDED_ENABLED

    public static final String DFS_NAMENODE_PROVIDED_ENABLED
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_PROVIDED_ENABLED_DEFAULT

    public static final boolean DFS_NAMENODE_PROVIDED_ENABLED_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_PROVIDER_STORAGEUUID

    public static final String DFS_PROVIDER_STORAGEUUID
    See Also:
      - Constant Field Values

  - ### DFS_PROVIDER_STORAGEUUID_DEFAULT

    public static final String DFS_PROVIDER_STORAGEUUID_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_PROVIDED_ALIASMAP_CLASS

    public static final String DFS_PROVIDED_ALIASMAP_CLASS
    See Also:
      - Constant Field Values

  - ### DFS_PROVIDED_ALIASMAP_LOAD_RETRIES

    public static final String DFS_PROVIDED_ALIASMAP_LOAD_RETRIES
    See Also:
      - Constant Field Values

  - ### DFS_PROVIDED_ALIASMAP_TEXT_DELIMITER

    public static final String DFS_PROVIDED_ALIASMAP_TEXT_DELIMITER
    See Also:
      - Constant Field Values

  - ### DFS_PROVIDED_ALIASMAP_TEXT_DELIMITER_DEFAULT

    public static final String DFS_PROVIDED_ALIASMAP_TEXT_DELIMITER_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_PROVIDED_ALIASMAP_TEXT_READ_FILE

    public static final String DFS_PROVIDED_ALIASMAP_TEXT_READ_FILE
    See Also:
      - Constant Field Values

  - ### DFS_PROVIDED_ALIASMAP_TEXT_READ_FILE_DEFAULT

    public static final String DFS_PROVIDED_ALIASMAP_TEXT_READ_FILE_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_PROVIDED_ALIASMAP_TEXT_CODEC

    public static final String DFS_PROVIDED_ALIASMAP_TEXT_CODEC
    See Also:
      - Constant Field Values

  - ### DFS_PROVIDED_ALIASMAP_TEXT_WRITE_DIR

    public static final String DFS_PROVIDED_ALIASMAP_TEXT_WRITE_DIR
    See Also:
      - Constant Field Values

  - ### DFS_PROVIDED_ALIASMAP_TEXT_WRITE_DIR_DEFAULT

    public static final String DFS_PROVIDED_ALIASMAP_TEXT_WRITE_DIR_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_PROVIDED_ALIASMAP_LEVELDB_PATH

    public static final String DFS_PROVIDED_ALIASMAP_LEVELDB_PATH
    See Also:
      - Constant Field Values

  - ### DFS_PROVIDED_ACLS_IMPORT_ENABLED

    public static final String DFS_PROVIDED_ACLS_IMPORT_ENABLED
    See Also:
      - Constant Field Values

  - ### DFS_PROVIDED_ACLS_IMPORT_ENABLED_DEFAULT

    public static final boolean DFS_PROVIDED_ACLS_IMPORT_ENABLED_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_LIST_LIMIT

    public static final String DFS_LIST_LIMIT
    See Also:
      - Constant Field Values

  - ### DFS_LIST_LIMIT_DEFAULT

    public static final int DFS_LIST_LIMIT_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_BATCHED_LISTING_LIMIT

    public static final String DFS_NAMENODE_BATCHED_LISTING_LIMIT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_BATCHED_LISTING_LIMIT_DEFAULT

    public static final int DFS_NAMENODE_BATCHED_LISTING_LIMIT_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_CONTENT_SUMMARY_LIMIT_KEY

    public static final String DFS_CONTENT_SUMMARY_LIMIT_KEY
    See Also:
      - Constant Field Values

  - ### DFS_CONTENT_SUMMARY_LIMIT_DEFAULT

    public static final int DFS_CONTENT_SUMMARY_LIMIT_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_CONTENT_SUMMARY_SLEEP_MICROSEC_KEY

    public static final String DFS_CONTENT_SUMMARY_SLEEP_MICROSEC_KEY
    See Also:
      - Constant Field Values

  - ### DFS_CONTENT_SUMMARY_SLEEP_MICROSEC_DEFAULT

    public static final long DFS_CONTENT_SUMMARY_SLEEP_MICROSEC_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_FAILED_VOLUMES_TOLERATED_KEY

    public static final String DFS_DATANODE_FAILED_VOLUMES_TOLERATED_KEY
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_FAILED_VOLUMES_TOLERATED_DEFAULT

    public static final int DFS_DATANODE_FAILED_VOLUMES_TOLERATED_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_VOLUMES_REPLICA_ADD_THREADPOOL_SIZE_KEY

    public static final String DFS_DATANODE_VOLUMES_REPLICA_ADD_THREADPOOL_SIZE_KEY
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_SYNCONCLOSE_KEY

    public static final String DFS_DATANODE_SYNCONCLOSE_KEY
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_SYNCONCLOSE_DEFAULT

    public static final boolean DFS_DATANODE_SYNCONCLOSE_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_SOCKET_REUSE_KEEPALIVE_KEY

    public static final String DFS_DATANODE_SOCKET_REUSE_KEEPALIVE_KEY
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_SOCKET_REUSE_KEEPALIVE_DEFAULT

    public static final int DFS_DATANODE_SOCKET_REUSE_KEEPALIVE_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_OOB_TIMEOUT_KEY

    public static final String DFS_DATANODE_OOB_TIMEOUT_KEY
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_OOB_TIMEOUT_DEFAULT

    public static final String DFS_DATANODE_OOB_TIMEOUT_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_CACHE_REVOCATION_TIMEOUT_MS

    public static final String DFS_DATANODE_CACHE_REVOCATION_TIMEOUT_MS
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_CACHE_REVOCATION_TIMEOUT_MS_DEFAULT

    public static final long DFS_DATANODE_CACHE_REVOCATION_TIMEOUT_MS_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_CACHE_REVOCATION_POLLING_MS

    public static final String DFS_DATANODE_CACHE_REVOCATION_POLLING_MS
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_CACHE_REVOCATION_POLLING_MS_DEFAULT

    public static final long DFS_DATANODE_CACHE_REVOCATION_POLLING_MS_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_PMEM_CACHE_DIRS_KEY

    public static final String DFS_DATANODE_PMEM_CACHE_DIRS_KEY
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_PMEM_CACHE_RECOVERY_KEY

    public static final String DFS_DATANODE_PMEM_CACHE_RECOVERY_KEY
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_PMEM_CACHE_RECOVERY_DEFAULT

    public static final boolean DFS_DATANODE_PMEM_CACHE_RECOVERY_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_PROCESS_COMMANDS_THRESHOLD_KEY

    public static final String DFS_DATANODE_PROCESS_COMMANDS_THRESHOLD_KEY
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_PROCESS_COMMANDS_THRESHOLD_DEFAULT

    public static final long DFS_DATANODE_PROCESS_COMMANDS_THRESHOLD_DEFAULT

  - ### DFS_NAMENODE_DATANODE_REGISTRATION_IP_HOSTNAME_CHECK_KEY

    public static final String DFS_NAMENODE_DATANODE_REGISTRATION_IP_HOSTNAME_CHECK_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_DATANODE_REGISTRATION_IP_HOSTNAME_CHECK_DEFAULT

    public static final boolean DFS_NAMENODE_DATANODE_REGISTRATION_IP_HOSTNAME_CHECK_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_LIST_CACHE_POOLS_NUM_RESPONSES

    public static final String DFS_NAMENODE_LIST_CACHE_POOLS_NUM_RESPONSES
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_LIST_CACHE_POOLS_NUM_RESPONSES_DEFAULT

    public static final int DFS_NAMENODE_LIST_CACHE_POOLS_NUM_RESPONSES_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_LIST_CACHE_DIRECTIVES_NUM_RESPONSES

    public static final String DFS_NAMENODE_LIST_CACHE_DIRECTIVES_NUM_RESPONSES
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_LIST_CACHE_DIRECTIVES_NUM_RESPONSES_DEFAULT

    public static final int DFS_NAMENODE_LIST_CACHE_DIRECTIVES_NUM_RESPONSES_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_PATH_BASED_CACHE_REFRESH_INTERVAL_MS

    public static final String DFS_NAMENODE_PATH_BASED_CACHE_REFRESH_INTERVAL_MS
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_PATH_BASED_CACHE_REFRESH_INTERVAL_MS_DEFAULT

    public static final long DFS_NAMENODE_PATH_BASED_CACHE_REFRESH_INTERVAL_MS_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_CACHING_ENABLED_KEY

    public static final String DFS_NAMENODE_CACHING_ENABLED_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_CACHING_ENABLED_DEFAULT

    public static final boolean DFS_NAMENODE_CACHING_ENABLED_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_STARTUP_DELAY_BLOCK_DELETION_SEC_KEY

    public static final String DFS_NAMENODE_STARTUP_DELAY_BLOCK_DELETION_SEC_KEY
    Pending period of block deletion since NameNode startup
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_STARTUP_DELAY_BLOCK_DELETION_SEC_DEFAULT

    public static final long DFS_NAMENODE_STARTUP_DELAY_BLOCK_DELETION_SEC_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_BLOCK_DELETION_LOCK_THRESHOLD_MS

    public static final String DFS_NAMENODE_BLOCK_DELETION_LOCK_THRESHOLD_MS
    The limit of single lock holding duration.
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_BLOCK_DELETION_LOCK_THRESHOLD_MS_DEFAULT

    public static final int DFS_NAMENODE_BLOCK_DELETION_LOCK_THRESHOLD_MS_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_BLOCK_DELETION_UNLOCK_INTERVAL_MS

    public static final String DFS_NAMENODE_BLOCK_DELETION_UNLOCK_INTERVAL_MS
    The sleep interval for releasing lock.
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_BLOCK_DELETION_UNLOCK_INTERVAL_MS_DEFAULT

    public static final int DFS_NAMENODE_BLOCK_DELETION_UNLOCK_INTERVAL_MS_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_SNAPSHOT_CAPTURE_OPENFILES

    public static final String DFS_NAMENODE_SNAPSHOT_CAPTURE_OPENFILES
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_SNAPSHOT_CAPTURE_OPENFILES_DEFAULT

    public static final boolean DFS_NAMENODE_SNAPSHOT_CAPTURE_OPENFILES_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_SNAPSHOT_SKIP_CAPTURE_ACCESSTIME_ONLY_CHANGE

    public static final String DFS_NAMENODE_SNAPSHOT_SKIP_CAPTURE_ACCESSTIME_ONLY_CHANGE
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_SNAPSHOT_SKIP_CAPTURE_ACCESSTIME_ONLY_CHANGE_DEFAULT

    public static final boolean DFS_NAMENODE_SNAPSHOT_SKIP_CAPTURE_ACCESSTIME_ONLY_CHANGE_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_SNAPSHOT_DIFF_ALLOW_SNAP_ROOT_DESCENDANT

    public static final String DFS_NAMENODE_SNAPSHOT_DIFF_ALLOW_SNAP_ROOT_DESCENDANT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_SNAPSHOT_DIFF_ALLOW_SNAP_ROOT_DESCENDANT_DEFAULT

    public static final boolean DFS_NAMENODE_SNAPSHOT_DIFF_ALLOW_SNAP_ROOT_DESCENDANT_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_SNAPSHOT_DIFF_LISTING_LIMIT

    public static final String DFS_NAMENODE_SNAPSHOT_DIFF_LISTING_LIMIT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_SNAPSHOT_DIFF_LISTING_LIMIT_DEFAULT

    public static final int DFS_NAMENODE_SNAPSHOT_DIFF_LISTING_LIMIT_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_SNAPSHOT_MAX_LIMIT

    public static final String DFS_NAMENODE_SNAPSHOT_MAX_LIMIT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_SNAPSHOT_MAX_LIMIT_DEFAULT

    public static final int DFS_NAMENODE_SNAPSHOT_MAX_LIMIT_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_SNAPSHOT_FILESYSTEM_LIMIT

    public static final String DFS_NAMENODE_SNAPSHOT_FILESYSTEM_LIMIT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_SNAPSHOT_FILESYSTEM_LIMIT_DEFAULT

    public static final int DFS_NAMENODE_SNAPSHOT_FILESYSTEM_LIMIT_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_SNAPSHOT_SKIPLIST_SKIP_INTERVAL

    public static final String DFS_NAMENODE_SNAPSHOT_SKIPLIST_SKIP_INTERVAL
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_SNAPSHOT_SKIPLIST_SKIP_INTERVAL_DEFAULT

    public static final int DFS_NAMENODE_SNAPSHOT_SKIPLIST_SKIP_INTERVAL_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_SNAPSHOT_SKIPLIST_MAX_LEVELS

    public static final String DFS_NAMENODE_SNAPSHOT_SKIPLIST_MAX_LEVELS
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_SNAPSHOT_SKIPLIST_MAX_SKIP_LEVELS_DEFAULT

    public static final int DFS_NAMENODE_SNAPSHOT_SKIPLIST_MAX_SKIP_LEVELS_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_AVOID_STALE_DATANODE_FOR_READ_KEY

    public static final String DFS_NAMENODE_AVOID_STALE_DATANODE_FOR_READ_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_AVOID_STALE_DATANODE_FOR_READ_DEFAULT

    public static final boolean DFS_NAMENODE_AVOID_STALE_DATANODE_FOR_READ_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_AVOID_SLOW_DATANODE_FOR_READ_KEY

    public static final String DFS_NAMENODE_AVOID_SLOW_DATANODE_FOR_READ_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_AVOID_SLOW_DATANODE_FOR_READ_DEFAULT

    public static final boolean DFS_NAMENODE_AVOID_SLOW_DATANODE_FOR_READ_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_AVOID_STALE_DATANODE_FOR_WRITE_KEY

    public static final String DFS_NAMENODE_AVOID_STALE_DATANODE_FOR_WRITE_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_AVOID_STALE_DATANODE_FOR_WRITE_DEFAULT

    public static final boolean DFS_NAMENODE_AVOID_STALE_DATANODE_FOR_WRITE_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_ENABLE_LOG_STALE_DATANODE_KEY

    public static final String DFS_NAMENODE_ENABLE_LOG_STALE_DATANODE_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_ENABLE_LOG_STALE_DATANODE_DEFAULT

    public static final boolean DFS_NAMENODE_ENABLE_LOG_STALE_DATANODE_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_STALE_DATANODE_INTERVAL_KEY

    public static final String DFS_NAMENODE_STALE_DATANODE_INTERVAL_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_STALE_DATANODE_INTERVAL_DEFAULT

    public static final long DFS_NAMENODE_STALE_DATANODE_INTERVAL_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_STALE_DATANODE_MINIMUM_INTERVAL_KEY

    public static final String DFS_NAMENODE_STALE_DATANODE_MINIMUM_INTERVAL_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_STALE_DATANODE_MINIMUM_INTERVAL_DEFAULT

    public static final int DFS_NAMENODE_STALE_DATANODE_MINIMUM_INTERVAL_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_REMOVE_DEAD_DATANODE_BATCHNUM_KEY

    public static final String DFS_NAMENODE_REMOVE_DEAD_DATANODE_BATCHNUM_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_REMOVE_BAD_BATCH_NUM_DEFAULT

    public static final int DFS_NAMENODE_REMOVE_BAD_BATCH_NUM_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_USE_STALE_DATANODE_FOR_WRITE_RATIO_KEY

    public static final String DFS_NAMENODE_USE_STALE_DATANODE_FOR_WRITE_RATIO_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_USE_STALE_DATANODE_FOR_WRITE_RATIO_DEFAULT

    public static final float DFS_NAMENODE_USE_STALE_DATANODE_FOR_WRITE_RATIO_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_BLOCKS_PER_POSTPONEDBLOCKS_RESCAN_KEY

    public static final String DFS_NAMENODE_BLOCKS_PER_POSTPONEDBLOCKS_RESCAN_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_BLOCKS_PER_POSTPONEDBLOCKS_RESCAN_KEY_DEFAULT

    public static final long DFS_NAMENODE_BLOCKS_PER_POSTPONEDBLOCKS_RESCAN_KEY_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_INVALIDATE_WORK_PCT_PER_ITERATION

    public static final String DFS_NAMENODE_INVALIDATE_WORK_PCT_PER_ITERATION
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_INVALIDATE_WORK_PCT_PER_ITERATION_DEFAULT

    public static final float DFS_NAMENODE_INVALIDATE_WORK_PCT_PER_ITERATION_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_REPLICATION_WORK_MULTIPLIER_PER_ITERATION

    public static final String DFS_NAMENODE_REPLICATION_WORK_MULTIPLIER_PER_ITERATION
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_REPLICATION_WORK_MULTIPLIER_PER_ITERATION_DEFAULT

    public static final int DFS_NAMENODE_REPLICATION_WORK_MULTIPLIER_PER_ITERATION_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_DELEGATION_KEY_UPDATE_INTERVAL_KEY

    public static final String DFS_NAMENODE_DELEGATION_KEY_UPDATE_INTERVAL_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_DELEGATION_KEY_UPDATE_INTERVAL_DEFAULT

    public static final long DFS_NAMENODE_DELEGATION_KEY_UPDATE_INTERVAL_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_DELEGATION_TOKEN_RENEW_INTERVAL_KEY

    public static final String DFS_NAMENODE_DELEGATION_TOKEN_RENEW_INTERVAL_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_DELEGATION_TOKEN_RENEW_INTERVAL_DEFAULT

    public static final long DFS_NAMENODE_DELEGATION_TOKEN_RENEW_INTERVAL_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_DELEGATION_TOKEN_MAX_LIFETIME_KEY

    public static final String DFS_NAMENODE_DELEGATION_TOKEN_MAX_LIFETIME_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_DELEGATION_TOKEN_MAX_LIFETIME_DEFAULT

    public static final long DFS_NAMENODE_DELEGATION_TOKEN_MAX_LIFETIME_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_DELEGATION_TOKEN_ALWAYS_USE_KEY

    public static final String DFS_NAMENODE_DELEGATION_TOKEN_ALWAYS_USE_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_DELEGATION_TOKEN_ALWAYS_USE_DEFAULT

    public static final boolean DFS_NAMENODE_DELEGATION_TOKEN_ALWAYS_USE_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_MAX_COMPONENT_LENGTH_KEY

    public static final String DFS_NAMENODE_MAX_COMPONENT_LENGTH_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_MAX_COMPONENT_LENGTH_DEFAULT

    public static final int DFS_NAMENODE_MAX_COMPONENT_LENGTH_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_MAX_DIRECTORY_ITEMS_KEY

    public static final String DFS_NAMENODE_MAX_DIRECTORY_ITEMS_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_MAX_DIRECTORY_ITEMS_DEFAULT

    public static final int DFS_NAMENODE_MAX_DIRECTORY_ITEMS_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_MIN_BLOCK_SIZE_KEY

    public static final String DFS_NAMENODE_MIN_BLOCK_SIZE_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_MIN_BLOCK_SIZE_DEFAULT

    public static final long DFS_NAMENODE_MIN_BLOCK_SIZE_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_MAX_BLOCKS_PER_FILE_KEY

    public static final String DFS_NAMENODE_MAX_BLOCKS_PER_FILE_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_MAX_BLOCKS_PER_FILE_DEFAULT

    public static final long DFS_NAMENODE_MAX_BLOCKS_PER_FILE_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_MAX_XATTRS_PER_INODE_KEY

    public static final String DFS_NAMENODE_MAX_XATTRS_PER_INODE_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_MAX_XATTRS_PER_INODE_DEFAULT

    public static final int DFS_NAMENODE_MAX_XATTRS_PER_INODE_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_MAX_XATTR_SIZE_KEY

    public static final String DFS_NAMENODE_MAX_XATTR_SIZE_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_MAX_XATTR_SIZE_DEFAULT

    public static final int DFS_NAMENODE_MAX_XATTR_SIZE_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_MAX_XATTR_SIZE_HARD_LIMIT

    public static final int DFS_NAMENODE_MAX_XATTR_SIZE_HARD_LIMIT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_LEASE_RECHECK_INTERVAL_MS_KEY

    public static final String DFS_NAMENODE_LEASE_RECHECK_INTERVAL_MS_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_LEASE_RECHECK_INTERVAL_MS_DEFAULT

    public static final long DFS_NAMENODE_LEASE_RECHECK_INTERVAL_MS_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_MAX_LOCK_HOLD_TO_RELEASE_LEASE_MS_KEY

    public static final String DFS_NAMENODE_MAX_LOCK_HOLD_TO_RELEASE_LEASE_MS_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_MAX_LOCK_HOLD_TO_RELEASE_LEASE_MS_DEFAULT

    public static final long DFS_NAMENODE_MAX_LOCK_HOLD_TO_RELEASE_LEASE_MS_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_FSLOCK_FAIR_KEY

    public static final String DFS_NAMENODE_FSLOCK_FAIR_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_FSLOCK_FAIR_DEFAULT

    public static final boolean DFS_NAMENODE_FSLOCK_FAIR_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_LOCK_DETAILED_METRICS_KEY

    public static final String DFS_NAMENODE_LOCK_DETAILED_METRICS_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_LOCK_DETAILED_METRICS_DEFAULT

    public static final boolean DFS_NAMENODE_LOCK_DETAILED_METRICS_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_WRITE_LOCK_REPORTING_THRESHOLD_MS_KEY

    public static final String DFS_NAMENODE_WRITE_LOCK_REPORTING_THRESHOLD_MS_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_WRITE_LOCK_REPORTING_THRESHOLD_MS_DEFAULT

    public static final long DFS_NAMENODE_WRITE_LOCK_REPORTING_THRESHOLD_MS_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_READ_LOCK_REPORTING_THRESHOLD_MS_KEY

    public static final String DFS_NAMENODE_READ_LOCK_REPORTING_THRESHOLD_MS_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_READ_LOCK_REPORTING_THRESHOLD_MS_DEFAULT

    public static final long DFS_NAMENODE_READ_LOCK_REPORTING_THRESHOLD_MS_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_ACCESS_CONTROL_ENFORCER_REPORTING_THRESHOLD_MS_KEY

    public static final String DFS_NAMENODE_ACCESS_CONTROL_ENFORCER_REPORTING_THRESHOLD_MS_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_ACCESS_CONTROL_ENFORCER_REPORTING_THRESHOLD_MS_DEFAULT

    public static final long DFS_NAMENODE_ACCESS_CONTROL_ENFORCER_REPORTING_THRESHOLD_MS_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_LOCK_SUPPRESS_WARNING_INTERVAL_KEY

    public static final String DFS_LOCK_SUPPRESS_WARNING_INTERVAL_KEY
    See Also:
      - Constant Field Values

  - ### DFS_LOCK_SUPPRESS_WARNING_INTERVAL_DEFAULT

    public static final long DFS_LOCK_SUPPRESS_WARNING_INTERVAL_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_LOCK_FAIR_KEY

    public static final String DFS_DATANODE_LOCK_FAIR_KEY
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_LOCK_FAIR_DEFAULT

    public static final boolean DFS_DATANODE_LOCK_FAIR_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_UPGRADE_DOMAIN_FACTOR

    public static final String DFS_UPGRADE_DOMAIN_FACTOR
    See Also:
      - Constant Field Values

  - ### DFS_UPGRADE_DOMAIN_FACTOR_DEFAULT

    public static final int DFS_UPGRADE_DOMAIN_FACTOR_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_DATA_DIR_KEY

    public static final String DFS_DATANODE_DATA_DIR_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_HTTPS_PORT_DEFAULT

    public static final int DFS_NAMENODE_HTTPS_PORT_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_HTTPS_ADDRESS_KEY

    public static final String DFS_NAMENODE_HTTPS_ADDRESS_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_HTTPS_BIND_HOST_KEY

    public static final String DFS_NAMENODE_HTTPS_BIND_HOST_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_HTTPS_ADDRESS_DEFAULT

    public static final String DFS_NAMENODE_HTTPS_ADDRESS_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_NAME_DIR_KEY

    public static final String DFS_NAMENODE_NAME_DIR_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_NAME_DIR_PERMISSION_KEY

    public static final String DFS_NAMENODE_NAME_DIR_PERMISSION_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_NAME_DIR_PERMISSION_DEFAULT

    public static final String DFS_NAMENODE_NAME_DIR_PERMISSION_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_EDITS_DIR_KEY

    public static final String DFS_NAMENODE_EDITS_DIR_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_SHARED_EDITS_DIR_KEY

    public static final String DFS_NAMENODE_SHARED_EDITS_DIR_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_EDITS_PLUGIN_PREFIX

    public static final String DFS_NAMENODE_EDITS_PLUGIN_PREFIX
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_EDITS_DIR_REQUIRED_KEY

    public static final String DFS_NAMENODE_EDITS_DIR_REQUIRED_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_EDITS_DIR_DEFAULT

    public static final String DFS_NAMENODE_EDITS_DIR_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_EDITS_QJOURNALS_RESOLUTION_ENABLED

    public static final String DFS_NAMENODE_EDITS_QJOURNALS_RESOLUTION_ENABLED
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_EDITS_QJOURNALS_RESOLUTION_ENABLED_DEFAULT

    public static final boolean DFS_NAMENODE_EDITS_QJOURNALS_RESOLUTION_ENABLED_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_EDITS_QJOURNALS_RESOLUTION_RESOLVER_IMPL

    public static final String DFS_NAMENODE_EDITS_QJOURNALS_RESOLUTION_RESOLVER_IMPL
    See Also:
      - Constant Field Values

  - ### DFS_METRICS_SESSION_ID_KEY

    public static final String DFS_METRICS_SESSION_ID_KEY
    See Also:
      - Constant Field Values

  - ### DFS_METRICS_PERCENTILES_INTERVALS_KEY

    public static final String DFS_METRICS_PERCENTILES_INTERVALS_KEY
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_PEER_STATS_ENABLED_KEY

    public static final String DFS_DATANODE_PEER_STATS_ENABLED_KEY
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_PEER_STATS_ENABLED_DEFAULT

    public static final boolean DFS_DATANODE_PEER_STATS_ENABLED_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_PEER_METRICS_MIN_OUTLIER_DETECTION_SAMPLES_KEY

    public static final String DFS_DATANODE_PEER_METRICS_MIN_OUTLIER_DETECTION_SAMPLES_KEY
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_PEER_METRICS_MIN_OUTLIER_DETECTION_SAMPLES_DEFAULT

    public static final long DFS_DATANODE_PEER_METRICS_MIN_OUTLIER_DETECTION_SAMPLES_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_MIN_OUTLIER_DETECTION_NODES_KEY

    public static final String DFS_DATANODE_MIN_OUTLIER_DETECTION_NODES_KEY
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_MIN_OUTLIER_DETECTION_NODES_DEFAULT

    public static final long DFS_DATANODE_MIN_OUTLIER_DETECTION_NODES_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_SLOWPEER_LOW_THRESHOLD_MS_KEY

    public static final String DFS_DATANODE_SLOWPEER_LOW_THRESHOLD_MS_KEY
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_SLOWPEER_LOW_THRESHOLD_MS_DEFAULT

    public static final long DFS_DATANODE_SLOWPEER_LOW_THRESHOLD_MS_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_MAX_NODES_TO_REPORT_KEY

    public static final String DFS_DATANODE_MAX_NODES_TO_REPORT_KEY
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_MAX_NODES_TO_REPORT_DEFAULT

    public static final int DFS_DATANODE_MAX_NODES_TO_REPORT_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_MIN_OUTLIER_DETECTION_DISKS_KEY

    public static final String DFS_DATANODE_MIN_OUTLIER_DETECTION_DISKS_KEY
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_MIN_OUTLIER_DETECTION_DISKS_DEFAULT

    public static final long DFS_DATANODE_MIN_OUTLIER_DETECTION_DISKS_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_SLOWDISK_LOW_THRESHOLD_MS_KEY

    public static final String DFS_DATANODE_SLOWDISK_LOW_THRESHOLD_MS_KEY
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_SLOWDISK_LOW_THRESHOLD_MS_DEFAULT

    public static final long DFS_DATANODE_SLOWDISK_LOW_THRESHOLD_MS_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_MAX_DISKS_TO_REPORT_KEY

    public static final String DFS_DATANODE_MAX_DISKS_TO_REPORT_KEY
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_MAX_DISKS_TO_REPORT_DEFAULT

    public static final int DFS_DATANODE_MAX_DISKS_TO_REPORT_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_MAX_SLOWDISKS_TO_EXCLUDE_KEY

    public static final String DFS_DATANODE_MAX_SLOWDISKS_TO_EXCLUDE_KEY
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_MAX_SLOWDISKS_TO_EXCLUDE_DEFAULT

    public static final int DFS_DATANODE_MAX_SLOWDISKS_TO_EXCLUDE_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_HOST_NAME_KEY

    public static final String DFS_DATANODE_HOST_NAME_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_CHECKPOINT_DIR_KEY

    public static final String DFS_NAMENODE_CHECKPOINT_DIR_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_CHECKPOINT_EDITS_DIR_KEY

    public static final String DFS_NAMENODE_CHECKPOINT_EDITS_DIR_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_HOSTS_PROVIDER_CLASSNAME_KEY

    public static final String DFS_NAMENODE_HOSTS_PROVIDER_CLASSNAME_KEY
    See Also:
      - Constant Field Values

  - ### DFS_HOSTS

    public static final String DFS_HOSTS
    See Also:
      - Constant Field Values

  - ### DFS_HOSTS_EXCLUDE

    public static final String DFS_HOSTS_EXCLUDE
    See Also:
      - Constant Field Values

  - ### DFS_HOSTS_TIMEOUT

    public static final String DFS_HOSTS_TIMEOUT
    See Also:
      - Constant Field Values

  - ### DFS_HOSTS_TIMEOUT_DEFAULT

    public static final int DFS_HOSTS_TIMEOUT_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_AUDIT_LOGGERS_KEY

    public static final String DFS_NAMENODE_AUDIT_LOGGERS_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_DEFAULT_AUDIT_LOGGER_NAME

    public static final String DFS_NAMENODE_DEFAULT_AUDIT_LOGGER_NAME
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_AUDIT_LOG_TOKEN_TRACKING_ID_KEY

    public static final String DFS_NAMENODE_AUDIT_LOG_TOKEN_TRACKING_ID_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_AUDIT_LOG_TOKEN_TRACKING_ID_DEFAULT

    public static final boolean DFS_NAMENODE_AUDIT_LOG_TOKEN_TRACKING_ID_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_AUDIT_LOG_DEBUG_CMDLIST

    public static final String DFS_NAMENODE_AUDIT_LOG_DEBUG_CMDLIST
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_METRICS_LOGGER_PERIOD_SECONDS_KEY

    public static final String DFS_NAMENODE_METRICS_LOGGER_PERIOD_SECONDS_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_METRICS_LOGGER_PERIOD_SECONDS_DEFAULT

    public static final int DFS_NAMENODE_METRICS_LOGGER_PERIOD_SECONDS_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_METRICS_LOGGER_PERIOD_SECONDS_KEY

    public static final String DFS_DATANODE_METRICS_LOGGER_PERIOD_SECONDS_KEY
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_METRICS_LOGGER_PERIOD_SECONDS_DEFAULT

    public static final int DFS_DATANODE_METRICS_LOGGER_PERIOD_SECONDS_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_AUDIT_LOG_WITH_REMOTE_PORT_KEY

    public static final String DFS_NAMENODE_AUDIT_LOG_WITH_REMOTE_PORT_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_AUDIT_LOG_WITH_REMOTE_PORT_DEFAULT

    public static final boolean DFS_NAMENODE_AUDIT_LOG_WITH_REMOTE_PORT_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_GETBLOCKS_MAX_QPS_KEY

    public static final String DFS_NAMENODE_GETBLOCKS_MAX_QPS_KEY
    The maximum number of getBlocks RPCs data movement utilities can make to a NameNode per second. Values <= 0 disable throttling. This affects anything that uses a NameNodeConnector, i.e., the Balancer, Mover, and StoragePolicySatisfier.
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_GETBLOCKS_MAX_QPS_DEFAULT

    public static final int DFS_NAMENODE_GETBLOCKS_MAX_QPS_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_GETBLOCKS_CHECK_OPERATION_KEY

    public static final String DFS_NAMENODE_GETBLOCKS_CHECK_OPERATION_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_GETBLOCKS_CHECK_OPERATION_DEFAULT

    public static final boolean DFS_NAMENODE_GETBLOCKS_CHECK_OPERATION_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_BALANCER_MOVEDWINWIDTH_KEY

    public static final String DFS_BALANCER_MOVEDWINWIDTH_KEY
    See Also:
      - Constant Field Values

  - ### DFS_BALANCER_MOVEDWINWIDTH_DEFAULT

    public static final long DFS_BALANCER_MOVEDWINWIDTH_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_BALANCER_MOVERTHREADS_KEY

    public static final String DFS_BALANCER_MOVERTHREADS_KEY
    See Also:
      - Constant Field Values

  - ### DFS_BALANCER_MOVERTHREADS_DEFAULT

    public static final int DFS_BALANCER_MOVERTHREADS_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_BALANCER_DISPATCHERTHREADS_KEY

    public static final String DFS_BALANCER_DISPATCHERTHREADS_KEY
    See Also:
      - Constant Field Values

  - ### DFS_BALANCER_DISPATCHERTHREADS_DEFAULT

    public static final int DFS_BALANCER_DISPATCHERTHREADS_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_BALANCER_MAX_SIZE_TO_MOVE_KEY

    public static final String DFS_BALANCER_MAX_SIZE_TO_MOVE_KEY
    See Also:
      - Constant Field Values

  - ### DFS_BALANCER_MAX_SIZE_TO_MOVE_DEFAULT

    public static final long DFS_BALANCER_MAX_SIZE_TO_MOVE_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_BALANCER_GETBLOCKS_SIZE_KEY

    public static final String DFS_BALANCER_GETBLOCKS_SIZE_KEY
    See Also:
      - Constant Field Values

  - ### DFS_BALANCER_GETBLOCKS_SIZE_DEFAULT

    public static final long DFS_BALANCER_GETBLOCKS_SIZE_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_BALANCER_GETBLOCKS_MIN_BLOCK_SIZE_KEY

    public static final String DFS_BALANCER_GETBLOCKS_MIN_BLOCK_SIZE_KEY
    See Also:
      - Constant Field Values

  - ### DFS_BALANCER_GETBLOCKS_MIN_BLOCK_SIZE_DEFAULT

    public static final long DFS_BALANCER_GETBLOCKS_MIN_BLOCK_SIZE_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_BALANCER_GETBLOCKS_HOT_TIME_INTERVAL_KEY

    public static final String DFS_BALANCER_GETBLOCKS_HOT_TIME_INTERVAL_KEY
    See Also:
      - Constant Field Values

  - ### DFS_BALANCER_GETBLOCKS_HOT_TIME_INTERVAL_DEFAULT

    public static final long DFS_BALANCER_GETBLOCKS_HOT_TIME_INTERVAL_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_BALANCER_KEYTAB_ENABLED_KEY

    public static final String DFS_BALANCER_KEYTAB_ENABLED_KEY
    See Also:
      - Constant Field Values

  - ### DFS_BALANCER_KEYTAB_ENABLED_DEFAULT

    public static final boolean DFS_BALANCER_KEYTAB_ENABLED_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_BALANCER_ADDRESS_KEY

    public static final String DFS_BALANCER_ADDRESS_KEY
    See Also:
      - Constant Field Values

  - ### DFS_BALANCER_ADDRESS_DEFAULT

    public static final String DFS_BALANCER_ADDRESS_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_BALANCER_KEYTAB_FILE_KEY

    public static final String DFS_BALANCER_KEYTAB_FILE_KEY
    See Also:
      - Constant Field Values

  - ### DFS_BALANCER_KERBEROS_PRINCIPAL_KEY

    public static final String DFS_BALANCER_KERBEROS_PRINCIPAL_KEY
    See Also:
      - Constant Field Values

  - ### DFS_BALANCER_KERBEROS_INTERNAL_SPNEGO_PRINCIPAL_KEY

    public static final String DFS_BALANCER_KERBEROS_INTERNAL_SPNEGO_PRINCIPAL_KEY
    See Also:
      - Constant Field Values

  - ### DFS_BALANCER_BLOCK_MOVE_TIMEOUT

    public static final String DFS_BALANCER_BLOCK_MOVE_TIMEOUT
    See Also:
      - Constant Field Values

  - ### DFS_BALANCER_BLOCK_MOVE_TIMEOUT_DEFAULT

    public static final int DFS_BALANCER_BLOCK_MOVE_TIMEOUT_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_BALANCER_MAX_NO_MOVE_INTERVAL_KEY

    public static final String DFS_BALANCER_MAX_NO_MOVE_INTERVAL_KEY
    See Also:
      - Constant Field Values

  - ### DFS_BALANCER_MAX_NO_MOVE_INTERVAL_DEFAULT

    public static final int DFS_BALANCER_MAX_NO_MOVE_INTERVAL_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_BALANCER_MAX_ITERATION_TIME_KEY

    public static final String DFS_BALANCER_MAX_ITERATION_TIME_KEY
    See Also:
      - Constant Field Values

  - ### DFS_BALANCER_MAX_ITERATION_TIME_DEFAULT

    public static final long DFS_BALANCER_MAX_ITERATION_TIME_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_BALANCER_SERVICE_INTERVAL_KEY

    public static final String DFS_BALANCER_SERVICE_INTERVAL_KEY
    See Also:
      - Constant Field Values

  - ### DFS_BALANCER_SERVICE_INTERVAL_DEFAULT

    public static final long DFS_BALANCER_SERVICE_INTERVAL_DEFAULT

  - ### DFS_BALANCER_SERVICE_RETRIES_ON_EXCEPTION

    public static final String DFS_BALANCER_SERVICE_RETRIES_ON_EXCEPTION
    See Also:
      - Constant Field Values

  - ### DFS_BALANCER_SERVICE_RETRIES_ON_EXCEPTION_DEFAULT

    public static final int DFS_BALANCER_SERVICE_RETRIES_ON_EXCEPTION_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_BALANCER_HTTPSERVER_ENABLED_KEY

    public static final String DFS_BALANCER_HTTPSERVER_ENABLED_KEY
    See Also:
      - Constant Field Values

  - ### DFS_BALANCER_HTTPSERVER_ENABLED_DEFAULT

    public static final Boolean DFS_BALANCER_HTTPSERVER_ENABLED_DEFAULT

  - ### DFS_BALANCER_HTTP_ADDRESS_KEY

    public static final String DFS_BALANCER_HTTP_ADDRESS_KEY
    See Also:
      - Constant Field Values

  - ### DFS_BALANCER_HTTP_PORT_DEFAULT

    public static final int DFS_BALANCER_HTTP_PORT_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_BALANCER_HTTP_BIND_HOST_KEY

    public static final String DFS_BALANCER_HTTP_BIND_HOST_KEY
    See Also:
      - Constant Field Values

  - ### DFS_BALANCER_HTTP_ADDRESS_DEFAULT

    public static final String DFS_BALANCER_HTTP_ADDRESS_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_BALANCER_HTTPS_ADDRESS_KEY

    public static final String DFS_BALANCER_HTTPS_ADDRESS_KEY
    See Also:
      - Constant Field Values

  - ### DFS_BALANCER_HTTPS_PORT_DEFAULT

    public static final int DFS_BALANCER_HTTPS_PORT_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_BALANCER_HTTPS_BIND_HOST_KEY

    public static final String DFS_BALANCER_HTTPS_BIND_HOST_KEY
    See Also:
      - Constant Field Values

  - ### DFS_BALANCER_HTTPS_ADDRESS_DEFAULT

    public static final String DFS_BALANCER_HTTPS_ADDRESS_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_MOVER_MOVEDWINWIDTH_KEY

    public static final String DFS_MOVER_MOVEDWINWIDTH_KEY
    See Also:
      - Constant Field Values

  - ### DFS_MOVER_MOVEDWINWIDTH_DEFAULT

    public static final long DFS_MOVER_MOVEDWINWIDTH_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_MOVER_MOVERTHREADS_KEY

    public static final String DFS_MOVER_MOVERTHREADS_KEY
    See Also:
      - Constant Field Values

  - ### DFS_MOVER_MOVERTHREADS_DEFAULT

    public static final int DFS_MOVER_MOVERTHREADS_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_MOVER_RETRY_MAX_ATTEMPTS_KEY

    public static final String DFS_MOVER_RETRY_MAX_ATTEMPTS_KEY
    See Also:
      - Constant Field Values

  - ### DFS_MOVER_RETRY_MAX_ATTEMPTS_DEFAULT

    public static final int DFS_MOVER_RETRY_MAX_ATTEMPTS_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_MOVER_KEYTAB_ENABLED_KEY

    public static final String DFS_MOVER_KEYTAB_ENABLED_KEY
    See Also:
      - Constant Field Values

  - ### DFS_MOVER_KEYTAB_ENABLED_DEFAULT

    public static final boolean DFS_MOVER_KEYTAB_ENABLED_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_MOVER_ADDRESS_KEY

    public static final String DFS_MOVER_ADDRESS_KEY
    See Also:
      - Constant Field Values

  - ### DFS_MOVER_ADDRESS_DEFAULT

    public static final String DFS_MOVER_ADDRESS_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_MOVER_KEYTAB_FILE_KEY

    public static final String DFS_MOVER_KEYTAB_FILE_KEY
    See Also:
      - Constant Field Values

  - ### DFS_MOVER_KERBEROS_PRINCIPAL_KEY

    public static final String DFS_MOVER_KERBEROS_PRINCIPAL_KEY
    See Also:
      - Constant Field Values

  - ### DFS_MOVER_MAX_NO_MOVE_INTERVAL_KEY

    public static final String DFS_MOVER_MAX_NO_MOVE_INTERVAL_KEY
    See Also:
      - Constant Field Values

  - ### DFS_MOVER_MAX_NO_MOVE_INTERVAL_DEFAULT

    public static final int DFS_MOVER_MAX_NO_MOVE_INTERVAL_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_STORAGE_POLICY_SATISFIER_MODE_KEY

    public static final String DFS_STORAGE_POLICY_SATISFIER_MODE_KEY
    See Also:
      - Constant Field Values

  - ### DFS_STORAGE_POLICY_SATISFIER_MODE_DEFAULT

    public static final String DFS_STORAGE_POLICY_SATISFIER_MODE_DEFAULT

  - ### DFS_STORAGE_POLICY_SATISFIER_QUEUE_LIMIT_KEY

    public static final String DFS_STORAGE_POLICY_SATISFIER_QUEUE_LIMIT_KEY
    See Also:
      - Constant Field Values

  - ### DFS_STORAGE_POLICY_SATISFIER_QUEUE_LIMIT_DEFAULT

    public static final int DFS_STORAGE_POLICY_SATISFIER_QUEUE_LIMIT_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_SPS_WORK_MULTIPLIER_PER_ITERATION

    public static final String DFS_SPS_WORK_MULTIPLIER_PER_ITERATION
    See Also:
      - Constant Field Values

  - ### DFS_SPS_WORK_MULTIPLIER_PER_ITERATION_DEFAULT

    public static final int DFS_SPS_WORK_MULTIPLIER_PER_ITERATION_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_STORAGE_POLICY_SATISFIER_RECHECK_TIMEOUT_MILLIS_KEY

    public static final String DFS_STORAGE_POLICY_SATISFIER_RECHECK_TIMEOUT_MILLIS_KEY
    See Also:
      - Constant Field Values

  - ### DFS_STORAGE_POLICY_SATISFIER_RECHECK_TIMEOUT_MILLIS_DEFAULT

    public static final int DFS_STORAGE_POLICY_SATISFIER_RECHECK_TIMEOUT_MILLIS_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_STORAGE_POLICY_SATISFIER_SELF_RETRY_TIMEOUT_MILLIS_KEY

    public static final String DFS_STORAGE_POLICY_SATISFIER_SELF_RETRY_TIMEOUT_MILLIS_KEY
    See Also:
      - Constant Field Values

  - ### DFS_STORAGE_POLICY_SATISFIER_SELF_RETRY_TIMEOUT_MILLIS_DEFAULT

    public static final int DFS_STORAGE_POLICY_SATISFIER_SELF_RETRY_TIMEOUT_MILLIS_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_STORAGE_POLICY_SATISFIER_MAX_RETRY_ATTEMPTS_KEY

    public static final String DFS_STORAGE_POLICY_SATISFIER_MAX_RETRY_ATTEMPTS_KEY
    See Also:
      - Constant Field Values

  - ### DFS_STORAGE_POLICY_SATISFIER_MAX_RETRY_ATTEMPTS_DEFAULT

    public static final int DFS_STORAGE_POLICY_SATISFIER_MAX_RETRY_ATTEMPTS_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_STORAGE_POLICY_SATISFIER_MOVE_TASK_MAX_RETRY_ATTEMPTS_KEY

    public static final String DFS_STORAGE_POLICY_SATISFIER_MOVE_TASK_MAX_RETRY_ATTEMPTS_KEY
    See Also:
      - Constant Field Values

  - ### DFS_STORAGE_POLICY_SATISFIER_MOVE_TASK_MAX_RETRY_ATTEMPTS_DEFAULT

    public static final int DFS_STORAGE_POLICY_SATISFIER_MOVE_TASK_MAX_RETRY_ATTEMPTS_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_STORAGE_DEFAULT_POLICY

    public static final String DFS_STORAGE_DEFAULT_POLICY
    See Also:
      - Constant Field Values

  - ### DFS_STORAGE_DEFAULT_POLICY_DEFAULT

    public static final org.apache.hadoop.hdfs.protocol.HdfsConstants.StoragePolicy DFS_STORAGE_DEFAULT_POLICY_DEFAULT

  - ### DFS_SPS_MAX_OUTSTANDING_PATHS_KEY

    public static final String DFS_SPS_MAX_OUTSTANDING_PATHS_KEY
    See Also:
      - Constant Field Values

  - ### DFS_SPS_MAX_OUTSTANDING_PATHS_DEFAULT

    public static final int DFS_SPS_MAX_OUTSTANDING_PATHS_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_SPS_DATANODE_CACHE_REFRESH_INTERVAL_MS

    public static final String DFS_SPS_DATANODE_CACHE_REFRESH_INTERVAL_MS
    See Also:
      - Constant Field Values

  - ### DFS_SPS_DATANODE_CACHE_REFRESH_INTERVAL_MS_DEFAULT

    public static final long DFS_SPS_DATANODE_CACHE_REFRESH_INTERVAL_MS_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_SPS_ADDRESS_KEY

    public static final String DFS_SPS_ADDRESS_KEY
    See Also:
      - Constant Field Values

  - ### DFS_SPS_ADDRESS_DEFAULT

    public static final String DFS_SPS_ADDRESS_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_SPS_KEYTAB_FILE_KEY

    public static final String DFS_SPS_KEYTAB_FILE_KEY
    See Also:
      - Constant Field Values

  - ### DFS_SPS_KERBEROS_PRINCIPAL_KEY

    public static final String DFS_SPS_KERBEROS_PRINCIPAL_KEY
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_ADDRESS_KEY

    public static final String DFS_DATANODE_ADDRESS_KEY
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_DEFAULT_PORT

    public static final int DFS_DATANODE_DEFAULT_PORT
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_ADDRESS_DEFAULT

    public static final String DFS_DATANODE_ADDRESS_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_DATA_DIR_PERMISSION_KEY

    public static final String DFS_DATANODE_DATA_DIR_PERMISSION_KEY
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_DATA_DIR_PERMISSION_DEFAULT

    public static final String DFS_DATANODE_DATA_DIR_PERMISSION_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_DIRECTORYSCAN_INTERVAL_KEY

    public static final String DFS_DATANODE_DIRECTORYSCAN_INTERVAL_KEY
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_DIRECTORYSCAN_INTERVAL_DEFAULT

    public static final int DFS_DATANODE_DIRECTORYSCAN_INTERVAL_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_DIRECTORYSCAN_THREADS_KEY

    public static final String DFS_DATANODE_DIRECTORYSCAN_THREADS_KEY
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_DIRECTORYSCAN_THREADS_DEFAULT

    public static final int DFS_DATANODE_DIRECTORYSCAN_THREADS_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_RECONCILE_BLOCKS_BATCH_SIZE

    public static final String DFS_DATANODE_RECONCILE_BLOCKS_BATCH_SIZE
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_RECONCILE_BLOCKS_BATCH_SIZE_DEFAULT

    public static final int DFS_DATANODE_RECONCILE_BLOCKS_BATCH_SIZE_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_RECONCILE_BLOCKS_BATCH_INTERVAL

    public static final String DFS_DATANODE_RECONCILE_BLOCKS_BATCH_INTERVAL
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_RECONCILE_BLOCKS_BATCH_INTERVAL_DEFAULT

    public static final long DFS_DATANODE_RECONCILE_BLOCKS_BATCH_INTERVAL_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_DISK_CHECK_MIN_GAP_KEY

    public static final String DFS_DATANODE_DISK_CHECK_MIN_GAP_KEY
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_DISK_CHECK_MIN_GAP_DEFAULT

    public static final String DFS_DATANODE_DISK_CHECK_MIN_GAP_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_DISK_CHECK_TIMEOUT_KEY

    public static final String DFS_DATANODE_DISK_CHECK_TIMEOUT_KEY
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_DISK_CHECK_TIMEOUT_DEFAULT

    public static final String DFS_DATANODE_DISK_CHECK_TIMEOUT_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_EC_POLICIES_MAX_CELLSIZE_KEY

    public static final String DFS_NAMENODE_EC_POLICIES_MAX_CELLSIZE_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_EC_POLICIES_MAX_CELLSIZE_DEFAULT

    public static final int DFS_NAMENODE_EC_POLICIES_MAX_CELLSIZE_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_EC_POLICIES_USERPOLICIES_ALLOWED_KEY

    public static final String DFS_NAMENODE_EC_POLICIES_USERPOLICIES_ALLOWED_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_EC_POLICIES_USERPOLICIES_ALLOWED_KEY_DEFAULT

    public static final boolean DFS_NAMENODE_EC_POLICIES_USERPOLICIES_ALLOWED_KEY_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_EC_SYSTEM_DEFAULT_POLICY

    public static final String DFS_NAMENODE_EC_SYSTEM_DEFAULT_POLICY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_EC_SYSTEM_DEFAULT_POLICY_DEFAULT

    public static final String DFS_NAMENODE_EC_SYSTEM_DEFAULT_POLICY_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_DN_EC_RECONSTRUCTION_STRIPED_READ_BUFFER_SIZE_KEY

    public static final String DFS_DN_EC_RECONSTRUCTION_STRIPED_READ_BUFFER_SIZE_KEY
    See Also:
      - Constant Field Values

  - ### DFS_DN_EC_RECONSTRUCTION_STRIPED_READ_BUFFER_SIZE_DEFAULT

    public static final int DFS_DN_EC_RECONSTRUCTION_STRIPED_READ_BUFFER_SIZE_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_DN_EC_RECONSTRUCTION_STRIPED_READ_TIMEOUT_MILLIS_KEY

    public static final String DFS_DN_EC_RECONSTRUCTION_STRIPED_READ_TIMEOUT_MILLIS_KEY
    See Also:
      - Constant Field Values

  - ### DFS_DN_EC_RECONSTRUCTION_STRIPED_READ_TIMEOUT_MILLIS_DEFAULT

    public static final int DFS_DN_EC_RECONSTRUCTION_STRIPED_READ_TIMEOUT_MILLIS_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_DN_EC_RECONSTRUCTION_THREADS_KEY

    public static final String DFS_DN_EC_RECONSTRUCTION_THREADS_KEY
    See Also:
      - Constant Field Values

  - ### DFS_DN_EC_RECONSTRUCTION_THREADS_DEFAULT

    public static final int DFS_DN_EC_RECONSTRUCTION_THREADS_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_DN_EC_RECONSTRUCTION_XMITS_WEIGHT_KEY

    public static final String DFS_DN_EC_RECONSTRUCTION_XMITS_WEIGHT_KEY
    See Also:
      - Constant Field Values

  - ### DFS_DN_EC_RECONSTRUCTION_XMITS_WEIGHT_DEFAULT

    public static final float DFS_DN_EC_RECONSTRUCTION_XMITS_WEIGHT_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_DN_EC_RECONSTRUCTION_VALIDATION_KEY

    public static final String DFS_DN_EC_RECONSTRUCTION_VALIDATION_KEY
    See Also:
      - Constant Field Values

  - ### DFS_DN_EC_RECONSTRUCTION_VALIDATION_VALUE

    public static final boolean DFS_DN_EC_RECONSTRUCTION_VALIDATION_VALUE
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_DIRECTORYSCAN_THROTTLE_LIMIT_MS_PER_SEC_KEY

    public static final String DFS_DATANODE_DIRECTORYSCAN_THROTTLE_LIMIT_MS_PER_SEC_KEY
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_DIRECTORYSCAN_THROTTLE_LIMIT_MS_PER_SEC_DEFAULT

    public static final int DFS_DATANODE_DIRECTORYSCAN_THROTTLE_LIMIT_MS_PER_SEC_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_DIRECTORYSCAN_MAX_NOTIFY_COUNT_KEY

    public static final String DFS_DATANODE_DIRECTORYSCAN_MAX_NOTIFY_COUNT_KEY
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_DIRECTORYSCAN_MAX_NOTIFY_COUNT_DEFAULT

    public static final long DFS_DATANODE_DIRECTORYSCAN_MAX_NOTIFY_COUNT_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_DNS_INTERFACE_KEY

    public static final String DFS_DATANODE_DNS_INTERFACE_KEY
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_DNS_INTERFACE_DEFAULT

    public static final String DFS_DATANODE_DNS_INTERFACE_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_DNS_NAMESERVER_KEY

    public static final String DFS_DATANODE_DNS_NAMESERVER_KEY
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_DNS_NAMESERVER_DEFAULT

    public static final String DFS_DATANODE_DNS_NAMESERVER_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_DU_RESERVED_CALCULATOR_KEY

    public static final String DFS_DATANODE_DU_RESERVED_CALCULATOR_KEY
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_DU_RESERVED_CALCULATOR_DEFAULT

    public static final Class<? extends ReservedSpaceCalculator> DFS_DATANODE_DU_RESERVED_CALCULATOR_DEFAULT

  - ### DFS_DATANODE_DU_RESERVED_KEY

    public static final String DFS_DATANODE_DU_RESERVED_KEY
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_DU_RESERVED_DEFAULT

    public static final long DFS_DATANODE_DU_RESERVED_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_DU_RESERVED_PERCENTAGE_KEY

    public static final String DFS_DATANODE_DU_RESERVED_PERCENTAGE_KEY
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_DU_RESERVED_PERCENTAGE_DEFAULT

    public static final int DFS_DATANODE_DU_RESERVED_PERCENTAGE_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_HANDLER_COUNT_KEY

    public static final String DFS_DATANODE_HANDLER_COUNT_KEY
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_HANDLER_COUNT_DEFAULT

    public static final int DFS_DATANODE_HANDLER_COUNT_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_HTTP_ADDRESS_KEY

    public static final String DFS_DATANODE_HTTP_ADDRESS_KEY
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_HTTP_DEFAULT_PORT

    public static final int DFS_DATANODE_HTTP_DEFAULT_PORT
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_HTTP_ADDRESS_DEFAULT

    public static final String DFS_DATANODE_HTTP_ADDRESS_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_HTTP_INTERNAL_PROXY_PORT

    public static final String DFS_DATANODE_HTTP_INTERNAL_PROXY_PORT
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_MAX_RECEIVER_THREADS_KEY

    public static final String DFS_DATANODE_MAX_RECEIVER_THREADS_KEY
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_MAX_RECEIVER_THREADS_DEFAULT

    public static final int DFS_DATANODE_MAX_RECEIVER_THREADS_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_SCAN_PERIOD_HOURS_KEY

    public static final String DFS_DATANODE_SCAN_PERIOD_HOURS_KEY
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_SCAN_PERIOD_HOURS_DEFAULT

    public static final int DFS_DATANODE_SCAN_PERIOD_HOURS_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_BLOCK_SCANNER_VOLUME_BYTES_PER_SECOND

    public static final String DFS_BLOCK_SCANNER_VOLUME_BYTES_PER_SECOND
    See Also:
      - Constant Field Values

  - ### DFS_BLOCK_SCANNER_VOLUME_BYTES_PER_SECOND_DEFAULT

    public static final long DFS_BLOCK_SCANNER_VOLUME_BYTES_PER_SECOND_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_BLOCK_SCANNER_VOLUME_JOIN_TIMEOUT_MSEC_KEY

    public static final String DFS_BLOCK_SCANNER_VOLUME_JOIN_TIMEOUT_MSEC_KEY
    The amount of time in milliseconds that the BlockScanner times out waiting for the VolumeScanner thread to join during a shutdown call.
    See Also:
      - Constant Field Values

  - ### DFS_BLOCK_SCANNER_VOLUME_JOIN_TIMEOUT_MSEC_DEFAULT

    public static final long DFS_BLOCK_SCANNER_VOLUME_JOIN_TIMEOUT_MSEC_DEFAULT

  - ### DFS_BLOCK_SCANNER_SKIP_RECENT_ACCESSED

    public static final String DFS_BLOCK_SCANNER_SKIP_RECENT_ACCESSED
    See Also:
      - Constant Field Values

  - ### DFS_BLOCK_SCANNER_SKIP_RECENT_ACCESSED_DEFAULT

    public static final boolean DFS_BLOCK_SCANNER_SKIP_RECENT_ACCESSED_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_TRANSFERTO_ALLOWED_KEY

    public static final String DFS_DATANODE_TRANSFERTO_ALLOWED_KEY
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_TRANSFERTO_ALLOWED_DEFAULT

    public static final boolean DFS_DATANODE_TRANSFERTO_ALLOWED_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_HEARTBEAT_INTERVAL_KEY

    public static final String DFS_HEARTBEAT_INTERVAL_KEY
    See Also:
      - Constant Field Values

  - ### DFS_HEARTBEAT_INTERVAL_DEFAULT

    public static final long DFS_HEARTBEAT_INTERVAL_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_LIFELINE_INTERVAL_SECONDS_KEY

    public static final String DFS_DATANODE_LIFELINE_INTERVAL_SECONDS_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_PATH_BASED_CACHE_RETRY_INTERVAL_MS

    public static final String DFS_NAMENODE_PATH_BASED_CACHE_RETRY_INTERVAL_MS
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_PATH_BASED_CACHE_RETRY_INTERVAL_MS_DEFAULT

    public static final long DFS_NAMENODE_PATH_BASED_CACHE_RETRY_INTERVAL_MS_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_DECOMMISSION_INTERVAL_KEY

    public static final String DFS_NAMENODE_DECOMMISSION_INTERVAL_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_DECOMMISSION_INTERVAL_DEFAULT

    public static final int DFS_NAMENODE_DECOMMISSION_INTERVAL_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_DECOMMISSION_BLOCKS_PER_INTERVAL_KEY

    public static final String DFS_NAMENODE_DECOMMISSION_BLOCKS_PER_INTERVAL_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_DECOMMISSION_BLOCKS_PER_INTERVAL_DEFAULT

    public static final int DFS_NAMENODE_DECOMMISSION_BLOCKS_PER_INTERVAL_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_DECOMMISSION_MAX_CONCURRENT_TRACKED_NODES

    public static final String DFS_NAMENODE_DECOMMISSION_MAX_CONCURRENT_TRACKED_NODES
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_DECOMMISSION_MAX_CONCURRENT_TRACKED_NODES_DEFAULT

    public static final int DFS_NAMENODE_DECOMMISSION_MAX_CONCURRENT_TRACKED_NODES_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_DECOMMISSION_MONITOR_CLASS

    public static final String DFS_NAMENODE_DECOMMISSION_MONITOR_CLASS
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_DECOMMISSION_MONITOR_CLASS_DEFAULT

    public static final String DFS_NAMENODE_DECOMMISSION_MONITOR_CLASS_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_DECOMMISSION_BACKOFF_MONITOR_PENDING_LIMIT

    public static final String DFS_NAMENODE_DECOMMISSION_BACKOFF_MONITOR_PENDING_LIMIT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_DECOMMISSION_BACKOFF_MONITOR_PENDING_LIMIT_DEFAULT

    public static final int DFS_NAMENODE_DECOMMISSION_BACKOFF_MONITOR_PENDING_LIMIT_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_DECOMMISSION_BACKOFF_MONITOR_PENDING_BLOCKS_PER_LOCK

    public static final String DFS_NAMENODE_DECOMMISSION_BACKOFF_MONITOR_PENDING_BLOCKS_PER_LOCK
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_DECOMMISSION_BACKOFF_MONITOR_PENDING_BLOCKS_PER_LOCK_DEFAULT

    public static final int DFS_NAMENODE_DECOMMISSION_BACKOFF_MONITOR_PENDING_BLOCKS_PER_LOCK_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_HANDLER_COUNT_KEY

    public static final String DFS_NAMENODE_HANDLER_COUNT_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_HANDLER_COUNT_DEFAULT

    public static final int DFS_NAMENODE_HANDLER_COUNT_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_LIFELINE_HANDLER_RATIO_KEY

    public static final String DFS_NAMENODE_LIFELINE_HANDLER_RATIO_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_LIFELINE_HANDLER_RATIO_DEFAULT

    public static final float DFS_NAMENODE_LIFELINE_HANDLER_RATIO_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_LIFELINE_HANDLER_COUNT_KEY

    public static final String DFS_NAMENODE_LIFELINE_HANDLER_COUNT_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_SERVICE_HANDLER_COUNT_KEY

    public static final String DFS_NAMENODE_SERVICE_HANDLER_COUNT_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_SERVICE_HANDLER_COUNT_DEFAULT

    public static final int DFS_NAMENODE_SERVICE_HANDLER_COUNT_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_IP_PROXY_USERS

    public static final String DFS_NAMENODE_IP_PROXY_USERS
    See Also:
      - Constant Field Values

  - ### DFS_HTTP_POLICY_KEY

    public static final String DFS_HTTP_POLICY_KEY
    See Also:
      - Constant Field Values

  - ### DFS_HTTP_POLICY_DEFAULT

    public static final String DFS_HTTP_POLICY_DEFAULT

  - ### DFS_DATANODE_HTTPSERVER_FILTER_HANDLERS

    public static final String DFS_DATANODE_HTTPSERVER_FILTER_HANDLERS
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_HTTPSERVER_FILTER_HANDLERS_DEFAULT

    public static final String DFS_DATANODE_HTTPSERVER_FILTER_HANDLERS_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_DEFAULT_CHUNK_VIEW_SIZE_KEY

    public static final String DFS_DEFAULT_CHUNK_VIEW_SIZE_KEY
    See Also:
      - Constant Field Values

  - ### DFS_DEFAULT_CHUNK_VIEW_SIZE_DEFAULT

    public static final int DFS_DEFAULT_CHUNK_VIEW_SIZE_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_HTTPS_ADDRESS_KEY

    public static final String DFS_DATANODE_HTTPS_ADDRESS_KEY
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_HTTPS_PORT_KEY

    public static final String DFS_DATANODE_HTTPS_PORT_KEY
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_HTTPS_DEFAULT_PORT

    public static final int DFS_DATANODE_HTTPS_DEFAULT_PORT
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_HTTPS_ADDRESS_DEFAULT

    public static final String DFS_DATANODE_HTTPS_ADDRESS_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_IPC_ADDRESS_KEY

    public static final String DFS_DATANODE_IPC_ADDRESS_KEY
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_IPC_DEFAULT_PORT

    public static final int DFS_DATANODE_IPC_DEFAULT_PORT
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_IPC_ADDRESS_DEFAULT

    public static final String DFS_DATANODE_IPC_ADDRESS_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_MIN_SUPPORTED_NAMENODE_VERSION_KEY

    public static final String DFS_DATANODE_MIN_SUPPORTED_NAMENODE_VERSION_KEY
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_MIN_SUPPORTED_NAMENODE_VERSION_DEFAULT

    public static final String DFS_DATANODE_MIN_SUPPORTED_NAMENODE_VERSION_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_INODE_ATTRIBUTES_PROVIDER_KEY

    public static final String DFS_NAMENODE_INODE_ATTRIBUTES_PROVIDER_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_INODE_ATTRIBUTES_PROVIDER_BYPASS_USERS_KEY

    public static final String DFS_NAMENODE_INODE_ATTRIBUTES_PROVIDER_BYPASS_USERS_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_INODE_ATTRIBUTES_PROVIDER_BYPASS_USERS_DEFAULT

    public static final String DFS_NAMENODE_INODE_ATTRIBUTES_PROVIDER_BYPASS_USERS_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_LOCK_MODEL_PROVIDER_KEY

    public static final String DFS_NAMENODE_LOCK_MODEL_PROVIDER_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_LOCK_MODEL_PROVIDER_DEFAULT

    public static final Class<? extends FSNLockManager> DFS_NAMENODE_LOCK_MODEL_PROVIDER_DEFAULT

  - ### DFS_DATANODE_BP_READY_TIMEOUT_KEY

    public static final String DFS_DATANODE_BP_READY_TIMEOUT_KEY
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_BP_READY_TIMEOUT_DEFAULT

    public static final long DFS_DATANODE_BP_READY_TIMEOUT_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_BLOCK_ACCESS_TOKEN_ENABLE_KEY

    public static final String DFS_BLOCK_ACCESS_TOKEN_ENABLE_KEY
    See Also:
      - Constant Field Values

  - ### DFS_BLOCK_ACCESS_TOKEN_ENABLE_DEFAULT

    public static final boolean DFS_BLOCK_ACCESS_TOKEN_ENABLE_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_BLOCK_ACCESS_KEY_UPDATE_INTERVAL_KEY

    public static final String DFS_BLOCK_ACCESS_KEY_UPDATE_INTERVAL_KEY
    See Also:
      - Constant Field Values

  - ### DFS_BLOCK_ACCESS_KEY_UPDATE_INTERVAL_DEFAULT

    public static final long DFS_BLOCK_ACCESS_KEY_UPDATE_INTERVAL_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_BLOCK_ACCESS_TOKEN_LIFETIME_KEY

    public static final String DFS_BLOCK_ACCESS_TOKEN_LIFETIME_KEY
    See Also:
      - Constant Field Values

  - ### DFS_BLOCK_ACCESS_TOKEN_LIFETIME_DEFAULT

    public static final long DFS_BLOCK_ACCESS_TOKEN_LIFETIME_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_BLOCK_ACCESS_TOKEN_PROTOBUF_ENABLE

    public static final String DFS_BLOCK_ACCESS_TOKEN_PROTOBUF_ENABLE
    See Also:
      - Constant Field Values

  - ### DFS_BLOCK_ACCESS_TOKEN_PROTOBUF_ENABLE_DEFAULT

    public static final boolean DFS_BLOCK_ACCESS_TOKEN_PROTOBUF_ENABLE_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_BLOCK_REPLICATOR_CLASSNAME_KEY

    public static final String DFS_BLOCK_REPLICATOR_CLASSNAME_KEY
    See Also:
      - Constant Field Values

  - ### DFS_BLOCK_REPLICATOR_CLASSNAME_DEFAULT

    public static final Class<BlockPlacementPolicyDefault> DFS_BLOCK_REPLICATOR_CLASSNAME_DEFAULT

  - ### DFS_REPLICATION_MAX_KEY

    public static final String DFS_REPLICATION_MAX_KEY
    See Also:
      - Constant Field Values

  - ### DFS_REPLICATION_MAX_DEFAULT

    public static final int DFS_REPLICATION_MAX_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_BLOCK_PLACEMENT_EC_CLASSNAME_KEY

    public static final String DFS_BLOCK_PLACEMENT_EC_CLASSNAME_KEY
    See Also:
      - Constant Field Values

  - ### DFS_BLOCK_PLACEMENT_EC_CLASSNAME_DEFAULT

    public static final Class<BlockPlacementPolicyRackFaultTolerant> DFS_BLOCK_PLACEMENT_EC_CLASSNAME_DEFAULT

  - ### DFS_DF_INTERVAL_KEY

    public static final String DFS_DF_INTERVAL_KEY
    See Also:
      - Constant Field Values

  - ### DFS_DF_INTERVAL_DEFAULT

    public static final int DFS_DF_INTERVAL_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_BLOCKREPORT_INCREMENTAL_INTERVAL_MSEC_KEY

    public static final String DFS_BLOCKREPORT_INCREMENTAL_INTERVAL_MSEC_KEY
    See Also:
      - Constant Field Values

  - ### DFS_BLOCKREPORT_INCREMENTAL_INTERVAL_MSEC_DEFAULT

    public static final long DFS_BLOCKREPORT_INCREMENTAL_INTERVAL_MSEC_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_BLOCKREPORT_INTERVAL_MSEC_KEY

    public static final String DFS_BLOCKREPORT_INTERVAL_MSEC_KEY
    See Also:
      - Constant Field Values

  - ### DFS_BLOCKREPORT_INTERVAL_MSEC_DEFAULT

    public static final long DFS_BLOCKREPORT_INTERVAL_MSEC_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_BLOCKREPORT_INITIAL_DELAY_KEY

    public static final String DFS_BLOCKREPORT_INITIAL_DELAY_KEY
    See Also:
      - Constant Field Values

  - ### DFS_BLOCKREPORT_INITIAL_DELAY_DEFAULT

    public static final int DFS_BLOCKREPORT_INITIAL_DELAY_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_BLOCKREPORT_SPLIT_THRESHOLD_KEY

    public static final String DFS_BLOCKREPORT_SPLIT_THRESHOLD_KEY
    See Also:
      - Constant Field Values

  - ### DFS_BLOCKREPORT_SPLIT_THRESHOLD_DEFAULT

    public static final long DFS_BLOCKREPORT_SPLIT_THRESHOLD_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_MAX_FULL_BLOCK_REPORT_LEASES

    public static final String DFS_NAMENODE_MAX_FULL_BLOCK_REPORT_LEASES
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_MAX_FULL_BLOCK_REPORT_LEASES_DEFAULT

    public static final int DFS_NAMENODE_MAX_FULL_BLOCK_REPORT_LEASES_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_FULL_BLOCK_REPORT_LEASE_LENGTH_MS

    public static final String DFS_NAMENODE_FULL_BLOCK_REPORT_LEASE_LENGTH_MS
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_FULL_BLOCK_REPORT_LEASE_LENGTH_MS_DEFAULT

    public static final long DFS_NAMENODE_FULL_BLOCK_REPORT_LEASE_LENGTH_MS_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_CACHEREPORT_INTERVAL_MSEC_KEY

    public static final String DFS_CACHEREPORT_INTERVAL_MSEC_KEY
    See Also:
      - Constant Field Values

  - ### DFS_CACHEREPORT_INTERVAL_MSEC_DEFAULT

    public static final long DFS_CACHEREPORT_INTERVAL_MSEC_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_BLOCK_INVALIDATE_LIMIT_KEY

    public static final String DFS_BLOCK_INVALIDATE_LIMIT_KEY
    See Also:
      - Constant Field Values

  - ### DFS_BLOCK_INVALIDATE_LIMIT_DEFAULT

    public static final int DFS_BLOCK_INVALIDATE_LIMIT_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_DEFAULT_MAX_CORRUPT_FILES_RETURNED_KEY

    public static final String DFS_DEFAULT_MAX_CORRUPT_FILES_RETURNED_KEY
    See Also:
      - Constant Field Values

  - ### DFS_DEFAULT_MAX_CORRUPT_FILES_RETURNED

    public static final int DFS_DEFAULT_MAX_CORRUPT_FILES_RETURNED
    See Also:
      - Constant Field Values

  - ### DFS_BLOCK_MISREPLICATION_PROCESSING_LIMIT

    public static final String DFS_BLOCK_MISREPLICATION_PROCESSING_LIMIT
    See Also:
      - Constant Field Values

  - ### DFS_BLOCK_MISREPLICATION_PROCESSING_LIMIT_DEFAULT

    public static final int DFS_BLOCK_MISREPLICATION_PROCESSING_LIMIT_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_OUTLIERS_REPORT_INTERVAL_KEY

    public static final String DFS_DATANODE_OUTLIERS_REPORT_INTERVAL_KEY
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_OUTLIERS_REPORT_INTERVAL_DEFAULT

    public static final String DFS_DATANODE_OUTLIERS_REPORT_INTERVAL_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_MAX_SLOWPEER_COLLECT_NODES_KEY

    public static final String DFS_NAMENODE_MAX_SLOWPEER_COLLECT_NODES_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_MAX_SLOWPEER_COLLECT_NODES_DEFAULT

    public static final int DFS_NAMENODE_MAX_SLOWPEER_COLLECT_NODES_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_SLOWPEER_COLLECT_INTERVAL_KEY

    public static final String DFS_NAMENODE_SLOWPEER_COLLECT_INTERVAL_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_SLOWPEER_COLLECT_INTERVAL_DEFAULT

    public static final String DFS_NAMENODE_SLOWPEER_COLLECT_INTERVAL_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_IMAGE_COMPRESS_KEY

    public static final String DFS_IMAGE_COMPRESS_KEY
    See Also:
      - Constant Field Values

  - ### DFS_IMAGE_COMPRESS_DEFAULT

    public static final boolean DFS_IMAGE_COMPRESS_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_IMAGE_COMPRESSION_CODEC_KEY

    public static final String DFS_IMAGE_COMPRESSION_CODEC_KEY
    See Also:
      - Constant Field Values

  - ### DFS_IMAGE_COMPRESSION_CODEC_DEFAULT

    public static final String DFS_IMAGE_COMPRESSION_CODEC_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_IMAGE_TRANSFER_RATE_KEY

    public static final String DFS_IMAGE_TRANSFER_RATE_KEY
    See Also:
      - Constant Field Values

  - ### DFS_IMAGE_TRANSFER_RATE_DEFAULT

    public static final long DFS_IMAGE_TRANSFER_RATE_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_IMAGE_TRANSFER_BOOTSTRAP_STANDBY_RATE_KEY

    public static final String DFS_IMAGE_TRANSFER_BOOTSTRAP_STANDBY_RATE_KEY
    See Also:
      - Constant Field Values

  - ### DFS_IMAGE_TRANSFER_BOOTSTRAP_STANDBY_RATE_DEFAULT

    public static final long DFS_IMAGE_TRANSFER_BOOTSTRAP_STANDBY_RATE_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_IMAGE_TRANSFER_TIMEOUT_KEY

    public static final String DFS_IMAGE_TRANSFER_TIMEOUT_KEY
    See Also:
      - Constant Field Values

  - ### DFS_IMAGE_TRANSFER_TIMEOUT_DEFAULT

    public static final int DFS_IMAGE_TRANSFER_TIMEOUT_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_IMAGE_TRANSFER_CHUNKSIZE_KEY

    public static final String DFS_IMAGE_TRANSFER_CHUNKSIZE_KEY
    See Also:
      - Constant Field Values

  - ### DFS_IMAGE_TRANSFER_CHUNKSIZE_DEFAULT

    public static final int DFS_IMAGE_TRANSFER_CHUNKSIZE_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_IMAGE_PARALLEL_LOAD_KEY

    public static final String DFS_IMAGE_PARALLEL_LOAD_KEY
    See Also:
      - Constant Field Values

  - ### DFS_IMAGE_PARALLEL_LOAD_DEFAULT

    public static final boolean DFS_IMAGE_PARALLEL_LOAD_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_IMAGE_PARALLEL_TARGET_SECTIONS_KEY

    public static final String DFS_IMAGE_PARALLEL_TARGET_SECTIONS_KEY
    See Also:
      - Constant Field Values

  - ### DFS_IMAGE_PARALLEL_TARGET_SECTIONS_DEFAULT

    public static final int DFS_IMAGE_PARALLEL_TARGET_SECTIONS_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_IMAGE_PARALLEL_INODE_THRESHOLD_KEY

    public static final String DFS_IMAGE_PARALLEL_INODE_THRESHOLD_KEY
    See Also:
      - Constant Field Values

  - ### DFS_IMAGE_PARALLEL_INODE_THRESHOLD_DEFAULT

    public static final int DFS_IMAGE_PARALLEL_INODE_THRESHOLD_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_IMAGE_PARALLEL_THREADS_KEY

    public static final String DFS_IMAGE_PARALLEL_THREADS_KEY
    See Also:
      - Constant Field Values

  - ### DFS_IMAGE_PARALLEL_THREADS_DEFAULT

    public static final int DFS_IMAGE_PARALLEL_THREADS_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_EDIT_LOG_TRANSFER_TIMEOUT_KEY

    public static final String DFS_EDIT_LOG_TRANSFER_TIMEOUT_KEY
    See Also:
      - Constant Field Values

  - ### DFS_EDIT_LOG_TRANSFER_TIMEOUT_DEFAULT

    public static final int DFS_EDIT_LOG_TRANSFER_TIMEOUT_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_EDIT_LOG_TRANSFER_RATE_KEY

    public static final String DFS_EDIT_LOG_TRANSFER_RATE_KEY
    See Also:
      - Constant Field Values

  - ### DFS_EDIT_LOG_TRANSFER_RATE_DEFAULT

    public static final long DFS_EDIT_LOG_TRANSFER_RATE_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_QJM_OPERATIONS_TIMEOUT

    public static final String DFS_QJM_OPERATIONS_TIMEOUT
    See Also:
      - Constant Field Values

  - ### DFS_QJM_OPERATIONS_TIMEOUT_DEFAULT

    public static final long DFS_QJM_OPERATIONS_TIMEOUT_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_ENABLE_FILEIO_FAULT_INJECTION_KEY

    public static final String DFS_DATANODE_ENABLE_FILEIO_FAULT_INJECTION_KEY
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_ENABLE_FILEIO_FAULT_INJECTION_DEFAULT

    public static final boolean DFS_DATANODE_ENABLE_FILEIO_FAULT_INJECTION_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_FILEIO_PROFILING_SAMPLING_PERCENTAGE_KEY

    public static final String DFS_DATANODE_FILEIO_PROFILING_SAMPLING_PERCENTAGE_KEY
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_FILEIO_PROFILING_SAMPLING_PERCENTAGE_DEFAULT

    public static final int DFS_DATANODE_FILEIO_PROFILING_SAMPLING_PERCENTAGE_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_PLUGINS_KEY

    public static final String DFS_DATANODE_PLUGINS_KEY
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_FSDATASET_FACTORY_KEY

    public static final String DFS_DATANODE_FSDATASET_FACTORY_KEY
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_FSDATASET_VOLUME_CHOOSING_POLICY_KEY

    public static final String DFS_DATANODE_FSDATASET_VOLUME_CHOOSING_POLICY_KEY
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_AVAILABLE_SPACE_VOLUME_CHOOSING_POLICY_BALANCED_SPACE_THRESHOLD_KEY

    public static final String DFS_DATANODE_AVAILABLE_SPACE_VOLUME_CHOOSING_POLICY_BALANCED_SPACE_THRESHOLD_KEY
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_AVAILABLE_SPACE_VOLUME_CHOOSING_POLICY_BALANCED_SPACE_THRESHOLD_DEFAULT

    public static final long DFS_DATANODE_AVAILABLE_SPACE_VOLUME_CHOOSING_POLICY_BALANCED_SPACE_THRESHOLD_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_AVAILABLE_SPACE_VOLUME_CHOOSING_POLICY_BALANCED_SPACE_PREFERENCE_FRACTION_KEY

    public static final String DFS_DATANODE_AVAILABLE_SPACE_VOLUME_CHOOSING_POLICY_BALANCED_SPACE_PREFERENCE_FRACTION_KEY
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_AVAILABLE_SPACE_VOLUME_CHOOSING_POLICY_BALANCED_SPACE_PREFERENCE_FRACTION_DEFAULT

    public static final float DFS_DATANODE_AVAILABLE_SPACE_VOLUME_CHOOSING_POLICY_BALANCED_SPACE_PREFERENCE_FRACTION_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_ROUND_ROBIN_VOLUME_CHOOSING_POLICY_ADDITIONAL_AVAILABLE_SPACE_KEY

    public static final String DFS_DATANODE_ROUND_ROBIN_VOLUME_CHOOSING_POLICY_ADDITIONAL_AVAILABLE_SPACE_KEY
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_ROUND_ROBIN_VOLUME_CHOOSING_POLICY_ADDITIONAL_AVAILABLE_SPACE_DEFAULT

    public static final long DFS_DATANODE_ROUND_ROBIN_VOLUME_CHOOSING_POLICY_ADDITIONAL_AVAILABLE_SPACE_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_SOCKET_WRITE_TIMEOUT_KEY

    public static final String DFS_DATANODE_SOCKET_WRITE_TIMEOUT_KEY
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_STARTUP_KEY

    public static final String DFS_DATANODE_STARTUP_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_PLUGINS_KEY

    public static final String DFS_NAMENODE_PLUGINS_KEY
    See Also:
      - Constant Field Values

  - ### DFS_WEB_UGI_KEY

    public static final String DFS_WEB_UGI_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_STARTUP_KEY

    public static final String DFS_NAMENODE_STARTUP_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_OBSERVER_ENABLED_KEY

    public static final String DFS_NAMENODE_OBSERVER_ENABLED_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_OBSERVER_ENABLED_DEFAULT

    public static final boolean DFS_NAMENODE_OBSERVER_ENABLED_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_KEYTAB_FILE_KEY

    public static final String DFS_DATANODE_KEYTAB_FILE_KEY
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_KERBEROS_PRINCIPAL_KEY

    public static final String DFS_DATANODE_KERBEROS_PRINCIPAL_KEY
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_USER_NAME_KEY

    @Deprecated public static final String DFS_DATANODE_USER_NAME_KEY
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_SHARED_FILE_DESCRIPTOR_PATHS

    public static final String DFS_DATANODE_SHARED_FILE_DESCRIPTOR_PATHS
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_SHARED_FILE_DESCRIPTOR_PATHS_DEFAULT

    public static final String DFS_DATANODE_SHARED_FILE_DESCRIPTOR_PATHS_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_SHORT_CIRCUIT_SHARED_MEMORY_WATCHER_INTERRUPT_CHECK_MS

    public static final String DFS_SHORT_CIRCUIT_SHARED_MEMORY_WATCHER_INTERRUPT_CHECK_MS
    See Also:
      - Constant Field Values

  - ### DFS_SHORT_CIRCUIT_SHARED_MEMORY_WATCHER_INTERRUPT_CHECK_MS_DEFAULT

    public static final int DFS_SHORT_CIRCUIT_SHARED_MEMORY_WATCHER_INTERRUPT_CHECK_MS_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_KEYTAB_FILE_KEY

    public static final String DFS_NAMENODE_KEYTAB_FILE_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_KERBEROS_PRINCIPAL_KEY

    public static final String DFS_NAMENODE_KERBEROS_PRINCIPAL_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_USER_NAME_KEY

    @Deprecated public static final String DFS_NAMENODE_USER_NAME_KEY
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_KERBEROS_INTERNAL_SPNEGO_PRINCIPAL_KEY

    public static final String DFS_NAMENODE_KERBEROS_INTERNAL_SPNEGO_PRINCIPAL_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_INTERNAL_SPNEGO_USER_NAME_KEY

    @Deprecated public static final String DFS_NAMENODE_INTERNAL_SPNEGO_USER_NAME_KEY
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_SECONDARY_NAMENODE_KEYTAB_FILE_KEY

    public static final String DFS_SECONDARY_NAMENODE_KEYTAB_FILE_KEY
    See Also:
      - Constant Field Values

  - ### DFS_SECONDARY_NAMENODE_KERBEROS_PRINCIPAL_KEY

    public static final String DFS_SECONDARY_NAMENODE_KERBEROS_PRINCIPAL_KEY
    See Also:
      - Constant Field Values

  - ### DFS_SECONDARY_NAMENODE_USER_NAME_KEY

    @Deprecated public static final String DFS_SECONDARY_NAMENODE_USER_NAME_KEY
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_SECONDARY_NAMENODE_KERBEROS_INTERNAL_SPNEGO_PRINCIPAL_KEY

    public static final String DFS_SECONDARY_NAMENODE_KERBEROS_INTERNAL_SPNEGO_PRINCIPAL_KEY
    See Also:
      - Constant Field Values

  - ### DFS_SECONDARY_NAMENODE_INTERNAL_SPNEGO_USER_NAME_KEY

    @Deprecated public static final String DFS_SECONDARY_NAMENODE_INTERNAL_SPNEGO_USER_NAME_KEY
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_NAME_CACHE_THRESHOLD_KEY

    public static final String DFS_NAMENODE_NAME_CACHE_THRESHOLD_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_NAME_CACHE_THRESHOLD_DEFAULT

    public static final int DFS_NAMENODE_NAME_CACHE_THRESHOLD_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_LEGACY_OIV_IMAGE_DIR_KEY

    public static final String DFS_NAMENODE_LEGACY_OIV_IMAGE_DIR_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMESERVICES

    public static final String DFS_NAMESERVICES
    See Also:
      - Constant Field Values

  - ### DFS_NAMESERVICE_ID

    public static final String DFS_NAMESERVICE_ID
    See Also:
      - Constant Field Values

  - ### DFS_INTERNAL_NAMESERVICES_KEY

    public static final String DFS_INTERNAL_NAMESERVICES_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_RESOURCE_CHECK_INTERVAL_KEY

    public static final String DFS_NAMENODE_RESOURCE_CHECK_INTERVAL_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_RESOURCE_CHECK_INTERVAL_DEFAULT

    public static final int DFS_NAMENODE_RESOURCE_CHECK_INTERVAL_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_DU_RESERVED_KEY

    public static final String DFS_NAMENODE_DU_RESERVED_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_DU_RESERVED_DEFAULT

    public static final long DFS_NAMENODE_DU_RESERVED_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_CHECKED_VOLUMES_KEY

    public static final String DFS_NAMENODE_CHECKED_VOLUMES_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_CHECKED_VOLUMES_MINIMUM_KEY

    public static final String DFS_NAMENODE_CHECKED_VOLUMES_MINIMUM_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_CHECKED_VOLUMES_MINIMUM_DEFAULT

    public static final int DFS_NAMENODE_CHECKED_VOLUMES_MINIMUM_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_WEB_AUTHENTICATION_SIMPLE_ANONYMOUS_ALLOWED

    public static final String DFS_WEB_AUTHENTICATION_SIMPLE_ANONYMOUS_ALLOWED
    See Also:
      - Constant Field Values

  - ### DFS_WEB_AUTHENTICATION_KERBEROS_PRINCIPAL_KEY

    public static final String DFS_WEB_AUTHENTICATION_KERBEROS_PRINCIPAL_KEY
    See Also:
      - Constant Field Values

  - ### DFS_WEB_AUTHENTICATION_KERBEROS_KEYTAB_KEY

    public static final String DFS_WEB_AUTHENTICATION_KERBEROS_KEYTAB_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_MAX_OP_SIZE_KEY

    public static final String DFS_NAMENODE_MAX_OP_SIZE_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_MAX_OP_SIZE_DEFAULT

    public static final int DFS_NAMENODE_MAX_OP_SIZE_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_AVAILABLE_SPACE_BLOCK_PLACEMENT_POLICY_BALANCED_SPACE_PREFERENCE_FRACTION_KEY

    public static final String DFS_NAMENODE_AVAILABLE_SPACE_BLOCK_PLACEMENT_POLICY_BALANCED_SPACE_PREFERENCE_FRACTION_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_AVAILABLE_SPACE_BLOCK_PLACEMENT_POLICY_BALANCED_SPACE_PREFERENCE_FRACTION_DEFAULT

    public static final float DFS_NAMENODE_AVAILABLE_SPACE_BLOCK_PLACEMENT_POLICY_BALANCED_SPACE_PREFERENCE_FRACTION_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_AVAILABLE_SPACE_BLOCK_PLACEMENT_POLICY_BALANCED_SPACE_TOLERANCE_KEY

    public static final String DFS_NAMENODE_AVAILABLE_SPACE_BLOCK_PLACEMENT_POLICY_BALANCED_SPACE_TOLERANCE_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_AVAILABLE_SPACE_BLOCK_PLACEMENT_POLICY_BALANCED_SPACE_TOLERANCE_DEFAULT

    public static final int DFS_NAMENODE_AVAILABLE_SPACE_BLOCK_PLACEMENT_POLICY_BALANCED_SPACE_TOLERANCE_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_AVAILABLE_SPACE_BLOCK_PLACEMENT_POLICY_BALANCED_SPACE_TOLERANCE_LIMIT_KEY

    public static final String DFS_NAMENODE_AVAILABLE_SPACE_BLOCK_PLACEMENT_POLICY_BALANCED_SPACE_TOLERANCE_LIMIT_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_AVAILABLE_SPACE_BLOCK_PLACEMENT_POLICY_BALANCED_SPACE_TOLERANCE_LIMIT_DEFAULT

    public static final int DFS_NAMENODE_AVAILABLE_SPACE_BLOCK_PLACEMENT_POLICY_BALANCED_SPACE_TOLERANCE_LIMIT_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_AVAILABLE_SPACE_RACK_FAULT_TOLERANT_BLOCK_PLACEMENT_POLICY_BALANCED_SPACE_PREFERENCE_FRACTION_KEY

    public static final String DFS_NAMENODE_AVAILABLE_SPACE_RACK_FAULT_TOLERANT_BLOCK_PLACEMENT_POLICY_BALANCED_SPACE_PREFERENCE_FRACTION_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_AVAILABLE_SPACE_BLOCK_RACK_FAULT_TOLERANT_PLACEMENT_POLICY_BALANCED_SPACE_PREFERENCE_FRACTION_DEFAULT

    public static final float DFS_NAMENODE_AVAILABLE_SPACE_BLOCK_RACK_FAULT_TOLERANT_PLACEMENT_POLICY_BALANCED_SPACE_PREFERENCE_FRACTION_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_AVAILABLE_SPACE_RACK_FAULT_TOLERANT_BLOCK_PLACEMENT_POLICY_BALANCED_SPACE_TOLERANCE_KEY

    public static final String DFS_NAMENODE_AVAILABLE_SPACE_RACK_FAULT_TOLERANT_BLOCK_PLACEMENT_POLICY_BALANCED_SPACE_TOLERANCE_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_AVAILABLE_SPACE_BLOCK_RACK_FAULT_TOLERANT_PLACEMENT_POLICY_BALANCED_SPACE_TOLERANCE_DEFAULT

    public static final int DFS_NAMENODE_AVAILABLE_SPACE_BLOCK_RACK_FAULT_TOLERANT_PLACEMENT_POLICY_BALANCED_SPACE_TOLERANCE_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_AVAILABLE_SPACE_BLOCK_PLACEMENT_POLICY_BALANCE_LOCAL_NODE_KEY

    public static final String DFS_NAMENODE_AVAILABLE_SPACE_BLOCK_PLACEMENT_POLICY_BALANCE_LOCAL_NODE_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_AVAILABLE_SPACE_BLOCK_PLACEMENT_POLICY_BALANCE_LOCAL_NODE_DEFAULT

    public static final boolean DFS_NAMENODE_AVAILABLE_SPACE_BLOCK_PLACEMENT_POLICY_BALANCE_LOCAL_NODE_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_BLOCKPLACEMENTPOLICY_DEFAULT_PREFER_LOCAL_NODE_KEY

    public static final String DFS_NAMENODE_BLOCKPLACEMENTPOLICY_DEFAULT_PREFER_LOCAL_NODE_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_BLOCKPLACEMENTPOLICY_DEFAULT_PREFER_LOCAL_NODE_DEFAULT

    public static final boolean DFS_NAMENODE_BLOCKPLACEMENTPOLICY_DEFAULT_PREFER_LOCAL_NODE_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_BLOCKPLACEMENTPOLICY_EXCLUDE_SLOW_NODES_ENABLED_KEY

    public static final String DFS_NAMENODE_BLOCKPLACEMENTPOLICY_EXCLUDE_SLOW_NODES_ENABLED_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_BLOCKPLACEMENTPOLICY_EXCLUDE_SLOW_NODES_ENABLED_DEFAULT

    public static final boolean DFS_NAMENODE_BLOCKPLACEMENTPOLICY_EXCLUDE_SLOW_NODES_ENABLED_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_BLOCKPLACEMENTPOLICY_MIN_BLOCKS_FOR_WRITE_KEY

    public static final String DFS_NAMENODE_BLOCKPLACEMENTPOLICY_MIN_BLOCKS_FOR_WRITE_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_BLOCKPLACEMENTPOLICY_MIN_BLOCKS_FOR_WRITE_DEFAULT

    public static final int DFS_NAMENODE_BLOCKPLACEMENTPOLICY_MIN_BLOCKS_FOR_WRITE_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_GC_TIME_MONITOR_ENABLE

    public static final String DFS_NAMENODE_GC_TIME_MONITOR_ENABLE
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_GC_TIME_MONITOR_ENABLE_DEFAULT

    public static final boolean DFS_NAMENODE_GC_TIME_MONITOR_ENABLE_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_GC_TIME_MONITOR_OBSERVATION_WINDOW_MS

    public static final String DFS_NAMENODE_GC_TIME_MONITOR_OBSERVATION_WINDOW_MS
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_GC_TIME_MONITOR_OBSERVATION_WINDOW_MS_DEFAULT

    public static final long DFS_NAMENODE_GC_TIME_MONITOR_OBSERVATION_WINDOW_MS_DEFAULT

  - ### DFS_NAMENODE_GC_TIME_MONITOR_SLEEP_INTERVAL_MS

    public static final String DFS_NAMENODE_GC_TIME_MONITOR_SLEEP_INTERVAL_MS
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_GC_TIME_MONITOR_SLEEP_INTERVAL_MS_DEFAULT

    public static final long DFS_NAMENODE_GC_TIME_MONITOR_SLEEP_INTERVAL_MS_DEFAULT

  - ### DFS_BLOCK_LOCAL_PATH_ACCESS_USER_KEY

    public static final String DFS_BLOCK_LOCAL_PATH_ACCESS_USER_KEY
    See Also:
      - Constant Field Values

  - ### DFS_DOMAIN_SOCKET_PATH_KEY

    public static final String DFS_DOMAIN_SOCKET_PATH_KEY
    See Also:
      - Constant Field Values

  - ### DFS_DOMAIN_SOCKET_PATH_DEFAULT

    public static final String DFS_DOMAIN_SOCKET_PATH_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_STORAGE_POLICY_ENABLED_KEY

    public static final String DFS_STORAGE_POLICY_ENABLED_KEY
    See Also:
      - Constant Field Values

  - ### DFS_STORAGE_POLICY_ENABLED_DEFAULT

    public static final boolean DFS_STORAGE_POLICY_ENABLED_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_STORAGE_POLICY_PERMISSIONS_SUPERUSER_ONLY_KEY

    public static final String DFS_STORAGE_POLICY_PERMISSIONS_SUPERUSER_ONLY_KEY
    See Also:
      - Constant Field Values

  - ### DFS_STORAGE_POLICY_PERMISSIONS_SUPERUSER_ONLY_DEFAULT

    public static final boolean DFS_STORAGE_POLICY_PERMISSIONS_SUPERUSER_ONLY_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_QUOTA_BY_STORAGETYPE_ENABLED_KEY

    public static final String DFS_QUOTA_BY_STORAGETYPE_ENABLED_KEY
    See Also:
      - Constant Field Values

  - ### DFS_QUOTA_BY_STORAGETYPE_ENABLED_DEFAULT

    public static final boolean DFS_QUOTA_BY_STORAGETYPE_ENABLED_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_HA_NAMENODES_KEY_PREFIX

    public static final String DFS_HA_NAMENODES_KEY_PREFIX
    See Also:
      - Constant Field Values

  - ### DFS_HA_NAMENODE_ID_KEY

    public static final String DFS_HA_NAMENODE_ID_KEY
    See Also:
      - Constant Field Values

  - ### DFS_HA_STANDBY_CHECKPOINTS_KEY

    public static final String DFS_HA_STANDBY_CHECKPOINTS_KEY
    See Also:
      - Constant Field Values

  - ### DFS_HA_STANDBY_CHECKPOINTS_DEFAULT

    public static final boolean DFS_HA_STANDBY_CHECKPOINTS_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_HA_LOGROLL_PERIOD_KEY

    public static final String DFS_HA_LOGROLL_PERIOD_KEY
    See Also:
      - Constant Field Values

  - ### DFS_HA_LOGROLL_PERIOD_DEFAULT

    public static final int DFS_HA_LOGROLL_PERIOD_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_HA_TAILEDITS_PERIOD_KEY

    public static final String DFS_HA_TAILEDITS_PERIOD_KEY
    See Also:
      - Constant Field Values

  - ### DFS_HA_TAILEDITS_PERIOD_DEFAULT

    public static final int DFS_HA_TAILEDITS_PERIOD_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_HA_TAILEDITS_PERIOD_BACKOFF_MAX_KEY

    public static final String DFS_HA_TAILEDITS_PERIOD_BACKOFF_MAX_KEY
    See Also:
      - Constant Field Values

  - ### DFS_HA_TAILEDITS_PERIOD_BACKOFF_MAX_DEFAULT

    public static final int DFS_HA_TAILEDITS_PERIOD_BACKOFF_MAX_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_HA_TAILEDITS_ALL_NAMESNODES_RETRY_KEY

    public static final String DFS_HA_TAILEDITS_ALL_NAMESNODES_RETRY_KEY
    See Also:
      - Constant Field Values

  - ### DFS_HA_TAILEDITS_ALL_NAMESNODES_RETRY_DEFAULT

    public static final int DFS_HA_TAILEDITS_ALL_NAMESNODES_RETRY_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_HA_TAILEDITS_INPROGRESS_KEY

    public static final String DFS_HA_TAILEDITS_INPROGRESS_KEY
    See Also:
      - Constant Field Values

  - ### DFS_HA_TAILEDITS_INPROGRESS_DEFAULT

    public static final boolean DFS_HA_TAILEDITS_INPROGRESS_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_HA_TAILEDITS_ROLLEDITS_TIMEOUT_KEY

    public static final String DFS_HA_TAILEDITS_ROLLEDITS_TIMEOUT_KEY
    See Also:
      - Constant Field Values

  - ### DFS_HA_TAILEDITS_ROLLEDITS_TIMEOUT_DEFAULT

    public static final int DFS_HA_TAILEDITS_ROLLEDITS_TIMEOUT_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_HA_LOGROLL_RPC_TIMEOUT_KEY

    public static final String DFS_HA_LOGROLL_RPC_TIMEOUT_KEY
    See Also:
      - Constant Field Values

  - ### DFS_HA_LOGROLL_RPC_TIMEOUT_DEFAULT

    public static final int DFS_HA_LOGROLL_RPC_TIMEOUT_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_HA_FENCE_METHODS_KEY

    public static final String DFS_HA_FENCE_METHODS_KEY
    See Also:
      - Constant Field Values

  - ### DFS_HA_AUTO_FAILOVER_ENABLED_KEY

    public static final String DFS_HA_AUTO_FAILOVER_ENABLED_KEY
    See Also:
      - Constant Field Values

  - ### DFS_HA_AUTO_FAILOVER_ENABLED_DEFAULT

    public static final boolean DFS_HA_AUTO_FAILOVER_ENABLED_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_HA_ZKFC_PORT_KEY

    public static final String DFS_HA_ZKFC_PORT_KEY
    See Also:
      - Constant Field Values

  - ### DFS_HA_ZKFC_PORT_DEFAULT

    public static final int DFS_HA_ZKFC_PORT_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_HA_ZKFC_NN_HTTP_TIMEOUT_KEY

    public static final String DFS_HA_ZKFC_NN_HTTP_TIMEOUT_KEY
    See Also:
      - Constant Field Values

  - ### DFS_HA_ZKFC_NN_HTTP_TIMEOUT_KEY_DEFAULT

    public static final int DFS_HA_ZKFC_NN_HTTP_TIMEOUT_KEY_DEFAULT
    See Also:
      - Constant Field Values

  - ### ZK_CLIENT_SSL_ENABLED

    public static final String ZK_CLIENT_SSL_ENABLED
    Enable Zookeeper SSL/TLS communication.
    See Also:
      - Constant Field Values

  - ### DEFAULT_ZK_CLIENT_SSL_ENABLED

    public static final boolean DEFAULT_ZK_CLIENT_SSL_ENABLED
    See Also:
      - Constant Field Values

  - ### DFS_HA_NN_NOT_BECOME_ACTIVE_IN_SAFEMODE

    public static final String DFS_HA_NN_NOT_BECOME_ACTIVE_IN_SAFEMODE
    See Also:
      - Constant Field Values

  - ### DFS_HA_NN_NOT_BECOME_ACTIVE_IN_SAFEMODE_DEFAULT

    public static final boolean DFS_HA_NN_NOT_BECOME_ACTIVE_IN_SAFEMODE_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_HA_ALLOW_STALE_READ_KEY

    public static final String DFS_HA_ALLOW_STALE_READ_KEY
    See Also:
      - Constant Field Values

  - ### DFS_HA_ALLOW_STALE_READ_DEFAULT

    public static final boolean DFS_HA_ALLOW_STALE_READ_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_ENCRYPT_DATA_TRANSFER_KEY

    public static final String DFS_ENCRYPT_DATA_TRANSFER_KEY
    See Also:
      - Constant Field Values

  - ### DFS_ENCRYPT_DATA_OVERWRITE_DOWNSTREAM_DERIVED_QOP_KEY

    public static final String DFS_ENCRYPT_DATA_OVERWRITE_DOWNSTREAM_DERIVED_QOP_KEY
    See Also:
      - Constant Field Values

  - ### DFS_ENCRYPT_DATA_OVERWRITE_DOWNSTREAM_DERIVED_QOP_DEFAULT

    public static final boolean DFS_ENCRYPT_DATA_OVERWRITE_DOWNSTREAM_DERIVED_QOP_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_ENCRYPT_DATA_TRANSFER_DEFAULT

    public static final boolean DFS_ENCRYPT_DATA_TRANSFER_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_XFRAME_OPTION_ENABLED

    public static final String DFS_XFRAME_OPTION_ENABLED
    See Also:
      - Constant Field Values

  - ### DFS_XFRAME_OPTION_ENABLED_DEFAULT

    public static final boolean DFS_XFRAME_OPTION_ENABLED_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_XFRAME_OPTION_VALUE

    public static final String DFS_XFRAME_OPTION_VALUE
    See Also:
      - Constant Field Values

  - ### DFS_XFRAME_OPTION_VALUE_DEFAULT

    public static final String DFS_XFRAME_OPTION_VALUE_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_ENCRYPT_DATA_TRANSFER_CIPHER_KEY_BITLENGTH_KEY

    @Deprecated public static final String DFS_ENCRYPT_DATA_TRANSFER_CIPHER_KEY_BITLENGTH_KEY
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_ENCRYPT_DATA_TRANSFER_CIPHER_KEY_BITLENGTH_DEFAULT

    @Deprecated public static final int DFS_ENCRYPT_DATA_TRANSFER_CIPHER_KEY_BITLENGTH_DEFAULT
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_ENCRYPT_DATA_TRANSFER_CIPHER_SUITES_KEY

    @Deprecated public static final String DFS_ENCRYPT_DATA_TRANSFER_CIPHER_SUITES_KEY
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_DATA_ENCRYPTION_ALGORITHM_KEY

    public static final String DFS_DATA_ENCRYPTION_ALGORITHM_KEY
    See Also:
      - Constant Field Values

  - ### DFS_TRUSTEDCHANNEL_RESOLVER_CLASS

    @Deprecated public static final String DFS_TRUSTEDCHANNEL_RESOLVER_CLASS
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_DATA_TRANSFER_PROTECTION_KEY

    @Deprecated public static final String DFS_DATA_TRANSFER_PROTECTION_KEY
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_DATA_TRANSFER_PROTECTION_DEFAULT

    @Deprecated public static final String DFS_DATA_TRANSFER_PROTECTION_DEFAULT
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_DATA_TRANSFER_SASL_PROPS_RESOLVER_CLASS_KEY

    @Deprecated public static final String DFS_DATA_TRANSFER_SASL_PROPS_RESOLVER_CLASS_KEY
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_LIST_ENCRYPTION_ZONES_NUM_RESPONSES_DEFAULT

    public static final int DFS_NAMENODE_LIST_ENCRYPTION_ZONES_NUM_RESPONSES_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_LIST_ENCRYPTION_ZONES_NUM_RESPONSES

    public static final String DFS_NAMENODE_LIST_ENCRYPTION_ZONES_NUM_RESPONSES
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_LIST_REENCRYPTION_STATUS_NUM_RESPONSES_DEFAULT

    public static final int DFS_NAMENODE_LIST_REENCRYPTION_STATUS_NUM_RESPONSES_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_LIST_REENCRYPTION_STATUS_NUM_RESPONSES_KEY

    public static final String DFS_NAMENODE_LIST_REENCRYPTION_STATUS_NUM_RESPONSES_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_LIST_OPENFILES_NUM_RESPONSES

    public static final String DFS_NAMENODE_LIST_OPENFILES_NUM_RESPONSES
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_LIST_OPENFILES_NUM_RESPONSES_DEFAULT

    public static final int DFS_NAMENODE_LIST_OPENFILES_NUM_RESPONSES_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_EDEKCACHELOADER_INTERVAL_MS_KEY

    public static final String DFS_NAMENODE_EDEKCACHELOADER_INTERVAL_MS_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_EDEKCACHELOADER_INTERVAL_MS_DEFAULT

    public static final int DFS_NAMENODE_EDEKCACHELOADER_INTERVAL_MS_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_EDEKCACHELOADER_INITIAL_DELAY_MS_KEY

    public static final String DFS_NAMENODE_EDEKCACHELOADER_INITIAL_DELAY_MS_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_EDEKCACHELOADER_INITIAL_DELAY_MS_DEFAULT

    public static final int DFS_NAMENODE_EDEKCACHELOADER_INITIAL_DELAY_MS_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_EDEKCACHELOADER_MAX_RETRIES_KEY

    public static final String DFS_NAMENODE_EDEKCACHELOADER_MAX_RETRIES_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_EDEKCACHELOADER_MAX_RETRIES_DEFAULT

    public static final int DFS_NAMENODE_EDEKCACHELOADER_MAX_RETRIES_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_REENCRYPT_SLEEP_INTERVAL_KEY

    public static final String DFS_NAMENODE_REENCRYPT_SLEEP_INTERVAL_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_REENCRYPT_SLEEP_INTERVAL_DEFAULT

    public static final String DFS_NAMENODE_REENCRYPT_SLEEP_INTERVAL_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_REENCRYPT_BATCH_SIZE_KEY

    public static final String DFS_NAMENODE_REENCRYPT_BATCH_SIZE_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_REENCRYPT_BATCH_SIZE_DEFAULT

    public static final int DFS_NAMENODE_REENCRYPT_BATCH_SIZE_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_REENCRYPT_THROTTLE_LIMIT_HANDLER_RATIO_KEY

    public static final String DFS_NAMENODE_REENCRYPT_THROTTLE_LIMIT_HANDLER_RATIO_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_REENCRYPT_THROTTLE_LIMIT_HANDLER_RATIO_DEFAULT

    public static final double DFS_NAMENODE_REENCRYPT_THROTTLE_LIMIT_HANDLER_RATIO_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_REENCRYPT_THROTTLE_LIMIT_UPDATER_RATIO_KEY

    public static final String DFS_NAMENODE_REENCRYPT_THROTTLE_LIMIT_UPDATER_RATIO_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_REENCRYPT_THROTTLE_LIMIT_UPDATER_RATIO_DEFAULT

    public static final double DFS_NAMENODE_REENCRYPT_THROTTLE_LIMIT_UPDATER_RATIO_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_REENCRYPT_EDEK_THREADS_KEY

    public static final String DFS_NAMENODE_REENCRYPT_EDEK_THREADS_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_REENCRYPT_EDEK_THREADS_DEFAULT

    public static final int DFS_NAMENODE_REENCRYPT_EDEK_THREADS_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_JOURNALNODE_EDITS_DIR_KEY

    public static final String DFS_JOURNALNODE_EDITS_DIR_KEY
    See Also:
      - Constant Field Values

  - ### DFS_JOURNALNODE_EDITS_DIR_DEFAULT

    public static final String DFS_JOURNALNODE_EDITS_DIR_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_JOURNALNODE_RPC_ADDRESS_KEY

    public static final String DFS_JOURNALNODE_RPC_ADDRESS_KEY
    See Also:
      - Constant Field Values

  - ### DFS_JOURNALNODE_RPC_PORT_DEFAULT

    public static final int DFS_JOURNALNODE_RPC_PORT_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_JOURNALNODE_RPC_BIND_HOST_KEY

    public static final String DFS_JOURNALNODE_RPC_BIND_HOST_KEY
    See Also:
      - Constant Field Values

  - ### DFS_JOURNALNODE_RPC_ADDRESS_DEFAULT

    public static final String DFS_JOURNALNODE_RPC_ADDRESS_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_JOURNAL_EDITS_DIR_PERMISSION_KEY

    public static final String DFS_JOURNAL_EDITS_DIR_PERMISSION_KEY
    See Also:
      - Constant Field Values

  - ### DFS_JOURNAL_EDITS_DIR_PERMISSION_DEFAULT

    public static final String DFS_JOURNAL_EDITS_DIR_PERMISSION_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_JOURNALNODE_HANDLER_COUNT_KEY

    public static final String DFS_JOURNALNODE_HANDLER_COUNT_KEY
    See Also:
      - Constant Field Values

  - ### DFS_JOURNALNODE_HANDLER_COUNT_DEFAULT

    public static final int DFS_JOURNALNODE_HANDLER_COUNT_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_JOURNALNODE_HTTP_ADDRESS_KEY

    public static final String DFS_JOURNALNODE_HTTP_ADDRESS_KEY
    See Also:
      - Constant Field Values

  - ### DFS_JOURNALNODE_HTTP_PORT_DEFAULT

    public static final int DFS_JOURNALNODE_HTTP_PORT_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_JOURNALNODE_HTTP_BIND_HOST_KEY

    public static final String DFS_JOURNALNODE_HTTP_BIND_HOST_KEY
    See Also:
      - Constant Field Values

  - ### DFS_JOURNALNODE_HTTP_ADDRESS_DEFAULT

    public static final String DFS_JOURNALNODE_HTTP_ADDRESS_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_JOURNALNODE_HTTPS_ADDRESS_KEY

    public static final String DFS_JOURNALNODE_HTTPS_ADDRESS_KEY
    See Also:
      - Constant Field Values

  - ### DFS_JOURNALNODE_HTTPS_PORT_DEFAULT

    public static final int DFS_JOURNALNODE_HTTPS_PORT_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_JOURNALNODE_HTTPS_BIND_HOST_KEY

    public static final String DFS_JOURNALNODE_HTTPS_BIND_HOST_KEY
    See Also:
      - Constant Field Values

  - ### DFS_JOURNALNODE_HTTPS_ADDRESS_DEFAULT

    public static final String DFS_JOURNALNODE_HTTPS_ADDRESS_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_JOURNALNODE_KEYTAB_FILE_KEY

    public static final String DFS_JOURNALNODE_KEYTAB_FILE_KEY
    See Also:
      - Constant Field Values

  - ### DFS_JOURNALNODE_KERBEROS_PRINCIPAL_KEY

    public static final String DFS_JOURNALNODE_KERBEROS_PRINCIPAL_KEY
    See Also:
      - Constant Field Values

  - ### DFS_JOURNALNODE_KERBEROS_INTERNAL_SPNEGO_PRINCIPAL_KEY

    public static final String DFS_JOURNALNODE_KERBEROS_INTERNAL_SPNEGO_PRINCIPAL_KEY
    See Also:
      - Constant Field Values

  - ### DFS_JOURNALNODE_ENABLE_SYNC_KEY

    public static final String DFS_JOURNALNODE_ENABLE_SYNC_KEY
    See Also:
      - Constant Field Values

  - ### DFS_JOURNALNODE_ENABLE_SYNC_DEFAULT

    public static final boolean DFS_JOURNALNODE_ENABLE_SYNC_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_JOURNALNODE_SYNC_INTERVAL_KEY

    public static final String DFS_JOURNALNODE_SYNC_INTERVAL_KEY
    See Also:
      - Constant Field Values

  - ### DFS_JOURNALNODE_SYNC_INTERVAL_DEFAULT

    public static final long DFS_JOURNALNODE_SYNC_INTERVAL_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_JOURNALNODE_ENABLE_SYNC_FORMAT_KEY

    public static final String DFS_JOURNALNODE_ENABLE_SYNC_FORMAT_KEY
    See Also:
      - Constant Field Values

  - ### DFS_JOURNALNODE_ENABLE_SYNC_FORMAT_DEFAULT

    public static final boolean DFS_JOURNALNODE_ENABLE_SYNC_FORMAT_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_JOURNALNODE_EDIT_CACHE_SIZE_KEY

    public static final String DFS_JOURNALNODE_EDIT_CACHE_SIZE_KEY
    See Also:
      - Constant Field Values

  - ### DFS_JOURNALNODE_EDIT_CACHE_SIZE_FRACTION_KEY

    public static final String DFS_JOURNALNODE_EDIT_CACHE_SIZE_FRACTION_KEY
    See Also:
      - Constant Field Values

  - ### DFS_JOURNALNODE_EDIT_CACHE_SIZE_FRACTION_DEFAULT

    public static final float DFS_JOURNALNODE_EDIT_CACHE_SIZE_FRACTION_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_QJOURNAL_QUEUE_SIZE_LIMIT_KEY

    public static final String DFS_QJOURNAL_QUEUE_SIZE_LIMIT_KEY
    See Also:
      - Constant Field Values

  - ### DFS_QJOURNAL_QUEUE_SIZE_LIMIT_DEFAULT

    public static final int DFS_QJOURNAL_QUEUE_SIZE_LIMIT_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_QJOURNAL_START_SEGMENT_TIMEOUT_KEY

    public static final String DFS_QJOURNAL_START_SEGMENT_TIMEOUT_KEY
    See Also:
      - Constant Field Values

  - ### DFS_QJOURNAL_PREPARE_RECOVERY_TIMEOUT_KEY

    public static final String DFS_QJOURNAL_PREPARE_RECOVERY_TIMEOUT_KEY
    See Also:
      - Constant Field Values

  - ### DFS_QJOURNAL_ACCEPT_RECOVERY_TIMEOUT_KEY

    public static final String DFS_QJOURNAL_ACCEPT_RECOVERY_TIMEOUT_KEY
    See Also:
      - Constant Field Values

  - ### DFS_QJOURNAL_FINALIZE_SEGMENT_TIMEOUT_KEY

    public static final String DFS_QJOURNAL_FINALIZE_SEGMENT_TIMEOUT_KEY
    See Also:
      - Constant Field Values

  - ### DFS_QJOURNAL_SELECT_INPUT_STREAMS_TIMEOUT_KEY

    public static final String DFS_QJOURNAL_SELECT_INPUT_STREAMS_TIMEOUT_KEY
    See Also:
      - Constant Field Values

  - ### DFS_QJOURNAL_GET_JOURNAL_STATE_TIMEOUT_KEY

    public static final String DFS_QJOURNAL_GET_JOURNAL_STATE_TIMEOUT_KEY
    See Also:
      - Constant Field Values

  - ### DFS_QJOURNAL_NEW_EPOCH_TIMEOUT_KEY

    public static final String DFS_QJOURNAL_NEW_EPOCH_TIMEOUT_KEY
    See Also:
      - Constant Field Values

  - ### DFS_QJOURNAL_WRITE_TXNS_TIMEOUT_KEY

    public static final String DFS_QJOURNAL_WRITE_TXNS_TIMEOUT_KEY
    See Also:
      - Constant Field Values

  - ### DFS_QJOURNAL_HTTP_OPEN_TIMEOUT_KEY

    public static final String DFS_QJOURNAL_HTTP_OPEN_TIMEOUT_KEY
    See Also:
      - Constant Field Values

  - ### DFS_QJOURNAL_HTTP_READ_TIMEOUT_KEY

    public static final String DFS_QJOURNAL_HTTP_READ_TIMEOUT_KEY
    See Also:
      - Constant Field Values

  - ### DFS_QJOURNAL_PARALLEL_READ_NUM_THREADS_KEY

    public static final String DFS_QJOURNAL_PARALLEL_READ_NUM_THREADS_KEY
    See Also:
      - Constant Field Values

  - ### DFS_QJOURNAL_START_SEGMENT_TIMEOUT_DEFAULT

    public static final int DFS_QJOURNAL_START_SEGMENT_TIMEOUT_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_QJOURNAL_PREPARE_RECOVERY_TIMEOUT_DEFAULT

    public static final int DFS_QJOURNAL_PREPARE_RECOVERY_TIMEOUT_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_QJOURNAL_ACCEPT_RECOVERY_TIMEOUT_DEFAULT

    public static final int DFS_QJOURNAL_ACCEPT_RECOVERY_TIMEOUT_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_QJOURNAL_FINALIZE_SEGMENT_TIMEOUT_DEFAULT

    public static final int DFS_QJOURNAL_FINALIZE_SEGMENT_TIMEOUT_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_QJOURNAL_SELECT_INPUT_STREAMS_TIMEOUT_DEFAULT

    public static final int DFS_QJOURNAL_SELECT_INPUT_STREAMS_TIMEOUT_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_QJOURNAL_GET_JOURNAL_STATE_TIMEOUT_DEFAULT

    public static final int DFS_QJOURNAL_GET_JOURNAL_STATE_TIMEOUT_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_QJOURNAL_NEW_EPOCH_TIMEOUT_DEFAULT

    public static final int DFS_QJOURNAL_NEW_EPOCH_TIMEOUT_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_QJOURNAL_WRITE_TXNS_TIMEOUT_DEFAULT

    public static final int DFS_QJOURNAL_WRITE_TXNS_TIMEOUT_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_QJOURNAL_HTTP_OPEN_TIMEOUT_DEFAULT

    public static final int DFS_QJOURNAL_HTTP_OPEN_TIMEOUT_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_QJOURNAL_HTTP_READ_TIMEOUT_DEFAULT

    public static final int DFS_QJOURNAL_HTTP_READ_TIMEOUT_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_QJOURNAL_PARALLEL_READ_NUM_THREADS_DEFAULT

    public static final int DFS_QJOURNAL_PARALLEL_READ_NUM_THREADS_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_MAX_NUM_BLOCKS_TO_LOG_KEY

    public static final String DFS_MAX_NUM_BLOCKS_TO_LOG_KEY
    See Also:
      - Constant Field Values

  - ### DFS_MAX_NUM_BLOCKS_TO_LOG_DEFAULT

    public static final long DFS_MAX_NUM_BLOCKS_TO_LOG_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_ENABLE_RETRY_CACHE_KEY

    public static final String DFS_NAMENODE_ENABLE_RETRY_CACHE_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_ENABLE_RETRY_CACHE_DEFAULT

    public static final boolean DFS_NAMENODE_ENABLE_RETRY_CACHE_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_RETRY_CACHE_EXPIRYTIME_MILLIS_KEY

    public static final String DFS_NAMENODE_RETRY_CACHE_EXPIRYTIME_MILLIS_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_RETRY_CACHE_EXPIRYTIME_MILLIS_DEFAULT

    public static final long DFS_NAMENODE_RETRY_CACHE_EXPIRYTIME_MILLIS_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_RETRY_CACHE_HEAP_PERCENT_KEY

    public static final String DFS_NAMENODE_RETRY_CACHE_HEAP_PERCENT_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_RETRY_CACHE_HEAP_PERCENT_DEFAULT

    public static final float DFS_NAMENODE_RETRY_CACHE_HEAP_PERCENT_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_XCEIVER_STOP_TIMEOUT_MILLIS_KEY

    public static final String DFS_DATANODE_XCEIVER_STOP_TIMEOUT_MILLIS_KEY
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_XCEIVER_STOP_TIMEOUT_MILLIS_DEFAULT

    public static final long DFS_DATANODE_XCEIVER_STOP_TIMEOUT_MILLIS_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_HTTP_CLIENT_RETRY_POLICY_ENABLED_KEY

    @Deprecated public static final String DFS_HTTP_CLIENT_RETRY_POLICY_ENABLED_KEY
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_HTTP_CLIENT_RETRY_POLICY_ENABLED_DEFAULT

    @Deprecated public static final boolean DFS_HTTP_CLIENT_RETRY_POLICY_ENABLED_DEFAULT
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_HTTP_CLIENT_RETRY_POLICY_SPEC_KEY

    @Deprecated public static final String DFS_HTTP_CLIENT_RETRY_POLICY_SPEC_KEY
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_HTTP_CLIENT_RETRY_POLICY_SPEC_DEFAULT

    @Deprecated public static final String DFS_HTTP_CLIENT_RETRY_POLICY_SPEC_DEFAULT
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_HTTP_CLIENT_FAILOVER_MAX_ATTEMPTS_KEY

    @Deprecated public static final String DFS_HTTP_CLIENT_FAILOVER_MAX_ATTEMPTS_KEY
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_HTTP_CLIENT_FAILOVER_MAX_ATTEMPTS_DEFAULT

    @Deprecated public static final int DFS_HTTP_CLIENT_FAILOVER_MAX_ATTEMPTS_DEFAULT
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_HTTP_CLIENT_RETRY_MAX_ATTEMPTS_KEY

    @Deprecated public static final String DFS_HTTP_CLIENT_RETRY_MAX_ATTEMPTS_KEY
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_HTTP_CLIENT_RETRY_MAX_ATTEMPTS_DEFAULT

    @Deprecated public static final int DFS_HTTP_CLIENT_RETRY_MAX_ATTEMPTS_DEFAULT
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_HTTP_CLIENT_FAILOVER_SLEEPTIME_BASE_KEY

    @Deprecated public static final String DFS_HTTP_CLIENT_FAILOVER_SLEEPTIME_BASE_KEY
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_HTTP_CLIENT_FAILOVER_SLEEPTIME_BASE_DEFAULT

    @Deprecated public static final int DFS_HTTP_CLIENT_FAILOVER_SLEEPTIME_BASE_DEFAULT
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_HTTP_CLIENT_FAILOVER_SLEEPTIME_MAX_KEY

    @Deprecated public static final String DFS_HTTP_CLIENT_FAILOVER_SLEEPTIME_MAX_KEY
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_HTTP_CLIENT_FAILOVER_SLEEPTIME_MAX_DEFAULT

    @Deprecated public static final int DFS_HTTP_CLIENT_FAILOVER_SLEEPTIME_MAX_DEFAULT
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_REJECT_UNRESOLVED_DN_TOPOLOGY_MAPPING_KEY

    public static final String DFS_REJECT_UNRESOLVED_DN_TOPOLOGY_MAPPING_KEY
    See Also:
      - Constant Field Values

  - ### DFS_REJECT_UNRESOLVED_DN_TOPOLOGY_MAPPING_DEFAULT

    public static final boolean DFS_REJECT_UNRESOLVED_DN_TOPOLOGY_MAPPING_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_SLOW_IO_WARNING_THRESHOLD_KEY

    public static final String DFS_DATANODE_SLOW_IO_WARNING_THRESHOLD_KEY
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_SLOW_IO_WARNING_THRESHOLD_DEFAULT

    public static final long DFS_DATANODE_SLOW_IO_WARNING_THRESHOLD_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_PARALLEL_VOLUME_LOAD_THREADS_NUM_KEY

    public static final String DFS_DATANODE_PARALLEL_VOLUME_LOAD_THREADS_NUM_KEY
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_BLOCK_ID_LAYOUT_UPGRADE_THREADS_KEY

    public static final String DFS_DATANODE_BLOCK_ID_LAYOUT_UPGRADE_THREADS_KEY
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_BLOCK_ID_LAYOUT_UPGRADE_THREADS

    public static final int DFS_DATANODE_BLOCK_ID_LAYOUT_UPGRADE_THREADS
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_INOTIFY_MAX_EVENTS_PER_RPC_KEY

    public static final String DFS_NAMENODE_INOTIFY_MAX_EVENTS_PER_RPC_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_INOTIFY_MAX_EVENTS_PER_RPC_DEFAULT

    public static final int DFS_NAMENODE_INOTIFY_MAX_EVENTS_PER_RPC_DEFAULT
    See Also:
      - Constant Field Values

  - ### IGNORE_SECURE_PORTS_FOR_TESTING_KEY

    public static final String IGNORE_SECURE_PORTS_FOR_TESTING_KEY
    See Also:
      - Constant Field Values

  - ### IGNORE_SECURE_PORTS_FOR_TESTING_DEFAULT

    public static final boolean IGNORE_SECURE_PORTS_FOR_TESTING_DEFAULT
    See Also:
      - Constant Field Values

  - ### NNTOP_ENABLED_KEY

    public static final String NNTOP_ENABLED_KEY
    See Also:
      - Constant Field Values

  - ### NNTOP_ENABLED_DEFAULT

    public static final boolean NNTOP_ENABLED_DEFAULT
    See Also:
      - Constant Field Values

  - ### NNTOP_BUCKETS_PER_WINDOW_KEY

    public static final String NNTOP_BUCKETS_PER_WINDOW_KEY
    See Also:
      - Constant Field Values

  - ### NNTOP_BUCKETS_PER_WINDOW_DEFAULT

    public static final int NNTOP_BUCKETS_PER_WINDOW_DEFAULT
    See Also:
      - Constant Field Values

  - ### NNTOP_NUM_USERS_KEY

    public static final String NNTOP_NUM_USERS_KEY
    See Also:
      - Constant Field Values

  - ### NNTOP_NUM_USERS_DEFAULT

    public static final int NNTOP_NUM_USERS_DEFAULT
    See Also:
      - Constant Field Values

  - ### NNTOP_WINDOWS_MINUTES_KEY

    public static final String NNTOP_WINDOWS_MINUTES_KEY
    See Also:
      - Constant Field Values

  - ### NNTOP_WINDOWS_MINUTES_DEFAULT

    public static final String[] NNTOP_WINDOWS_MINUTES_DEFAULT

  - ### DFS_PIPELINE_ECN_ENABLED

    public static final String DFS_PIPELINE_ECN_ENABLED
    See Also:
      - Constant Field Values

  - ### DFS_PIPELINE_ECN_ENABLED_DEFAULT

    public static final boolean DFS_PIPELINE_ECN_ENABLED_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_PIPELINE_SLOWNODE_ENABLED

    public static final String DFS_PIPELINE_SLOWNODE_ENABLED
    See Also:
      - Constant Field Values

  - ### DFS_PIPELINE_SLOWNODE_ENABLED_DEFAULT

    public static final boolean DFS_PIPELINE_SLOWNODE_ENABLED_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_PIPELINE_CONGESTION_RATIO

    public static final String DFS_PIPELINE_CONGESTION_RATIO
    See Also:
      - Constant Field Values

  - ### DFS_PIPELINE_CONGESTION_RATIO_DEFAULT

    public static final double DFS_PIPELINE_CONGESTION_RATIO_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_BLOCK_PINNING_ENABLED

    public static final String DFS_DATANODE_BLOCK_PINNING_ENABLED
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_BLOCK_PINNING_ENABLED_DEFAULT

    public static final boolean DFS_DATANODE_BLOCK_PINNING_ENABLED_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_TRANSFER_SOCKET_SEND_BUFFER_SIZE_KEY

    public static final String DFS_DATANODE_TRANSFER_SOCKET_SEND_BUFFER_SIZE_KEY
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_TRANSFER_SOCKET_SEND_BUFFER_SIZE_DEFAULT

    public static final int DFS_DATANODE_TRANSFER_SOCKET_SEND_BUFFER_SIZE_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_TRANSFER_SOCKET_RECV_BUFFER_SIZE_KEY

    public static final String DFS_DATANODE_TRANSFER_SOCKET_RECV_BUFFER_SIZE_KEY
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_TRANSFER_SOCKET_RECV_BUFFER_SIZE_DEFAULT

    public static final int DFS_DATANODE_TRANSFER_SOCKET_RECV_BUFFER_SIZE_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_DATA_TRANSFER_SERVER_TCPNODELAY

    public static final String DFS_DATA_TRANSFER_SERVER_TCPNODELAY
    See Also:
      - Constant Field Values

  - ### DFS_DATA_TRANSFER_SERVER_TCPNODELAY_DEFAULT

    public static final boolean DFS_DATA_TRANSFER_SERVER_TCPNODELAY_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_DISK_BALANCER_ENABLED

    public static final String DFS_DISK_BALANCER_ENABLED
    See Also:
      - Constant Field Values

  - ### DFS_DISK_BALANCER_ENABLED_DEFAULT

    public static final boolean DFS_DISK_BALANCER_ENABLED_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_DISK_BALANCER_MAX_DISK_THROUGHPUT

    public static final String DFS_DISK_BALANCER_MAX_DISK_THROUGHPUT
    See Also:
      - Constant Field Values

  - ### DFS_DISK_BALANCER_MAX_DISK_THROUGHPUT_DEFAULT

    public static final int DFS_DISK_BALANCER_MAX_DISK_THROUGHPUT_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_DISK_BALANCER_MAX_DISK_ERRORS

    public static final String DFS_DISK_BALANCER_MAX_DISK_ERRORS
    See Also:
      - Constant Field Values

  - ### DFS_DISK_BALANCER_MAX_DISK_ERRORS_DEFAULT

    public static final int DFS_DISK_BALANCER_MAX_DISK_ERRORS_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_DISK_BALANCER_PLAN_VALID_INTERVAL

    public static final String DFS_DISK_BALANCER_PLAN_VALID_INTERVAL
    See Also:
      - Constant Field Values

  - ### DFS_DISK_BALANCER_PLAN_VALID_INTERVAL_DEFAULT

    public static final String DFS_DISK_BALANCER_PLAN_VALID_INTERVAL_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_DISK_BALANCER_BLOCK_TOLERANCE

    public static final String DFS_DISK_BALANCER_BLOCK_TOLERANCE
    See Also:
      - Constant Field Values

  - ### DFS_DISK_BALANCER_BLOCK_TOLERANCE_DEFAULT

    public static final int DFS_DISK_BALANCER_BLOCK_TOLERANCE_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_DISK_BALANCER_PLAN_THRESHOLD

    public static final String DFS_DISK_BALANCER_PLAN_THRESHOLD
    See Also:
      - Constant Field Values

  - ### DFS_DISK_BALANCER_PLAN_THRESHOLD_DEFAULT

    public static final int DFS_DISK_BALANCER_PLAN_THRESHOLD_DEFAULT
    See Also:
      - Constant Field Values

  - ### HTTPFS_BUFFER_SIZE_KEY

    public static final String HTTPFS_BUFFER_SIZE_KEY
    See Also:
      - Constant Field Values

  - ### HTTP_BUFFER_SIZE_DEFAULT

    public static final int HTTP_BUFFER_SIZE_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_USE_DFS_NETWORK_TOPOLOGY_KEY

    public static final String DFS_USE_DFS_NETWORK_TOPOLOGY_KEY
    See Also:
      - Constant Field Values

  - ### DFS_USE_DFS_NETWORK_TOPOLOGY_DEFAULT

    public static final boolean DFS_USE_DFS_NETWORK_TOPOLOGY_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NET_TOPOLOGY_IMPL_KEY

    public static final String DFS_NET_TOPOLOGY_IMPL_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NET_TOPOLOGY_IMPL_DEFAULT

    public static final Class<DFSNetworkTopology> DFS_NET_TOPOLOGY_IMPL_DEFAULT

  - ### DFS_NAMENODE_RPC_ADDRESS_AUXILIARY_KEY

    public static final String DFS_NAMENODE_RPC_ADDRESS_AUXILIARY_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_SEND_QOP_ENABLED

    public static final String DFS_NAMENODE_SEND_QOP_ENABLED
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_SEND_QOP_ENABLED_DEFAULT

    public static final boolean DFS_NAMENODE_SEND_QOP_ENABLED_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_STATE_CONTEXT_ENABLED_KEY

    public static final String DFS_NAMENODE_STATE_CONTEXT_ENABLED_KEY
    See Also:
      - Constant Field Values

  - ### DFS_NAMENODE_STATE_CONTEXT_ENABLED_DEFAULT

    public static final boolean DFS_NAMENODE_STATE_CONTEXT_ENABLED_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_PROTECTED_SUBDIRECTORIES_ENABLE

    public static final String DFS_PROTECTED_SUBDIRECTORIES_ENABLE
    whether to protect the subdirectories of directories which set on fs.protected.directories.
    See Also:
      - Constant Field Values

  - ### DFS_PROTECTED_SUBDIRECTORIES_ENABLE_DEFAULT

    public static final boolean DFS_PROTECTED_SUBDIRECTORIES_ENABLE_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_ALLOW_SAME_DISK_TIERING

    public static final String DFS_DATANODE_ALLOW_SAME_DISK_TIERING
    HDFS-15548 to allow DISK/ARCHIVE configured on the same disk mount. The default ratio will be applied if DISK/ARCHIVE are configured on same disk mount. Beware that capacity usage might be larger than 100% if there are already data blocks exist and the configured ratio is small, which will prevent the volume from taking new blocks until capacity is balanced out.
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_ALLOW_SAME_DISK_TIERING_DEFAULT

    public static final boolean DFS_DATANODE_ALLOW_SAME_DISK_TIERING_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_RESERVE_FOR_ARCHIVE_DEFAULT_PERCENTAGE

    public static final String DFS_DATANODE_RESERVE_FOR_ARCHIVE_DEFAULT_PERCENTAGE
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_RESERVE_FOR_ARCHIVE_DEFAULT_PERCENTAGE_DEFAULT

    public static final double DFS_DATANODE_RESERVE_FOR_ARCHIVE_DEFAULT_PERCENTAGE_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_SAME_DISK_TIERING_CAPACITY_RATIO_PERCENTAGE

    public static final String DFS_DATANODE_SAME_DISK_TIERING_CAPACITY_RATIO_PERCENTAGE
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_SAME_DISK_TIERING_CAPACITY_RATIO_PERCENTAGE_DEFAULT

    public static final String DFS_DATANODE_SAME_DISK_TIERING_CAPACITY_RATIO_PERCENTAGE_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMESERVICES_RESOLUTION_ENABLED

    public static final String DFS_NAMESERVICES_RESOLUTION_ENABLED
    See Also:
      - Constant Field Values

  - ### DFS_NAMESERVICES_RESOLUTION_ENABLED_DEFAULT

    public static final boolean DFS_NAMESERVICES_RESOLUTION_ENABLED_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_NAMESERVICES_RESOLVER_IMPL

    public static final String DFS_NAMESERVICES_RESOLVER_IMPL
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_LOCKMANAGER_TRACE

    public static final String DFS_DATANODE_LOCKMANAGER_TRACE
    See Also:
      - Constant Field Values

  - ### DFS_DATANODE_LOCKMANAGER_TRACE_DEFAULT

    public static final boolean DFS_DATANODE_LOCKMANAGER_TRACE_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_CLIENT_RETRY_POLICY_ENABLED_KEY

    @Deprecated public static final String DFS_CLIENT_RETRY_POLICY_ENABLED_KEY
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_CLIENT_RETRY_POLICY_ENABLED_DEFAULT

    @Deprecated public static final boolean DFS_CLIENT_RETRY_POLICY_ENABLED_DEFAULT
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_CLIENT_RETRY_POLICY_SPEC_KEY

    @Deprecated public static final String DFS_CLIENT_RETRY_POLICY_SPEC_KEY
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_CLIENT_RETRY_POLICY_SPEC_DEFAULT

    @Deprecated public static final String DFS_CLIENT_RETRY_POLICY_SPEC_DEFAULT
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_CLIENT_RETRY_TIMES_GET_LAST_BLOCK_LENGTH

    @Deprecated public static final String DFS_CLIENT_RETRY_TIMES_GET_LAST_BLOCK_LENGTH
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_CLIENT_RETRY_TIMES_GET_LAST_BLOCK_LENGTH_DEFAULT

    @Deprecated public static final int DFS_CLIENT_RETRY_TIMES_GET_LAST_BLOCK_LENGTH_DEFAULT
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_CLIENT_RETRY_INTERVAL_GET_LAST_BLOCK_LENGTH

    @Deprecated public static final String DFS_CLIENT_RETRY_INTERVAL_GET_LAST_BLOCK_LENGTH
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_CLIENT_RETRY_INTERVAL_GET_LAST_BLOCK_LENGTH_DEFAULT

    @Deprecated public static final int DFS_CLIENT_RETRY_INTERVAL_GET_LAST_BLOCK_LENGTH_DEFAULT
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_CLIENT_RETRY_MAX_ATTEMPTS_KEY

    @Deprecated public static final String DFS_CLIENT_RETRY_MAX_ATTEMPTS_KEY
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_CLIENT_RETRY_MAX_ATTEMPTS_DEFAULT

    @Deprecated public static final int DFS_CLIENT_RETRY_MAX_ATTEMPTS_DEFAULT
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_CLIENT_RETRY_WINDOW_BASE

    @Deprecated public static final String DFS_CLIENT_RETRY_WINDOW_BASE
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_CLIENT_RETRY_WINDOW_BASE_DEFAULT

    @Deprecated public static final int DFS_CLIENT_RETRY_WINDOW_BASE_DEFAULT
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_CLIENT_FAILOVER_PROXY_PROVIDER_KEY_PREFIX

    @Deprecated public static final String DFS_CLIENT_FAILOVER_PROXY_PROVIDER_KEY_PREFIX
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_CLIENT_FAILOVER_MAX_ATTEMPTS_KEY

    @Deprecated public static final String DFS_CLIENT_FAILOVER_MAX_ATTEMPTS_KEY
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_CLIENT_FAILOVER_MAX_ATTEMPTS_DEFAULT

    @Deprecated public static final int DFS_CLIENT_FAILOVER_MAX_ATTEMPTS_DEFAULT
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_CLIENT_FAILOVER_SLEEPTIME_BASE_KEY

    @Deprecated public static final String DFS_CLIENT_FAILOVER_SLEEPTIME_BASE_KEY
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_CLIENT_FAILOVER_SLEEPTIME_BASE_DEFAULT

    @Deprecated public static final int DFS_CLIENT_FAILOVER_SLEEPTIME_BASE_DEFAULT
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_CLIENT_FAILOVER_SLEEPTIME_MAX_KEY

    @Deprecated public static final String DFS_CLIENT_FAILOVER_SLEEPTIME_MAX_KEY
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_CLIENT_FAILOVER_SLEEPTIME_MAX_DEFAULT

    @Deprecated public static final int DFS_CLIENT_FAILOVER_SLEEPTIME_MAX_DEFAULT
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_CLIENT_FAILOVER_CONNECTION_RETRIES_KEY

    @Deprecated public static final String DFS_CLIENT_FAILOVER_CONNECTION_RETRIES_KEY
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_CLIENT_FAILOVER_CONNECTION_RETRIES_DEFAULT

    @Deprecated public static final int DFS_CLIENT_FAILOVER_CONNECTION_RETRIES_DEFAULT
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_CLIENT_FAILOVER_CONNECTION_RETRIES_ON_SOCKET_TIMEOUTS_KEY

    @Deprecated public static final String DFS_CLIENT_FAILOVER_CONNECTION_RETRIES_ON_SOCKET_TIMEOUTS_KEY
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_CLIENT_FAILOVER_CONNECTION_RETRIES_ON_SOCKET_TIMEOUTS_DEFAULT

    @Deprecated public static final int DFS_CLIENT_FAILOVER_CONNECTION_RETRIES_ON_SOCKET_TIMEOUTS_DEFAULT
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_CLIENT_WRITE_MAX_PACKETS_IN_FLIGHT_KEY

    @Deprecated public static final String DFS_CLIENT_WRITE_MAX_PACKETS_IN_FLIGHT_KEY
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_CLIENT_WRITE_MAX_PACKETS_IN_FLIGHT_DEFAULT

    @Deprecated public static final int DFS_CLIENT_WRITE_MAX_PACKETS_IN_FLIGHT_DEFAULT
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_CLIENT_WRITE_EXCLUDE_NODES_CACHE_EXPIRY_INTERVAL

    @Deprecated public static final String DFS_CLIENT_WRITE_EXCLUDE_NODES_CACHE_EXPIRY_INTERVAL
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_CLIENT_WRITE_EXCLUDE_NODES_CACHE_EXPIRY_INTERVAL_DEFAULT

    @Deprecated public static final long DFS_CLIENT_WRITE_EXCLUDE_NODES_CACHE_EXPIRY_INTERVAL_DEFAULT
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_CLIENT_WRITE_BYTE_ARRAY_MANAGER_ENABLED_KEY

    @Deprecated public static final String DFS_CLIENT_WRITE_BYTE_ARRAY_MANAGER_ENABLED_KEY
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_CLIENT_WRITE_BYTE_ARRAY_MANAGER_ENABLED_DEFAULT

    @Deprecated public static final boolean DFS_CLIENT_WRITE_BYTE_ARRAY_MANAGER_ENABLED_DEFAULT
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_CLIENT_WRITE_BYTE_ARRAY_MANAGER_COUNT_THRESHOLD_KEY

    @Deprecated public static final String DFS_CLIENT_WRITE_BYTE_ARRAY_MANAGER_COUNT_THRESHOLD_KEY
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_CLIENT_WRITE_BYTE_ARRAY_MANAGER_COUNT_THRESHOLD_DEFAULT

    @Deprecated public static final int DFS_CLIENT_WRITE_BYTE_ARRAY_MANAGER_COUNT_THRESHOLD_DEFAULT
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_CLIENT_WRITE_BYTE_ARRAY_MANAGER_COUNT_LIMIT_KEY

    @Deprecated public static final String DFS_CLIENT_WRITE_BYTE_ARRAY_MANAGER_COUNT_LIMIT_KEY
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_CLIENT_WRITE_BYTE_ARRAY_MANAGER_COUNT_LIMIT_DEFAULT

    @Deprecated public static final int DFS_CLIENT_WRITE_BYTE_ARRAY_MANAGER_COUNT_LIMIT_DEFAULT
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_CLIENT_WRITE_BYTE_ARRAY_MANAGER_COUNT_RESET_TIME_PERIOD_MS_KEY

    @Deprecated public static final String DFS_CLIENT_WRITE_BYTE_ARRAY_MANAGER_COUNT_RESET_TIME_PERIOD_MS_KEY
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_CLIENT_WRITE_BYTE_ARRAY_MANAGER_COUNT_RESET_TIME_PERIOD_MS_DEFAULT

    @Deprecated public static final long DFS_CLIENT_WRITE_BYTE_ARRAY_MANAGER_COUNT_RESET_TIME_PERIOD_MS_DEFAULT
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_CLIENT_BLOCK_WRITE_RETRIES_KEY

    @Deprecated public static final String DFS_CLIENT_BLOCK_WRITE_RETRIES_KEY
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_CLIENT_BLOCK_WRITE_RETRIES_DEFAULT

    @Deprecated public static final int DFS_CLIENT_BLOCK_WRITE_RETRIES_DEFAULT
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_CLIENT_BLOCK_WRITE_LOCATEFOLLOWINGBLOCK_RETRIES_KEY

    @Deprecated public static final String DFS_CLIENT_BLOCK_WRITE_LOCATEFOLLOWINGBLOCK_RETRIES_KEY
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_CLIENT_BLOCK_WRITE_LOCATEFOLLOWINGBLOCK_RETRIES_DEFAULT

    @Deprecated public static final int DFS_CLIENT_BLOCK_WRITE_LOCATEFOLLOWINGBLOCK_RETRIES_DEFAULT
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_CLIENT_BLOCK_WRITE_LOCATEFOLLOWINGBLOCK_INITIAL_DELAY_KEY

    @Deprecated public static final String DFS_CLIENT_BLOCK_WRITE_LOCATEFOLLOWINGBLOCK_INITIAL_DELAY_KEY
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_CLIENT_BLOCK_WRITE_LOCATEFOLLOWINGBLOCK_INITIAL_DELAY_DEFAULT

    @Deprecated public static final int DFS_CLIENT_BLOCK_WRITE_LOCATEFOLLOWINGBLOCK_INITIAL_DELAY_DEFAULT
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_CLIENT_WRITE_REPLACE_DATANODE_ON_FAILURE_ENABLE_KEY

    @Deprecated public static final String DFS_CLIENT_WRITE_REPLACE_DATANODE_ON_FAILURE_ENABLE_KEY
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_CLIENT_WRITE_REPLACE_DATANODE_ON_FAILURE_ENABLE_DEFAULT

    @Deprecated public static final boolean DFS_CLIENT_WRITE_REPLACE_DATANODE_ON_FAILURE_ENABLE_DEFAULT
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_CLIENT_WRITE_REPLACE_DATANODE_ON_FAILURE_POLICY_KEY

    @Deprecated public static final String DFS_CLIENT_WRITE_REPLACE_DATANODE_ON_FAILURE_POLICY_KEY
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_CLIENT_WRITE_REPLACE_DATANODE_ON_FAILURE_POLICY_DEFAULT

    @Deprecated public static final String DFS_CLIENT_WRITE_REPLACE_DATANODE_ON_FAILURE_POLICY_DEFAULT
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_CLIENT_WRITE_REPLACE_DATANODE_ON_FAILURE_BEST_EFFORT_KEY

    @Deprecated public static final String DFS_CLIENT_WRITE_REPLACE_DATANODE_ON_FAILURE_BEST_EFFORT_KEY
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_CLIENT_WRITE_REPLACE_DATANODE_ON_FAILURE_BEST_EFFORT_DEFAULT

    @Deprecated public static final boolean DFS_CLIENT_WRITE_REPLACE_DATANODE_ON_FAILURE_BEST_EFFORT_DEFAULT
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_CLIENT_READ_PREFETCH_SIZE_KEY

    @Deprecated public static final String DFS_CLIENT_READ_PREFETCH_SIZE_KEY
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_CLIENT_READ_SHORTCIRCUIT_KEY

    @Deprecated public static final String DFS_CLIENT_READ_SHORTCIRCUIT_KEY
    Deprecated.

  - ### DFS_CLIENT_READ_SHORTCIRCUIT_DEFAULT

    @Deprecated public static final boolean DFS_CLIENT_READ_SHORTCIRCUIT_DEFAULT
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_CLIENT_READ_SHORTCIRCUIT_SKIP_CHECKSUM_KEY

    @Deprecated public static final String DFS_CLIENT_READ_SHORTCIRCUIT_SKIP_CHECKSUM_KEY
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_CLIENT_READ_SHORTCIRCUIT_SKIP_CHECKSUM_DEFAULT

    @Deprecated public static final boolean DFS_CLIENT_READ_SHORTCIRCUIT_SKIP_CHECKSUM_DEFAULT
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_CLIENT_READ_SHORTCIRCUIT_BUFFER_SIZE_KEY

    @Deprecated public static final String DFS_CLIENT_READ_SHORTCIRCUIT_BUFFER_SIZE_KEY
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_CLIENT_READ_SHORTCIRCUIT_BUFFER_SIZE_DEFAULT

    @Deprecated public static final int DFS_CLIENT_READ_SHORTCIRCUIT_BUFFER_SIZE_DEFAULT
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_CLIENT_READ_SHORTCIRCUIT_STREAMS_CACHE_SIZE_KEY

    @Deprecated public static final String DFS_CLIENT_READ_SHORTCIRCUIT_STREAMS_CACHE_SIZE_KEY
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_CLIENT_READ_SHORTCIRCUIT_STREAMS_CACHE_SIZE_DEFAULT

    @Deprecated public static final int DFS_CLIENT_READ_SHORTCIRCUIT_STREAMS_CACHE_SIZE_DEFAULT
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_CLIENT_READ_SHORTCIRCUIT_STREAMS_CACHE_EXPIRY_MS_KEY

    @Deprecated public static final String DFS_CLIENT_READ_SHORTCIRCUIT_STREAMS_CACHE_EXPIRY_MS_KEY
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_CLIENT_READ_SHORTCIRCUIT_STREAMS_CACHE_EXPIRY_MS_DEFAULT

    @Deprecated public static final long DFS_CLIENT_READ_SHORTCIRCUIT_STREAMS_CACHE_EXPIRY_MS_DEFAULT
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_CLIENT_MMAP_ENABLED

    @Deprecated public static final String DFS_CLIENT_MMAP_ENABLED
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_CLIENT_MMAP_ENABLED_DEFAULT

    @Deprecated public static final boolean DFS_CLIENT_MMAP_ENABLED_DEFAULT
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_CLIENT_MMAP_CACHE_SIZE

    @Deprecated public static final String DFS_CLIENT_MMAP_CACHE_SIZE
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_CLIENT_MMAP_CACHE_SIZE_DEFAULT

    @Deprecated public static final int DFS_CLIENT_MMAP_CACHE_SIZE_DEFAULT
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_CLIENT_MMAP_CACHE_TIMEOUT_MS

    @Deprecated public static final String DFS_CLIENT_MMAP_CACHE_TIMEOUT_MS
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_CLIENT_MMAP_CACHE_TIMEOUT_MS_DEFAULT

    @Deprecated public static final long DFS_CLIENT_MMAP_CACHE_TIMEOUT_MS_DEFAULT
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_CLIENT_MMAP_RETRY_TIMEOUT_MS

    @Deprecated public static final String DFS_CLIENT_MMAP_RETRY_TIMEOUT_MS
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_CLIENT_MMAP_RETRY_TIMEOUT_MS_DEFAULT

    @Deprecated public static final long DFS_CLIENT_MMAP_RETRY_TIMEOUT_MS_DEFAULT
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_CLIENT_SHORT_CIRCUIT_REPLICA_STALE_THRESHOLD_MS

    @Deprecated public static final String DFS_CLIENT_SHORT_CIRCUIT_REPLICA_STALE_THRESHOLD_MS
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_CLIENT_SHORT_CIRCUIT_REPLICA_STALE_THRESHOLD_MS_DEFAULT

    @Deprecated public static final long DFS_CLIENT_SHORT_CIRCUIT_REPLICA_STALE_THRESHOLD_MS_DEFAULT
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_DFSCLIENT_HEDGED_READ_THRESHOLD_MILLIS

    @Deprecated public static final String DFS_DFSCLIENT_HEDGED_READ_THRESHOLD_MILLIS
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DEFAULT_DFSCLIENT_HEDGED_READ_THRESHOLD_MILLIS

    @Deprecated public static final long DEFAULT_DFSCLIENT_HEDGED_READ_THRESHOLD_MILLIS
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_DFSCLIENT_HEDGED_READ_THREADPOOL_SIZE

    @Deprecated public static final String DFS_DFSCLIENT_HEDGED_READ_THREADPOOL_SIZE
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DEFAULT_DFSCLIENT_HEDGED_READ_THREADPOOL_SIZE

    @Deprecated public static final int DEFAULT_DFSCLIENT_HEDGED_READ_THREADPOOL_SIZE
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_CLIENT_SOCKET_TIMEOUT_KEY

    @Deprecated public static final String DFS_CLIENT_SOCKET_TIMEOUT_KEY
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_CLIENT_SOCKET_CACHE_CAPACITY_KEY

    @Deprecated public static final String DFS_CLIENT_SOCKET_CACHE_CAPACITY_KEY
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_CLIENT_SOCKET_CACHE_CAPACITY_DEFAULT

    @Deprecated public static final int DFS_CLIENT_SOCKET_CACHE_CAPACITY_DEFAULT
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_CLIENT_SOCKET_CACHE_EXPIRY_MSEC_KEY

    @Deprecated public static final String DFS_CLIENT_SOCKET_CACHE_EXPIRY_MSEC_KEY
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_CLIENT_SOCKET_CACHE_EXPIRY_MSEC_DEFAULT

    @Deprecated public static final long DFS_CLIENT_SOCKET_CACHE_EXPIRY_MSEC_DEFAULT
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_CLIENT_USE_DN_HOSTNAME

    @Deprecated public static final String DFS_CLIENT_USE_DN_HOSTNAME
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_CLIENT_USE_DN_HOSTNAME_DEFAULT

    @Deprecated public static final boolean DFS_CLIENT_USE_DN_HOSTNAME_DEFAULT
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_CLIENT_CACHE_DROP_BEHIND_WRITES

    @Deprecated public static final String DFS_CLIENT_CACHE_DROP_BEHIND_WRITES
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_CLIENT_CACHE_DROP_BEHIND_READS

    @Deprecated public static final String DFS_CLIENT_CACHE_DROP_BEHIND_READS
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_CLIENT_CACHE_READAHEAD

    @Deprecated public static final String DFS_CLIENT_CACHE_READAHEAD
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_CLIENT_CACHED_CONN_RETRY_KEY

    @Deprecated public static final String DFS_CLIENT_CACHED_CONN_RETRY_KEY
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_CLIENT_CACHED_CONN_RETRY_DEFAULT

    @Deprecated public static final int DFS_CLIENT_CACHED_CONN_RETRY_DEFAULT
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_CLIENT_CONTEXT

    @Deprecated public static final String DFS_CLIENT_CONTEXT
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_CLIENT_CONTEXT_DEFAULT

    @Deprecated public static final String DFS_CLIENT_CONTEXT_DEFAULT
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_CLIENT_DATANODE_RESTART_TIMEOUT_KEY

    @Deprecated public static final String DFS_CLIENT_DATANODE_RESTART_TIMEOUT_KEY
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_CLIENT_DATANODE_RESTART_TIMEOUT_DEFAULT

    @Deprecated public static final long DFS_CLIENT_DATANODE_RESTART_TIMEOUT_DEFAULT
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_CLIENT_HTTPS_KEYSTORE_RESOURCE_KEY

    public static final String DFS_CLIENT_HTTPS_KEYSTORE_RESOURCE_KEY
    See Also:
      - Constant Field Values

  - ### DFS_CLIENT_HTTPS_KEYSTORE_RESOURCE_DEFAULT

    public static final String DFS_CLIENT_HTTPS_KEYSTORE_RESOURCE_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_CLIENT_HTTPS_NEED_AUTH_KEY

    public static final String DFS_CLIENT_HTTPS_NEED_AUTH_KEY
    See Also:
      - Constant Field Values

  - ### DFS_CLIENT_HTTPS_NEED_AUTH_DEFAULT

    public static final boolean DFS_CLIENT_HTTPS_NEED_AUTH_DEFAULT
    See Also:
      - Constant Field Values

  - ### DFS_CLIENT_MAX_BLOCK_ACQUIRE_FAILURES_KEY

    @Deprecated public static final String DFS_CLIENT_MAX_BLOCK_ACQUIRE_FAILURES_KEY
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_CLIENT_MAX_BLOCK_ACQUIRE_FAILURES_DEFAULT

    @Deprecated public static final int DFS_CLIENT_MAX_BLOCK_ACQUIRE_FAILURES_DEFAULT
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_CLIENT_USE_LEGACY_BLOCKREADERLOCAL

    @Deprecated public static final String DFS_CLIENT_USE_LEGACY_BLOCKREADERLOCAL
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_CLIENT_USE_LEGACY_BLOCKREADERLOCAL_DEFAULT

    @Deprecated public static final boolean DFS_CLIENT_USE_LEGACY_BLOCKREADERLOCAL_DEFAULT
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_CLIENT_LOCAL_INTERFACES

    @Deprecated public static final String DFS_CLIENT_LOCAL_INTERFACES
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_CLIENT_DOMAIN_SOCKET_DATA_TRAFFIC

    @Deprecated public static final String DFS_CLIENT_DOMAIN_SOCKET_DATA_TRAFFIC
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_CLIENT_DOMAIN_SOCKET_DATA_TRAFFIC_DEFAULT

    @Deprecated public static final boolean DFS_CLIENT_DOMAIN_SOCKET_DATA_TRAFFIC_DEFAULT
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_CLIENT_TEST_DROP_NAMENODE_RESPONSE_NUM_KEY

    @Deprecated public static final String DFS_CLIENT_TEST_DROP_NAMENODE_RESPONSE_NUM_KEY
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_CLIENT_TEST_DROP_NAMENODE_RESPONSE_NUM_DEFAULT

    @Deprecated public static final int DFS_CLIENT_TEST_DROP_NAMENODE_RESPONSE_NUM_DEFAULT
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_CLIENT_KEY_PROVIDER_CACHE_EXPIRY_MS

    @Deprecated public static final String DFS_CLIENT_KEY_PROVIDER_CACHE_EXPIRY_MS
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DFS_CLIENT_KEY_PROVIDER_CACHE_EXPIRY_DEFAULT

    @Deprecated public static final long DFS_CLIENT_KEY_PROVIDER_CACHE_EXPIRY_DEFAULT
    Deprecated.

  - ### DFS_LEASE_HARDLIMIT_KEY

    public static final String DFS_LEASE_HARDLIMIT_KEY
    See Also:
      - Constant Field Values

  - ### DFS_LEASE_HARDLIMIT_DEFAULT

    public static final long DFS_LEASE_HARDLIMIT_DEFAULT
    See Also:
      - Constant Field Values

  - ### SUPPORTED_PACKAGES_CONFIG_NAME

    public static final String SUPPORTED_PACKAGES_CONFIG_NAME
    List of packages from which Step implementations will be loaded when deserializing Node Plans: "dfs.nodeplan.steps.supported.packages".
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### DFSConfigKeys

    public DFSConfigKeys()